2009-02-07  Dave Love  <fx@gnu.org>

	* net/tls.el (open-tls-stream): Don't query killing process.

2009-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.1.

2009-06-21  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-indent-function)
	* emacs-lisp/cl-indent.el (lisp-indent-defun-method)
	(common-lisp-indent-function): Add doc strings.

2009-06-19  David Casperson  <casper@unbc.ca>  (tiny change)

	* font-core.el (turn-on-font-lock-if-desired): Correctly handle
	the case where font-lock-global-modes is a list that doesn't begin
	with `not' (Bug#3611).

2009-06-19  Glenn Morris  <rgm@gnu.org>

	* subr.el (open-network-stream): Doc fix.

2009-06-19  Juanma Barranquero  <lekktu@gmail.com>

	* international/fontset.el (setup-default-fontset):
	Fix typo in previous change.

2009-06-19  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (setup-default-fontset): Add a spec of
	non-OTF unicode font for Thai.

	* fringe.el: Add coding: utf-8 cookie.

2009-06-18  Kenichi Handa  <handa@m17n.org>

	* language/korean.el (korean-cp949): New coding system.  Set cp949
	as an alias to it.

2009-06-18  Ulrich Mueller  <ulm@gentoo.org>

	* pgg-gpg.el (pgg-gpg-lookup-key-owner): Handle colon listings
	format used by GnuPG 2.0.11.

2009-06-18  Glenn Morris  <rgm@gnu.org>

	* files.el (dir-locals-set-directory-class): Make mtime argument
	optional, since it is always unneeded in the non-file case.  (Bug#3577)

2009-06-18  Kenichi Handa  <handa@m17n.org>

	* language/korean.el ("Korean"): Fix `documentation' property of
	this language environment.

	* language/korea-util.el (korean-key-bindings): Add binding for
	key Hangul.

2009-06-17  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Comment out 2007-07-25 change adding support for Maven error
	messages; this regexp is too slow on long lines (Bug#3441).

2009-06-17  Akinori MUSHA  <knu@iDaemons.org>  (tiny change)

	* progmodes/ruby-mode.el (ruby-parse-partial)
	(ruby-font-lock-keywords): Support overloadable negative
	operators (Bug#3587).

2009-06-17  Tiago Saboga  <tiagosaboga@gmail.com>  (tiny change)

	* files.el (save-some-buffers-action-alist): Fix last
	change (Bug#3578).

2009-06-17  Glenn Morris  <rgm@gnu.org>

	* files.el (dir-locals-set-directory-class): Fix doc typo.

2009-06-17  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (list-character-sets): Change
	"FINAL-CHAR" to "FINAL-BYTE" to follow the official terminology.
	(list-character-sets-1): Add one line explanation about
	"supplementary charset".  Make the part "Supplementary Character
	Sets" clickable.

2009-06-16  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* international/mule-conf.el: Add cp949-2-byte, cp949.

2009-06-16  Kenichi Handa  <handa@m17n.org>

	* composite.el (compose-region): Improve the docstring.

2009-06-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-default-revision-granularity): Remove to let the normal
	error handling kick in (bug#3570).

2009-06-13  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (kill-visual-line): Rewrite (Bug#3437).  Don't try to
	handle kill-whole-line, as it doesn't make sense in this context.

2009-06-12  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-log-switches): Add defcustom.
	(vc-hg-print-log): Use it.

2009-06-12  Kenichi Handa  <handa@m17n.org>

	* international/eucjp-ms.el: Re-generated.

2009-06-10  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-dst.el (calendar-time-zone-daylight-rules):
	Fix typo in 2008-04-02 change.

2009-06-10  Kenichi Handa  <handa@m17n.org>

	* composite.el (compose-gstring-for-terminal): For zero-width
	characters of Unicode category `Cf', simply replace it with SPC.

2009-06-09  Agustín Martín  <agustin.martin@hispalinux.es>

	* ispell.el: Make `ispell-dictionary' customizable (#2555)

2009-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* ediff-util.el (ediff-compute-custom-diffs-maybe): Handle remote
	files correctly.

2009-06-08  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (composition-function-table)
	(script-representative-chars): Don't alter.

2009-06-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-directly): Make direct
	copy more robust, especially when "chown" is not applicable.

2009-06-07  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Fix doc-string.

2009-06-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-open-connection-setup-interactive-shell):
	Apply workaround for OpenSolaris bug.

2009-06-05  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa-decrypt-region): Detect encoding if
	coding-system-for-read is not specified.
	<http://sourceforge.jp/ticket/browse.php?group_id=2267&tid=17018>
	(epa-verify-region): Ditto.

2009-06-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header-block-tokenize): Obey @LongLink even for
	POSIX tar archives (bug#3410).

2009-06-04  Johan Bockgård  <bojohan@gnu.org>

	* vc.el (vc-revision-other-window): Fix argument to backend
	function revision-completion-table; it expects a list.

2009-06-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (delete-other-frames): Only delete frames on the
	same terminal (bug#3442).

2009-06-04  Glenn Morris  <rgm@gnu.org>

	* calendar/solar.el (solar-n-hemi-seasons, solar-s-hemi-seasons):
	Make into defcustoms.  (Bug#3429)

2009-06-01  Chong Yidong  <cyd@stupidchicken.com>

	* international/README: New file.

	* international/charprop.el:
	* international/uni-bidi.el:
	* international/uni-category.el:
	* international/uni-combining.el:
	* international/uni-comment.el:
	* international/uni-decimal.el:
	* international/uni-decomposition.el:
	* international/uni-digit.el:
	* international/uni-lowercase.el:
	* international/uni-mirrored.el:
	* international/uni-name.el:
	* international/uni-numeric.el:
	* international/uni-old-name.el:
	* international/uni-titlecase.el:
	* international/uni-uppercase.el: Add copyright notice (Bug#3428).

	* emulation/edt.el (edt-previous-line, edt-next-line): Don't use
	forward-line, undoing 2007-10-19 change (Bug#3188).

	* textmodes/two-column.el (2C-split): Call move-to-column, to
	compensate for the 2007-10-19 change from next-line to
	forward-line (Bug#3435).  Account for fringe and scroll-bar when
	setting 2C-window-width.

2009-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* startup.el (normal-no-mouse-startup-screen): Use F1 rather than C-h
	if C-h is remapped to something else like DEL.

2009-05-26  Chong Yidong  <cyd@stupidchicken.com>

	* edmacro.el (edmacro-parse-keys): Fix 2008-08-19 change (Bug#3387).

	* view.el (view-recenter): Allow recenter to compute window height
	normally.
	(view-window-size): Use window-line-height to find window height.
	(view-page-size-default): Return nil if LINES is nil, 0, or larger
	than the window height.
	(view-scroll-lines): Handle nil value for DEFAULT arg (Bug#3361).

2009-05-26  Kenichi Handa  <handa@m17n.org>

	* textmodes/table.el (table--unibyte-char-to-multibyte):
	Delete function.
	(*table--cell-self-insert-command, *table--cell-quoted-insert):
	Don't call table--unibyte-char-to-multibyte (Bug#3372).

2009-05-26  Chong Yidong  <cyd@stupidchicken.com>

	* newcomment.el (comment-region): Doc fix (Bug#3370).

2009-05-24  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* mail/smtpmail.el: Indent code properly to make it more readable.

2009-05-24  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/ispell.el (ispell-check-version): Handle dashes in
	version numbers.  Suggested by sdl.web@gmail.com (Bug#3369).

2009-05-23  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-mode): Doc fix (Bug#3358).

2009-05-23  Johan Bockgård  <bojohan@gnu.org>

	* ediff-vers.el (ediff-vc-latest-version): Use property
	`vc-latest-revision' instead of `vc-latest-version'.  (It was
	renamed in the big VC overhaul.)

2009-05-23  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/grep.el (grep-compute-defaults): Simplify how settings
	are looked up.
	(grep-apply-setting): New function.
	(grep-highlight-matches, grep-command, grep-template)
	(grep-use-null-device, grep-find-command, grep-find-template):
	Clarify role of grep-compute-defaults in docstrings.
	Use grep-apply-setting to apply changes (Bug#3343).

2009-05-21  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-move.el (calendar-forward-day): Fix 2008-06-21 change -
	always move cursor to new date.  (Bug#3338)

2009-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-uptodate-p): Accept [1{/var/foo}] as
	a page number.

2009-05-20  Jason Rumney  <jasonr@gnu.org>

	* files.el (locate-dominating-stop-dir-regexp): Add terminal
	directory separator to UNC path case (Bug#3252).

2009-05-20  Chong Yidong  <cyd@stupidchicken.com>

	* international/encoded-kb.el (encoded-kbd-setup-display):
	Change DISPLAY arg to TERMINAL.

	* international/mule.el (set-terminal-coding-system)
	(set-keyboard-coding-system): Change DISPLAY arg to TERMINAL.

2009-05-19  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-extend-and-neutralize-CPP-line):
	Rename from c-neutralize-syntax-in-CPP.  Set the variables c-new-BEG
	and c-new-END, thus extending the font-lock region.
	(c-font-lock-init): Don't set obsolete variable font-lock-lines-before.

	* progmodes/cc-langs.el (c-before-font-lock-function): Rename a
	value to c-extend-and-neutralize-syntax-in-CPP.

2009-05-19  Kenichi Handa  <handa@m17n.org>

	* faces.el (set-face-attribute): Fix handling of :family
	"FOUNDRY-FAMILY".

2009-05-18  Chong Yidong  <cyd@stupidchicken.com>

	* register.el (register-alist): Doc fix (Bug#3311).

2009-05-18  Richard M Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-filter): If inserting at end
	of accessible part of buffer, keep end of output visible.

	* mail/rmail.el (rmail-expunge-confirmed): Return nil if nothing to do.
	Don't call rmail-modify-format here.
	(rmail-expunge): Call it here after expunge is confirmed.
	(rmail-confirm-expunge): Doc fix.  Mark as risky.
	(rmail-convert-babyl-to-mbox): Call rmail-modify-format.
	(rmail-set-attribute): Call rmail-dont-modify-format only for `unseen'.
	For other attributes, call `rmail-modify-format',
	and propagate the modified flag to rmail-buffer.

2009-05-17  Richard M Stallman  <rms@gnu.org>

	* mail/rmailedit.el (rmail-edit-current-message):
	Call rmail-modify-format here.
	(rmail-cease-edit): Not here.

2009-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-state-heuristic): Fallback on vc-bzr-state in case
	of any kind of error (e.g. when "sha1sum" is not found).

2009-05-15  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-pop-to-buffer): Try to make this behave the
	Emacs 22 way (Bug#1806).

2009-05-14  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (minibuffer-frame-alist): Doc fix (Bug#3276).

2009-05-12  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el (help-with-tutorial): Don't use text mode, since the
	tutorial text assume Fundamental mode.  Use TUTORIAL.xx for the
	tutorial buffer, since that is what the tutorial text assumes.

2009-05-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (completion-setup-function):
	Only modify the default-directory in *Completions* (bug#3250).
	Take partial-completion into account when setting default-directory.

2009-05-10  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/cl-macs.el (lexical-let*): Doc fix (Bug#3178).

2009-05-10  Kim F. Storm  <storm@cua.dk>

	* ido.el: Add proper support for confirm-nonexistent-file-or-buffer
	values `confirm' and `confirm-after-completion'.
	(ido-read-internal, ido-buffer-internal, ido-file-internal):
	Setup and handle require-match arg according to c-n-f-o-b.
	(ido-show-confirm-message): New dynamic variable.
	(ido-exit-minibuffer): Request confirmation for non-existing file
	or buffer according to confirm-nonexistent-file-or-buffer.
	(ido-decorations): Add 11th element for "confirm" message.
	(ido-completions): Show confirmation message when requested.

2009-05-08  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el (encoded-kbd-setup-keymap):
	* international/mule-diag.el (describe-coding-system): Fix for big5.

2009-05-07  Martin Rudalics  <rudalics@gmx.at>

	* window.el (split-window-sensibly): New function.
	(split-height-threshold, split-width-threshold): State in
	doc-string that these affect split-window-sensibly.
	Change customization subtype from number to integer.
	(window--splittable-p): Rename to window-splittable-p since it's
	referred to in doc-string of split-window-sensibly.  Update doc-string.
	(window--try-to-split-window): Unconditionally call
	split-window-preferred-function and move splitting functionality
	to split-window-sensibly (Bug#3142).
	(split-window-preferred-function): Rewrite doc-string.
	Don't allow nil as customization type.

2009-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (x-handle-named-frame-geometry): Ignore errors from
	x-get-resource due to not yet opened X connection.  This is a
	temporary workaround for Bug#3194.

2009-05-05  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* vc-svn.el (vc-svn-parse-status): ?D is for removed files (bug#3213).

2009-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-delete-file): Add autoload cookie (bug#3209).

2009-05-04  Miles Bader  <miles@gnu.org>

	* emacs-lisp/bindat.el (bindat-pack): Allocate and set a string
	directly (Bug#2878).

2009-05-03  Juanma Barranquero  <lekktu@gmail.com>

	* term/ns-win.el (ns-alternatives-map, ns-insert-working-text)
	(ns-echo-working-text, ns-utf8-nfd-post-read-conversion)
	(ns-insert-text, ns-insert-file, ns-find-file, generate-fontset-menu)
	(mouse-set-font, ns-respond-to-change-font, ns-standard-fontset-spec)
	(ns-set-background-alpha, ns-set-foreground-at-mouse)
	(ns-set-background-at-mouse): Fix typos in docstrings.

2009-05-03  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-wait-for-completion): Sleep after the process
	exits, to allow process-filter to run (Bug#2412).

	* epa.el (epa--read-signature-type): Fix typo.

2009-05-02  Glenn Morris  <rgm@gnu.org>

	* wid-edit.el (widget-specify-field, widget-field-value-get, character):
	Revert 2009-03-24 change, since it causes a more serious problem than
	the one it solves.  (Closes Bug#3136, reopens Bug#2689.)

2009-05-02  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (pop-up-frame-function): Remove choice nil since it
	does not represent a valid value.

2009-04-30  David Reitter  <david.reitter@gmail.com>

	* term/ns-win.el (ns-make-command-string, ns-grabenv)
	(ns-extended-platform-support-mode, menu-bar-ns-file-menu)
	(ns-arrange-all-frames, ns-arrange-visible-frames)
	(ns-arrange-frames): Remove.  These functionalities not
	available on other (free) platforms will be provided to users
	outside the Emacs project in the "ns-platform-support" package.

2009-04-30  Alan Mackenzie  <acm@muc.de>

	Enhancements for Objective-C:
	* progmodes/cc-vars.el (c-objc-method-arg-min-delta-to-bracket)
	(c-objc-method-arg-unfinished-offset)
	(c-objc-method-parameter-offset): New variables.
	(c-offsets-alist): Use c-lineup-ObjC-method-call-colons in entry
	for objc-method-call-cont.

	* progmodes/cc-langs.el (c-constant-kwds): New ObjC keywords
	"YES", "NO", "NS_DURING", "NS_HANDLER", "NS_ENDHANDLER".

	* progmodes/cc-align.el (c-lineup-ObjC-method-call-colons):
	New function.

2009-04-29  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (assoc-default): Doc fix.

2009-04-29  Ulrich Mueller  <ulm@gentoo.org>

	* files.el (hack-local-variables-prop-line)
	(hack-local-variables, dir-locals-read-from-file):
	Bind read-circle to nil before reading.

2009-04-28  Geert Kloosterman  <g.j.kloosterman@gmail.com>  (tiny change)

	* progmodes/which-func.el (which-function): Don't assume that
	entries from `imenu--index-alist' are ordered by buffer position,
	which fails when submenus are present (Bug#3153).

2009-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-vunion): Remove unexplained nreverse.

2009-04-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-tooltip-print): Avoid "Non-X frame used"
	error with gud-tooltip-mode in the Linux console.

2009-04-28  Chong Yidong  <cyd@stupidchicken.com>

	* tooltip.el (tooltip-show-help): Fall back on
	tooltip-show-help-non-mode for text-only displays.

2009-04-27  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-mode): Replace `copy-list' with `copy-sequence'.

2009-04-26  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-set-mode-line): Check to make sure that the
	correct Calc buffer gets "Embed" in the mode line.
	(calc-mode): Copy stack list for additional Calc buffers.

2009-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-visual): If point is stuck moving backwards
	against a display string, temporarily ignore the goal
	column (Bug#3020).

	* startup.el (normal-top-level): Implement a work-around to handle
	changes to face-font-rescale-alist during
	initialization (Bug#1785).

2009-04-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-directory-files-and-attributes-with-stat)
	(tramp-handle-file-name-all-completions): Don't use "-b" as ls
	arg.  It does not work on OpenBSD.  Reported by Taylor Venable
	<taylor@metasyntax.net>.

2009-04-23  Chong Yidong  <cyd@stupidchicken.com>

	* hi-lock.el (hi-lock--inhibit-font-lock-hook): New var.
	(hi-lock-set-pattern, hi-lock-font-lock-hook): Use it (Bug#3068).

2009-04-21  Martin Rudalics  <rudalics@gmx.at>

	* diff-mode.el (diff-find-source-location): Don't call
	diff-sanity-check-hunk when NOPROMPT is non-nil.  (Bug#3033)

2009-04-21  Kenichi Handa  <handa@m17n.org>

	* international/uni-decomposition.el: Re-generated.

2009-04-20  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-sort): Declare it buffer-local.
	(proced-send-signal): Handle non-nil signals.

2009-04-18  Jason Rumney  <jasonr@gnu.org>

	* facemenu.el (list-colors-duplicates): w32-default-color-map is
	a function (Bug#3044).

2009-04-18  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>

	* epa-file.el (epa-file-decode-and-insert):
	Use string-to-multibyte instead of set-buffer-multibyte.
	<http://sourceforge.jp/ticket/browse.php?group_id=2267&tid=15259>

2009-04-18  Yann Hodique  <yann.hodique@gmail.com>  (tiny change)

	* net/rcirc.el (rcirc): Use correct property names (Bug#3037).

2009-04-18  Chong Yidong  <cyd@stupidchicken.com>

	* thingatpt.el (thing-at-point-bounds-of-list-at-point):
	New function (Bug#3027).

2009-04-17  Kenichi Handa  <handa@m17n.org>

	* international/uni-decomposition.el: Re-generated.

2009-04-16  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/flyspell.el (flyspell-correct-word-before-point):
	Don't create markers.
	(tex-mode-flyspell-verify): Don't create markers.
	Use line-end-position.
	(sgml-mode-flyspell-verify): Don't create markers.  Simplify code
	using looking-at and looking-back.

2009-04-16  Robert Brown  <brown@google.com>  (tiny change)

	* emacs-lisp/lisp-mode.el: Give `deftype' a doc-string-elt
	property (Bug#2984).

2009-04-16  Leo  <sdl.web@gmail.com>  (tiny change)

	* ediff-wind.el (ediff-make-wide-display): Fix typo in frame
	parameter alist.

2009-04-15  William Xu  <william.xwl@gmail.com>

	* outline.el (hide-sublevels): Ensure that arguments are passed to
	outline-flag-region in the correct order (Bug#3000).

2009-04-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* net/browse-url.el (browse-url-filename-alist): Correct file
	URI (Bug#2922).

2009-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (posn-col-row): Properly compute line spacing.
	Suggested by Nikolaj Schumacher (Bug#2933).

2009-04-15  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker-treeview-jump): Enable virtual
	feeds.

2009-04-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-svn.el (vc-svn-after-dir-status): Fix regexp to allow for file
	names with leading spaces.  Ignore "." if it appears as a filename.

2009-04-14  Juanma Barranquero  <lekktu@gmail.com>

	* help-at-pt.el (help-at-pt-kbd-string): Reflow docstring.
	(scan-buf-previous-region): Fix typo in docstring.

2009-04-14  Edward Wiebe  <usenet@pusto.de>  (tiny change)

	* jit-lock.el (jit-lock-stealth-chunk-start): Fix typo in docstring.

2009-04-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-dired-recursive-delete-directory):
	Fix an error in flushing cache data.
	(tramp-handle-process-file): Flush all file cache values for the
	connection, because the remote process could have changed them.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.
	Handle QUIT.

	* net/tramp-cmds.el (tramp-cleanup-connection): Flush cache data
	of directory "".

2009-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--try-word-completion): Don't disable
	`partial-completion' any more.  Mark the added char instead.
	(completion-pcm--string->pattern): Notice chars added by
	completion--try-word-completion and treat them specially. (bug#2957)

2009-04-13  Jason Rumney  <jasonr@gnu.org>

	* faces.el (frame-set-background-mode): Window system frames
	default to light.  Use default in cases where specified color
	does not exist (Bug#2969).

2009-04-13  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (cp932): Delete alias for japanese-shift-jis.

2009-04-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-directly):
	Overwrite always the tmpfile.  (Bug#2962).

2009-04-11  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (dir-locals-directory-cache): Rename from
	dir-locals-directory-alist.  Change format to include
	the mtime of the directory-local variables file (Bug#2833).
	(dir-locals-set-directory-class): New arg mtime.  Store it in
	dir-locals-directory-cache.
	(dir-locals-find-file): Check cache validity using the mtime.
	(dir-locals-read-from-file): Save the file mtime in the cache.
	(hack-dir-local-variables): Adapt to new
	dir-locals-directory-cache entry format.

	* international/mule-diag.el (describe-font-internal):
	Rename ignored argument to IGNORED.
	(describe-font): Elide unnecessary argument to
	describe-font-internal (Bug#2945).

2009-04-10  Richard M Stallman  <rms@gnu.org>

	* mail/rmailedit.el (rmail-cease-edit): Call rmail-modify-format.

	* vc-dir.el (vc-dir): Doc fix.

2009-04-10  Eli Zaretskii  <eliz@gnu.org>

	* mail/unrmail.el (unrmail): If "Mail-From" header is found,
	append a newline to it.

	* mail/rmail.el (rmail-unrmail-new-mail)
	(rmail-unrmail-new-mail-maybe): New functions.
	(rmail-insert-inbox-text): Use rmail-unrmail-new-mail-maybe to
	convert Babyl-formatted new mail to mbox format.  (Bug#2942)

2009-04-09  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-rect.el (cua--indent-rectangle): Insert tabs using
	tab-to-tab-stop to respect indent-tabs-mode.

2009-04-09  Richard M Stallman  <rms@gnu.org>

	* mail/rmailkwd.el (rmail-set-label): Warn if multiple labels spec'd.
	(rmail-kill-label, rmail-add-label): Doc fixes.

	* mail/rmailout.el (rmail-output): If file is visited,
	check the buffer's format.

	* mail/rmailout.el (rmail-convert-to-babyl-format): Don't set "unseen".

	* mail/rmailout.el (rmail-output-to-rmail-buffer):
	Call rmail-modify-format.

	Don't query before visiting a Babyl file.
	Instead, query before modifications that would save it.

	* mail/rmail.el (rmail-was-converted): New variable.
	(rmail-seriously-modified): New variable.
	(rmail-perm-variables): Set them to nil.
	(rmail-convert-babyl-to-mbox): Don't query about converting Babyl file.
	Instead, set rmail-was-converted.
	(rmail-modify-format): New function.  Query if save will change format.
	(rmail-dont-modify-format): New function.
	(rmail-duplicate-message, rmail-get-new-mail):
	Call rmail-modify-format.
	(rmail-set-header): Call rmail-dont-modify-format.
	(rmail-set-attribute): Likewise.
	(rmail-expunge-confirmed): Call rmail-modify-format.

	* mail/sendmail.el (sendmail-send-it): Replace any
	pre-existing Content-type header if we insert one.

2009-04-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-handler-alist): Add `vc-registered'.
	(tramp-handle-vc-registered): New defun.  (Bug#1741)

	* net/tramp-cache.el (tramp-flush-directory-property): Use the
	localname of KEY for check.

2009-04-09  Kenichi Handa  <handa@m17n.org>

	* international/charprop.el: Re-generated.
	* international/uni-bidi.el: Re-generated.
	* international/uni-category.el: Re-generated.
	* international/uni-combining.el: Re-generated.
	* international/uni-decomposition.el: Re-generated.
	* international/uni-mirrored.el: Re-generated.
	* international/uni-name.el: Re-generated.

2009-04-08  Eli Zaretskii  <eliz@gnu.org>

	* files.el (append-to-file): Doc fix.

	* term/pc-win.el (msdos-last-help-message): New defvar.
	(msdos-show-help): Use it to avoid saving the last message if it
	was also a help message (Bug#2895).

	* mail/rmail.el (rmail-simplified-subject): Normalize whitespace
	in subject.  This resurrects a feature, lost in transition to
	mbox, whereby Subject is matched even if it's broken into several
	lines at arbitrary places.

2009-04-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Give hint for GDB in Emacs on Mac OSX.

2009-04-08  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/fill.el (fill-paragraph): Doc fix.

2009-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* vc-bzr.el (vc-bzr-log-view-mode): Fix last fix.

2009-04-07  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (ns-pop-up-frames): Make it a defcustom.

	* mail/rmail.el (rmail-expunge-and-save): Let rmail-expunge show the
	message.
	(rmail-quit): Mark summary unmodified.
	(rmail-expunge): Doc fix.  Always show a message.  (Bug#2763)

2009-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* vc-bzr.el (vc-bzr-log-view-mode):
	Tweak log-view-message-re (Bug#2872).

	* descr-text.el (describe-property-list, describe-char):
	Add follow-link properties to buttons that need them.

	* tooltip.el (tooltip-show-help-non-mode): Don't save the last
	message if it was also a help message (Bug#2895).

2009-04-06  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-format-entry)
	(bibtex-search-crossref): Allow OPT prefix for name of crossref field.

2009-04-06  Sam Steingold  <sds@gnu.org>

	* simple.el (completion-list-mode-map): Bind "q" to quit-window,
	just like in all other read-only buffers.

2009-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (handle-shift-selection): Clarify docstring.

2009-04-05  Michael Albinus  <michael.albinus@gmx.de>

	* dired-aux.el (dired-copy-file-recursive): Set mode to "700" if
	`file-modes' returns nil.

	* net/ange-ftp.el (ange-ftp-set-file-modes): New defun.  Change
	`ange-ftp' property of `set-file-modes' to
	`ange-ftp-set-file-modes' (Bug#2865).
	(ange-ftp-call-chmod): Add error handling.

	* net/tramp.el (tramp-default-file-modes): New defun.  Replace all
	calls of `file-modes' by this (Bug#2869).
	(tramp-handle-find-backup-file-name): Use `symbol-value' instead
	of `boundp'.

	* net/tramp-fish.el (tramp-fish-do-copy-or-rename-file-directly):
	Use `tramp-default-file-modes'.

2009-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (make-frame): Doc fix.

2009-04-04  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailsum.el (rmail-new-summary-1): Don't show zero count of
	summary lines.

2009-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-get-filename): Always pass filename through
	`read' to ensure unquoting is performed (Bug#2862).

2009-04-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-mode): Don't give up if the file doesn't exist.

2009-04-02  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-cyclic): Check for +ve N.

	* calendar/holidays.el (calendar-holidays):
	Don't autoload it.  (Bug#2811)

2009-04-02  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (setup-default-fontset):
	Specify iso10646-1 font for characters in PUA of BMP.  (Bug#2830)

2009-04-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (auto-fill-function): Mark it as safe for nil.
	Suggested by Leo <sdl.web@gmail.com>.

2009-04-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-mtn.el (vc-mtn-register): Fix optional arguments.

	* vc-hooks.el (vc-name): Avoid calling vc-backend twice.
	(vc-mode-line): Accept and use an optional argument for the backend.
	(vc-find-file-hook): Use when instead of if.  Avoid calling
	vc-backend multiple times, pass down the value computed the first time.

2009-03-30  Andreas Schwab  <schwab@linux-m68k.org>

	* ansi-color.el (ansi-color-get-face):
	Use ansi-color-parameter-regexp to match parameters.
	(ansi-color-regexp): Include final `m' in first group.

2009-03-30  Jason Rumney  <jasonr@gnu.org>

	* files.el (locate-dominating-stop-dir-regexp): Stop searching
	when a UNC mount point is reached.

2009-03-30  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-embed.el (calc-embedded-restore-original-modes):
	Add argument for Calculator buffer.
	(calc-do-embedded): Use specific Calculator buffer when cancelling
	embedded mode.

	* calc/calc.el (calc-buffer-list): New variable.
	(calc-kill-stack-buffer): New function.
	(calc-mode): Add `calc-kill-stack-buffer' to
	`kill-buffer-query-functions'.  Add current buffer to
	`calc-buffer-list'.

2009-03-30  Kenichi Handa  <handa@m17n.org>

	* language/chinese.el (chinese-big5): Change type to `big5'.

2009-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* help-mode.el (help-buffer): Add docstring.

2009-03-28  David Reitter  <david.reitter@gmail.com>

	* term/ns-win.el (ns-expand-space): Remove defvar.
	(S-,): Bind to `customize' in line with menu item.
	([global-map windows]): Remove (in line with other platforms).
	(menu-bar-update-frames, force-menu-bar-update-buffers):
	Remove, not needed.
	(menu-bar-update-hook): Do not alter.
	(generate-fontset-menu, mouse-set-font): Amend doc string
	of these defaliases to point out their altered meaning in NS.

2009-03-28  Juri Linkov  <juri@jurta.org>

	* simple.el (minibuffer-default-add-completions):
	Remove `(interactive)'.  (Bug#2805)

2009-03-28  Eli Zaretskii  <eliz@gnu.org>

	* files.el (shell-quote-wildcard-pattern): Doc fix.

2009-03-27  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-insert-directory): Allow for a trailing '/'
	when looking for "." and "..".  (Bug#2801)

2009-03-27  Andreas Schwab  <schwab@linux-m68k.org>

	* simple.el (shift-select-mode): Make it a defcustom.
	* cus-start.el: Remove shift-select-mode.

2009-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (shift-select-mode): Move declaration from callint.c.
	(handle-shift-selection): Remove `deactivate' arg and check
	shift-select-mode instead.

2009-03-26  Juanma Barranquero  <lekktu@gmail.com>

	* align.el (align-large-region, align-perl-modes, align-rules-list)
	(align-open-comment-modes): Fix typos in docstrings.
	(align-region-separate): Doc fixes.

2009-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* arc-mode.el (archive-ar-summarize): Don't burp on special GNU
	extension entries for lookup tables or extended file name tables.
	Distinguish the internal and external name, so lookup is easier.
	(archive-ar-extract): Take advantage of more precise name.
	Preserve point.

2009-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* play/bubbles.el (bubbles): Doc fix (Bug#2776).

2009-03-25  Juanma Barranquero  <lekktu@gmail.com>

	* composite.el (auto-compose-chars): Fix typo in docstring.

2009-03-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-skip-msgs): Add 534.

2009-03-24  Glenn Morris  <rgm@gnu.org>

	* wid-edit.el (widget-specify-field): Don't add a second overlay for a
	field with just a newline character.
	(widget-field-value-get): Don't reduce fields with just a space
	character to null.
	(character): Accept newline.  (Bug#2689)

2009-03-24  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (font-encoding-alist): Add an entry for
	muletibetan-0.  (Bug#2722)

2009-03-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-working-revision): Add support for lightweight
	checkouts.  (Bug#2157)
	(vc-bzr-after-dir-status): Ignore a warning for bzr status.
	(vc-bzr-dir-extra-headers): Add headers for lightweight checkouts.

2009-03-22  Richard M Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-expunge): Update summary buffer even if DONT-SHOW.
	(rmail-expunge): Without DONT-SHOW, show the message even after
	updating summary.

2009-03-21  Jari Aalto  <jari.aalto@cante.net>

	* time.el (display-time-default-load-average): Doc fix.

2009-03-21  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (handle-shift-selection): Doc fix.  (Bug#2738)

2009-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (file-modes-rights-to-number): Doc fix.
	(file-modes-symbolic-to-number): Handle empty permissions
	arg (Bug#2729).

2009-03-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (Todo): Add note on simplifying vc-register.

2009-03-21  Eli Zaretskii  <eliz@gnu.org>

	* eshell/em-ls.el (eshell-ls-dir):
	Call eshell-directory-files-and-attributes with additional argument
	'integer or 'string, according to numeric-uid-gid.
	(eshell-ls-file): Don't convert UID and GID to strings, as
	eshell-ls-dir already did.  Enlarge max user-name string length to
	14 characters.
	(eshell-do-ls): Fix the long name of the -L option.

	* eshell/esh-util.el (directory-files-and-attributes): Accept and
	ignore additional optional argument id-format.
	(eshell-directory-files-and-attributes):
	Call directory-files-and-attributes with additional argument id-format.

	* eshell/em-ls.el (eshell-ls-file): Enlarge default size-width to 8.
	(eshell-ls-dir): Under -l, call eshell-ls-printable-size with last
	argument nil.

2009-03-21  David Reitter  <david.reitter@gmail.com>

	* cus-start.el (all): Use existing `ns' rather than new `nextstep'
	group for variables affected by last two changes.

2009-03-21  Eli Zaretskii  <eliz@gnu.org>

	* cus-start.el (all): Fix last change.

2009-03-21  David Reitter  <david.reitter@gmail.com>

	* cus-start.el (all): Add ns-control-modifier,
	ns-command-modifier, ns-alternate-modifier, ns-function-modifier,
	ns-antialias-text, and ns-use-qd-smoothing.

2009-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-deduce-fileset): Make the error message more explicit.

2009-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (forward-point): Add obsolescence declaration.

	* paren.el (show-paren-function):
	* simple.el (kill-forward-chars, kill-backward-chars):
	Use (+/- (point) N), instead of `forward-point'.

2009-03-19  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-retry-ignored-headers): Add :version tag.

	* mail/supercite.el (sc-version): Doc fix.

2009-03-19  Leo  <sdl.web@gmail.com>  (tiny change)

	* mail/supercite.el (sc-version): Fix typo in interactive spec.

2009-03-19  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-update-leim-list-file):
	Save leim-list.el in utf-8.

	* international/mule-cmds.el (leim-list-header):
	Use utf-8 coding tag.

	* term/ns-win.el: Call create-default-fontset, not
	setup-default-fontset.  Call create-fontset-from-fontset-spec
	within condition-case.

	* term/w32-win.el (w32-initialize-window-system):
	Call create-default-fontset, not setup-default-fontset.
	Call create-fontset-from-fontset-spec within condition-case.

	* term/x-win.el (x-initialize-window-system):
	Call create-default-fontset, not setup-default-fontset.
	Call create-fontset-from-fontset-spec within condition-case.

	* international/fontset.el (create-default-fontset): New function.
	(create-fontset-from-x-resource): Use display-warning instead of
	message.

2009-03-18  Richard M Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-retry-ignored-headers): Add usual mime headers.
	(rmail-retry-failure): Undo previous change.

2009-03-18  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (after-insert-file-set-coding):
	Set buffer-file-coding-system directly without calling
	set-buffer-file-coding-system.  (Fixes bug described in
	follow-up to bug#2317).

2009-03-17  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/benchmark.el (benchmark): Reflow docstring.

2009-03-17  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* international/characters.el (cjk-char-width-table):
	Add cp932-2-byte.

2009-03-17  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (minibuffer-complete-and-exit): Doc fix.

2009-03-16  David Reitter  <david.reitter@gmail.com>

	* faces.el (set-face-attributes-from-resources)
	(face-set-after-frame-default): Do not import X resources on NS
	because NS does not have system-wide X resources.

2009-03-16  Richard M Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-retry-failure): Discard rmail-ignored-headers.
	(rmail-expunge): Show the message only once, and only if needed.
	If the current message was current before, just re-swap.

2009-03-16  Kenichi Handa  <handa@m17n.org>

	* international/ccl.el (ccl-compile-if): Signal an error for
	invalid operator.

2009-03-16  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (read-file-name): Doc fix.

	* tooltip.el (tooltip-show-help-non-mode): Don't set
	tooltip-previous-message if called with the same tooltip that is
	showing (Bug#2680).

	* emacs-lisp/crm.el (crm--choose-completion-string): New function.
	(completing-read-multiple): Set and restore
	choose-completion-string-functions (Bug#1080).

2009-03-15  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-preamble-extra): Add an example string
	value to help people with the formatting.

	* mail/sendmail.el (mail-yank-prefix): Doc fix.
	(mail-mode-map): Only enable the "Cite Original" menu-item when
	appropriate.  Standardize the text used for other headers re hyphens.

	* mail/rmail.el (rmail-font-lock-keywords): Treat "Mail-Reply-To"
	like "Reply-To".

2009-03-15  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion-styles): Add emacs22 completion style
	as fallback.

2009-03-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-checkin): Add an extra argument for the VC backend,
	pass it down to vc-start-logentry.
	(vc-next-action, vc-transfer-file): Pass the VC backend to
	vc-checkin.
	(vc-next-action): Do not assume that all backends in
	vc-handled-backends are upper case.

2009-03-15  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (get-free-disk-space): Ensure that default-directory is
	usable before calling call-process.  Suggested by Kevin
	Ryde (Bug#2631).

2009-03-14  David Reitter  <david.reitter@gmail.com>

	* term/ns-win.el (ns-expand-space): Remove.
	(ns-show-prefs event): Run `customize'.
	(ns-power-off): Run `save-buffers-kill-emacs', but ask user
	whether to save files (as is standard).
	(clipboard-yank, clipboard-kill-ring-save, clipboard-kill-region)
	(menu-bar-enable-clipboard): Do not undefine these.
	(ns-save-preferences, ns-save-options, ns-show-preferences-help):
	Remove.

2009-03-14  Glenn Morris  <rgm@gnu.org>

	* mail/mailalias.el: Remove leading `*' from defcustom docs.

	* mail/sendmail.el (mail-interactive): Doc fix.
	(mail-yank-ignored-headers): Add X-RMAIL- headers, bump :version.
	(mail-setup): Use the function mail-signature.
	(mail-mode-hook): Doc fix.
	(mail-to, mail-subject, mail-cc, mail-bcc, mail-reply-to)
	(mail-mail-reply-to, mail-mail-followup-to): Doc fixes.
	(mail-signature): Check the signature file is readable.
	With the argument ATPOINT, really insert at point.
	Handle the case when the variable mail-signature is an expression.

2009-03-14  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (undo-outer-limit-truncate): Mention that
	warning-suppress-types is defined in the warnings
	library (Bug#2668).

2009-03-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-default-receive-file): The 'register method now
	expects a list, pass a list.

2009-03-14  Chong Yidong  <cyd@stupidchicken.com>

	* doc-view.el (doc-view-sentinel): Strip trailing newline from
	event message.

2009-03-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-extract): Setup the buffer's name, undo-list, and
	modified status before running the major-mode.

	* simple.el (undo): Don't loop when encountering empty undo records.

2009-03-13  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode-map): Bind RET to image-next-line.

2009-03-13  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-previous-revision, vc-git-next-revision):
	Fall back to original commit if vc-git-symbolic-commit fails to
	find a symbolic name.
	(vc-git-symbolic-commit): Don't limit search to tags.
	Treat "undefined" as an error.  (Bug #2110)

2009-03-13  D. Goel  <deego3@gmail.com>

	* ibuf-ext.el:
	* midnight.el (midnight-next):
	* progmodes/ebrowse.el:
	* progmodes/flymake.el (flymake-float-time):
	When calling (multiple-value-bind/setq .. ls) replace ls
	by (values-list ls) throughout.

2009-03-13  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-get-word): Initialize spellchecker
	params.  (Bug #2654)

2009-03-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-mode-alist): Add rules for OpenOffice extension
	packages, as well as Opkg/Ipkg packages.

	* tar-mode.el (tar-header-block-tokenize): Presume less, check more.
	(tar-summarize-buffer): Don't silently skip incomplete headers.
	(tar-mode): Revert to fundamental-mode in case of malformed tar data.
	(tar-extract): Try to make sure set-auto-mode doesn't mistakenly
	treat a tar file member as being a tar file itself, just because
	its own filename includes the parent tar file's.

2009-03-13  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (print-fontset): Handling of the
	argument FONTSET changed for consistency.  Reorder the printed
	information to match with the font searching strategy.
	(describe-fontset): Use face-attribute to get the fontset of the
	selected frame.
	(mule-diag): Likewise.  Print both font and fontset of the frame.

2009-03-13  Chong Yidong  <cyd@stupidchicken.com>

	* term.el (term-send-raw-string): Deactivate mark.
	(term-send-raw, term-send-raw-meta): Undo 2009-03-08 change.

2009-03-12  Juanma Barranquero  <lekktu@gmail.com>

	* register.el (get-register): Rename arg REG to REGISTER for
	consistency with other register functions.
	(set-register, jump-to-register): Fix typos in docstrings.
	(copy-to-register, copy-rectangle-to-register): Reflow docstrings.

2009-03-12  Glenn Morris  <rgm@gnu.org>

	* mail/mailabbrev.el (mail-abbrev-next-line)
	(mail-abbrev-end-of-buffer): Doc fixes.

2009-03-11  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (w32-initialize-window-system): Don't override
	Japanese font settings.
	(xlfd-regexp-registry-subnum): Remove unused declaration.
	(w32-drag-n-drop-debug): Comment out unused debug function.

2009-03-11  Glenn Morris  <rgm@gnu.org>

	* mail/rmailedit.el (rmail-edit-mode):
	Set write-region-annotate-functions.  (Bug#2625)

2009-03-10  Juanma Barranquero  <lekktu@gmail.com>

	* w32-vars.el (w32-list-proportional-fonts): Fix typos in last change.

2009-03-10  Jason Rumney  <jasonr@gnu.org>

	* w32-vars.el (w32-list-proportional-fonts): Make obsolete.

2009-03-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-process-filter): Use expand-file-name rather than
	command-line-normalize-file-name so as to use the `dir' when provided.

	* doc-view.el (doc-view-convert-current-doc): Fix last change.

2009-03-10  Glenn Morris  <rgm@gnu.org>

	* mail/sendmail.el (mail-archive-file-name, mail-default-headers):
	Doc fixes.
	(mail-mailing-lists): Remove leading `*' from defcustom doc.

	* simple.el (compose-mail): Doc fix.

2009-03-10  Alexander Becher  <alexander.becher@capgemini-sdm.com>  (tiny change)

	* vc-annotate.el (vc-annotate): Use widened line number (Bug#2612).

2009-03-09  Jason Rumney  <jasonr@gnu.org>

	* minibuffer.el (read-file-name): Only split dir name when
	default filename is missing.  (Bug#2585)

2009-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* finder.el (finder-commentary): Don't delete other
	windows (Bug#2291).

	* term.el (term-send-raw, term-send-raw-meta): Deactivate the mark
	first (Bug#2449).

2009-03-08  Andreas Schwab  <schwab@linux-m68k.org>

	* net/ange-ftp.el (ange-ftp-multi-msgs): Add 150-.

2009-03-07  Eli Zaretskii  <eliz@gnu.org>

	* woman.el (woman-parse-colon-path): Return a list even if there's
	only one directory in PATHS.
	(woman-mode): Restore tab-width value after the call to Man-mode,
	since Man-mode resets it to the default, and that makes right
	margin extend beyond woman-fill-column.

	* man.el (Man-init-defvars) [windows-nt]: Use a special command
	list.  Don't invoke Awk.

2009-03-06  Glenn Morris  <rgm@gnu.org>

	* mail/rmailmm.el (rmail-mime-media-type-handlers-alist): Fix doc and
	custom type.

2009-03-05  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-convert-current-doc): Save the current
	resolution in the cache directory.
	(doc-view-initiate-display): Restore the saved resolution when
	using cached image files.

2009-03-05  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-perm-variables): rmail-overlay-list needs to be
	buffer-local in the view buffer, not the rmail buffer.

	* mail/rmailout.el (rmail-output-to-rmail-buffer): Add the new message
	at the end of the existing messages, ensuring there is a blank line
	between them.  (Bug#2521)

	* mail/rmail.el (rmail-ensure-blank-line): New function.
	* mail/rmailedit.el (rmail-cease-edit):
	* mail/rmailout.el (rmail-output-as-mbox):
	* mail/rmailsort.el (rmail-sort-messages): Use rmail-ensure-blank-line.

	* mail/rmailmm.el (rmail-mime-media-type-handlers-alist)
	(rmail-mime-attachment-dirs-alist): Doc fixes.  Fix custom-type.
	Add version.
	(rmail-mime-total-number-of-bulk-attachments): Doc fix.
	(rmail-mime): Doc fix.  Use rmail-apply-in-message.
	Disable undo in the mime buffer, mark unmodified.

2009-03-04  David Reitter  <david.reitter@gmail.com>

	* menu-bar.el (clipboard-yank): Avoid checking (x-selection-exists-p)
	if unbound in order to enable the item.
	For paste menu item, same, and check kill-ring.

2009-03-04  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Handle "omake -P" messages "file foo changed".

2009-03-04  Glenn Morris  <rgm@gnu.org>

	* mail/rmailedit.el (rmail-edit-mode): Doc fix.

	* mail/rmailsort.el: Replace `(function (lambda' by `(lambda'.
	(rmail-sort-by-date, rmail-sort-by-subject)
	(rmail-sort-by-author, rmail-sort-by-recipient)
	(rmail-sort-by-correspondent, rmail-select-correspondent)
	(rmail-sort-by-lines, rmail-sort-by-labels, rmail-sort-messages)
	(rmail-make-date-sortable): Doc fixes.
	(rmail-sort-by-correspondent): Downcase correspondents.
	(rmail-sort-by-labels): Make it work.
	(rmail-sort-messages): Restore undo if it was initially enabled.
	Fix bobp/bolp typo that was adding a line on every sort.

	* mail/rmailsum.el (rmail-get-create-summary-buffer): Doc fix.
	Disable undo in the summary buffer.
	(rmail-summary-sort-by-date, rmail-summary-sort-by-subject)
	(rmail-summary-sort-by-author, rmail-summary-sort-by-recipient)
	(rmail-summary-sort-by-correspondent, rmail-summary-sort-by-lines)
	(rmail-summary-sort-by-labels, rmail-sort-from-summary): Doc fixes.
	(rmail-summary-sort-by-labels): Replace `(function (lambda'
	by `(lambda'.

2009-03-03  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-move-to-column):
	Guard against negative col values.

2009-03-03  Simon Josefsson  <simon@josefsson.org>

	* mail/smtpmail.el (smtpmail-auth-supported): Mention that list is
	in preference order.
	(smtpmail-try-auth-methods): Improve which authentication
	mechanism to use, so that the locally most preferred and mutually
	supported mechanism is used.

2009-03-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (end-of-defun-function): Make it more clear that
	the function takes no argument.

2009-03-03  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-highlighted-headers, rmail-highlight)
	(rmail-header-name): Doc fixes.
	(rmail-show-message-verbose-min): Add :version.
	(rmail-highlight-headers): Add doc string.  Simplify.

	* mail/rmailsum.el (rmail-summary-scroll-between-messages)
	(rmail-summary-line-count-flag, rmail-summary-by-regexp): Doc fixes.
	(rmail-summary-by-senders): Doc fix.
	(rmail-summary-mode-map): Bind C-o to output-as-seen, not output.
	Make the output menu-items consistent with rmail-mode-map.
	Bind rmail-summary-by-senders to C-M-f.
	(rmail-summary-search): Ensure the selected message shows.

2009-03-03  Kenichi Handa  <handa@m17n.org>

	* files.el (basic-save-buffer-1): Set car part of
	buffer-file-coding-system-explicit.
	(revert-buffer): Check car part of buffer-file-coding-system-explicit.

	* international/mule-cmds.el (select-safe-coding-system): If cdr
	part of buffer-file-coding-system-explicit is set, ignore
	default-buffer-file-coding-system and the most preferred coding system.

	* international/mule.el (set-buffer-file-coding-system): Set cdr
	part of buffer-file-coding-system-explicit.
	(after-insert-file-set-coding):
	Set buffer-file-coding-system-explicit to a cons.

2009-03-02  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-date-forms, calendar-date-display-form):
	Add :set-after listing variables on which we might depend.

	* mail/rmail.el (rmail-reply): Use rmail-apply-in-message so that this
	function has access to all the headers, not just the visible ones.
	Avoid extraneous leading whitespace in `References'.
	(rmail-dont-reply-to-names, rmail-default-dont-reply-to-names):
	Doc fixes.
	(rmail-retry-failure): Use rmail-get-header rather than a magical
	save-excursion/restriction combination that does nothing.
	(rmail-delete-headers): New function.
	(rmail-retry-failure): Restore yet another feature mbox Rmail removed
	without telling anyone, namely rmail-retry-ignored-headers.

2009-03-01  Chong Yidong  <cyd@stupidchicken.com>

	* abbrev.el (clear-abbrev-table): Always return nil (Bug#2515).

2009-03-01  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-mode-map): Add explicit keybinding for
	rmail-resend in the menu.

	* files.el (confirm-nonexistent-file-or-buffer): `other' must be last
	custom choice.  (Bug#2506)

2009-02-28  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/grep.el (grep-process-setup) [windows-nt msdos]:
	Use "--color=always".

2009-02-28  Glenn Morris  <rgm@gnu.org>

	* mail/rmailout.el (rmail-output-as-seen): Add autoload cookie.

	* mail/rmailmm.el (rmail-mime): Add autoload cookie.
	* mail/rmail.el (rmail-mode-map):
	* mail/rmailsum.el (rmail-summary-mode-map): Bind rmail-mime to `v'.

	* mail/rmail.el (rmail-primary-inbox-list): Doc fix.
	Fix custom choice to match default.
	(rmail-get-new-mail): Doc fix.
	(rmail-beginning-of-message, rmail-end-of-message): Preserve the current
	header style.

2009-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (keep-lines-read-args): Use empty string as
	default (Bug#2495).

	* menu-bar.el (menu-set-font): Fix last fix.

2009-02-27  Glenn Morris  <rgm@gnu.org>

	* help-fns.el (find-lisp-object-file-name): Need a buffer position, not
	just a buffer, to find a definition.

	* mail/rmail.el (rmail-speedbar-move-message): Preserve the directory
	part against rmail-output's oddness.

2009-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-set-font): Assign the same font object to all
	frames (Bug#2476).

2009-02-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-coding-commands): Add "base64".  (Bug#2463)

2009-02-26  Juanma Barranquero  <lekktu@gmail.com>

	* x-dnd.el (x-dnd-test-function, x-dnd-get-state-cons-for-frame)
	(x-dnd-get-state-for-frame, x-dnd-handle-moz-url)
	(x-dnd-handle-uri-list, x-dnd-choose-type, x-dnd-get-drop-width-height)
	(x-dnd-init-motif-for-frame): Fix typos in docstrings.
	(x-dnd-drop-data, x-dnd-types-alist, x-dnd-default-test-function):
	Reflow docstrings.

2009-02-26  Glenn Morris  <rgm@gnu.org>

	* mail/rmailsum.el (rmail-summary-rmail-update):
	Use rmail-message-unseen-p.  (Bug#2477)
	(rmail-summary-mark-seen): Add option to mark as unseen.
	(rmail-summary-rmail-update): Store a position in
	rmail-summary-put-back-unseen rather than just a flag, and use it to put
	back the "-" mark in the summary.

	* progmodes/cc-vars.el (c-style-variables-are-local-p):
	Mark as safe if boolean.  (Bug#2197)

2009-02-26  Tobias C. Rittweiler  <tcr@freebits.de>  (tiny change)

	* mail/sendmail.el (sendmail-send-it): `call-process-region' can
	return a string.  (Bug#2428)

2009-02-25  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--down):
	* ibuffer.el (ibuffer-redisplay-engine): Use `point-min' instead of 1.

2009-02-25  Glenn Morris  <rgm@gnu.org>

	* dired-x.el (dired-guess-shell-alist-user): Fix doc typo.

	* simple.el (eval-expression):
	* emacs-lisp/lisp-mode.el (eval-last-sexp): Mention truncation in doc.

2009-02-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-update): Make sure ./ is always first in the listing.

2009-02-25  David Reitter  <david.reitter@gmail.com>

	* mail/mailclient.el (clipboard-kill-ring-save): Declare.

2009-02-25  Kenichi Handa  <handa@m17n.org>

	* ps-mule.el (ps-mule-begin-job): Don't call auto-compose-region.

	* composite.el (auto-composition-mode): Don't add a hook to
	after-change-functions.  Don't decompose the buffer.
	(auto-composition-after-change): Delete it.
	(toggle-auto-composition): Make it an alias of
	auto-composition-mode.
	(auto-compose-region): Delete it.

2009-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/ns-win.el (ns-working-overlay): Don't make it buffer-local.
	(ns-working-overlay-len): Remove.  Use ns-working-overlay instead.
	(ns-delete-working-text): Merge with ns-unecho-working-text.
	Decide which to use based on ns-working-overlay.
	(ns-unecho-working-text): Remove.
	(ns-insert-working-text, ns-echo-working-text): Adjust accordingly.

2009-02-24  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/ispell.el (ispell-region): Adapt "done" message to
	coding conventions.  (Bug#2447)

	* scroll-bar.el (scroll-bar-mode): Turn off scroll bars when
	argument is 0.  Doc fix.  (Bug#1527)

	* w32-vars.el (w32-system-shells): Doc fix.

	* image.el (image-load-path-for-library, insert-sliced-image):
	Fix typos in docstrings.

2009-02-24  Glenn Morris  <rgm@gnu.org>

	* textmodes/flyspell.el (flyspell-use-meta-tab): Add a custom
	:set function.  (Bug#2429)

	* eshell/esh-util.el (eshell-parse-ange-ls): Define `name' before
	potential use.

	* progmodes/cperl-mode.el (cperl-find-pods-heres):
	Don't globally bind `name'.

	* emacs-lisp/elint.el (elint-unknown-builtin-args):
	Fix encode-time spec.  (Bug#2453)
	(elint-find-builtin-args): Make the match more restrictive.
	Handle errors.  Return a result actually containing the function name.

	* mail/rmail.el (rmail): Don't show a message if rmail-get-new-mail
	already did.  (Bug#2440)
	(rmail-quit): Don't swap buffers.  (Bug#2441)
	(rmail-list-to-menu): Don't globally bind `name'.

2009-02-23  Chong Yidong  <cyd@stupidchicken.com>

	* net/ange-ftp.el (ange-ftp-insert-directory): Adapt switch
	manipulation to 2009-02-11 change to dired-add-entry (Bug#2410).

2009-02-23  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--down): When wrapping around, use `forward-line',
	not `goto-line', to avoid distracting "Mark set" message.

2009-02-23  Geoff Gole  <geoffgole@gmail.com>  (tiny change)

	* ibuffer.el (ibuffer-redisplay-engine): Avoid "Mark set" message
	clobbering useful message from `ibuffer-toggle-sorting-mode' (Bug#2439).

2009-02-23  Miles Bader  <miles@gnu.org>

	* proced.el (proced-process-attributes):
	* server.el (server-running-p): Rename `system-process-attributes'
	to `process-attributes'.

2009-02-22  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (minibuffer-default-add-dired-shell-commands):
	Doc fix.

	* dired-x.el (dired-guess-shell-command): Use read-shell-command
	instead of read-from-minibuffer.
	(dired-read-shell-command): Add code that uses
	minibuffer-with-setup-hook to set minibuffer-default-add-function
	to minibuffer-default-add-dired-shell-commands exactly like
	`dired-read-shell-command' in dired-aux.el already does.  Doc fix.

	* dired-x.el (dired-smart-shell-command): Remove code that uses
	minibuffer-with-setup-hook to set minibuffer-default-add-function
	to minibuffer-default-add-shell-commands because the same code was
	already moved to `read-shell-command' 2008-07-31.  (Bug#2414)

2009-02-21  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-math.el (math-use-emacs-fn): Make sure that the
	lisp number is in decimal.

2009-02-21  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Tweak regexp (Bug#2173).

	* textmodes/flyspell.el (flyspell-mouse-map): Undefine mouse-2 to
	avoid yanks (Bug#2408).

2009-02-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-case-kwds-regexp): New variable.

	* progmodes/cc-engine.el (c-beginning-of-statement-1): Enhance to
	parse case clauses with (compile-time) expressions.

2009-02-21  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailedit.el (rmail-cease-edit): Notice changes in buffer's
	encoding during editing.  Make sure to use encoding that can
	safely encode the message.  Rewrite MIME charset= header if the
	new encoding is different from the old one.

2009-02-21  Glenn Morris  <rgm@gnu.org>

	* mail/supercite.el (sc-mail-glom-frame): Handle a "From " line
	at the start of the headers.
	(sc-mail-check-from): New function.

2009-02-20  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/python.el (python-shift-left, python-shift-right):
	When the mark is not active shift the current line.  (Bug#2381)
	Suggested by Guillaume Salagnac <guillaume.salagnac@gmail.com>

2009-02-20  Andreas Schwab  <schwab@suse.de>

	* startup.el (command-line): Don't match an empty argument as an
	option.
	(command-line-1): Likewise.

2009-02-20  Daniel Jensen  <daniel@bigwalter.net>  (tiny change)

	* apropos.el (apropos-library): Check for null filename in load-history.

2009-02-20  Glenn Morris  <rgm@gnu.org>

	* apropos.el (apropos-library): Remove the element with null filename,
	if present, from the completion list.

	* mail/rmail.el (rmail-speedbar-buttons): Only add regular files.
	(rmail-speedbar-find-file): Use rmail rather than find-file.

2009-02-20  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-autokey-titleword-ignore): Doc fix.

2009-02-20  Era Eriksson  <era@iki.fi>  (tiny change)

	* textmodes/bibtex.el (bibtex-autokey-titleword-ignore):
	Fix regexp (Bug#2385).
	(bibtex-autokey-get-title): Observe case for
	bibtex-autokey-titleword-ignore.

2009-02-20  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-start): Make the warning more
	verbose (Bug#2395).

2009-02-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-fontify-syntactic-keywords-region):
	Make sure we stop when we reach the limit.

	* progmodes/sh-script.el (sh-font-lock-quoted-subshell): ' inside
	a "..." does not quote anything.  (Bug#2384)

	* textmodes/rst.el (rst-mode-abbrev-table): Mark entries as `system'.

2009-02-19  Andreas Schwab  <schwab@suse.de>

	* term.el: Remap self-insert-command to term-send-raw in
	term-raw-map.  (Bug#2386)

2009-02-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (end-of-defun): Consider the ".*\n" after the end
	of the function as being part of the function.

2009-02-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Move entry for maven (alphabetical order).

2009-02-19  Glenn Morris  <rgm@gnu.org>

	* mail/rmailsum.el (rmail-summary-by-topic): Doc fix.
	Regexp-quote default argument taken from current subject.
	(rmail-new-summary-1): Error if empty summary.  (Bug#2333)

	* mail/rmail-spam-filter.el (rmail-get-new-mail-filter-spam):
	Move here from rmail.el.  Be more careful about error-handling.
	Restore the feature of temporarily setting all old messages
	undeleted before expunging (removed 2009-02-18).

	* mail/rmail.el (rsf-beep, rsf-sleep-after-message, rmail-spam-filter):
	Don't declare.
	(rmail-get-new-mail-filter-spam): Declare.  Move definition to
	rmail-spam-filter.el.
	(rmail-get-new-mail-1): Move the beep and sleep to
	rmail-get-new-mail-filter-spam.

2009-02-18  Martin Rudalics  <rudalics@gmx.at>

	* cus-edit.el (custom-group-value-create): Insert some
	informatory text in the WIDGET-misses-doc-string case.

2009-02-18  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el: Require comint at top level to fix the
	last patch.

2009-02-18  Martin Rudalics  <rudalics@gmx.at>

	* cus-edit.el (custom-group-value-create): Don't throw an error
	when WIDGET has no doc-string.  (Bug#2356)

2009-02-18  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/cc-menus.el (imenu-progress-message):
	Remove bogus cc-bytecomp-defun.
	(cc-imenu-objc-function): Don't call `imenu-progress-message'.
	Don't let-bind variable `stupid'.  (Bug#1638)

2009-02-18  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-get-new-mail-filter-spam):
	* mail/rmail-spam-filter.el (rmail-spam-filter):
	Show a message rather than the raw mbox while prompting.

2009-02-18  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/flymake.el (flymake): Add defgroup.  (Bug#2356)

2009-02-18  Glenn Morris  <rgm@gnu.org>

	* mail/rmail-spam-filter.el (rmail-summary-mode-map): Remove unneeded
	declaration.
	(top-level): No need for cl now.
	(rmail-spam-filter, rmail-use-spam-filter, rsf-file, rsf-no-blind-cc)
	(rsf-beep, rsf-sleep-after-message, rsf-min-region-to-spam-list)
	(rsf-autosave-newly-added-definitions, rsf-white-list)
	(rsf-definitions-alist, rsf-check-field, rsf-add-subject-to-spam-list)
	(rsf-add-sender-to-spam-list, rsf-add-region-to-spam-list)
	(rsf-customize-spam-definitions, rsf-customize-group)
	(rsf-custom-save-all, rsf-add-content-type-field): Doc fixes.
	(rsf-check-field): Use setcar and setcdr rather than setf.
	(rmail-spam-filter): Simplify.
	(rsf-add-subject-to-spam-list, rsf-add-sender-to-spam-list)
	(rsf-add-region-to-spam-list): Use rmail-get-header or
	buffer-substring-no-properties.  Regexp-quote the extracted data.
	Make the messages less verbose.
	(rmail-summary-mode-map, rmail-mode-map): Use easy-menu and dolist to
	simplify things.
	(rsf-add-content-type-field): Make the message less verbose.

	* mail/rmail.el (rmail-get-new-mail-1): Fix the spam beep test.
	(rmail-get-new-mail-filter-spam): Simplify.  Don't mess with
	rmail-deleted-vector.
	(rmail-insert-inbox-text, rmail-collect-deleted)
	(rmail-set-message-deleted-p, rmail-only-expunge)
	(rmail-make-in-reply-to-field): Replace ?\  with ?\s.
	(rmail-get-labels): Remove unused local `blurb'.
	(rmail-message-attr-p, rmail-message-unseen-p, rmail-message-labels-p)
	(rmail-msgend, rmail-msgbeg, rmail-message-deleted-p)
	(rmail-set-message-deleted-p): Doc fixes.

	* mail/rmailout.el (rmail-mbox-from): Move to mail-utils.
	Update callers for associated name change.
	* mail/mail-utils.el (mail-mbox-from): Move here from rmailout.el.
	* mail/unrmail.el (unrmail): Use mail-mbox-from.

2009-02-17  Richard M Stallman  <rms@gnu.org>

	* mail/rmailmsc.el (set-rmail-inbox-list): Doc fix.

	* mail/rmail.el (rmail-copy-headers): When copying full headers,
	correctly put point at the end.

2009-02-17  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-filter):
	Call `comint-carriage-motion', just like `comint-output-filter'.

2009-02-17  Jason Rumney  <jasonr@gnu.org>

	* files.el (make-directory): Stop recursing if parent is
	self.  (Bug#2309)

2009-02-17  Juanma Barranquero  <lekktu@gmail.com>

	* net/newst-treeview.el (newsticker--treeview-load): Remove bogus `if'.

	* progmodes/cc-menus.el (cc-imenu-objc-function): Doc fix.

2009-02-17  Miles Bader  <miles@gnu.org>

	* emacs-lisp/copyright.el (copyright-regexp): Tweak to match
	copyright statements where the years follow the name.

2009-02-17  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/copyright.el (copyright-update-year): Don't let y-or-n-p
	move point.  (Bug#2209)

	* mail/rmailout.el (rmail-fields-not-to-output): Doc fix.
	(rmail-delete-unwanted-fields): Ignore case.  Use line-beg-pos.
	(rmail-output, rmail-output-as-seen): Change the "from-gnus" argument
	to "not-rmail", and make it work.  Simplify.
	(rmail-mbox-from): New function.
	(rmail-output-as-mbox): Use rmail-mbox-from.
	(rmail-output): Ensure a From line in the not-rmail Babyl case.

	* mail/rmail.el (rmail-get-attr-names): Give a warning rather than an
	error if the header is corrupt.

2009-02-16  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker--treeview-load):
	Offer deletion of old groups file.

2009-02-16  Glenn Morris  <rgm@gnu.org>

	* mail/rmailout.el (rmail-delete-unwanted-fields)
	(rmail-output-as-babyl, rmail-output-to-babyl-buffer)
	(rmail-convert-to-babyl-format, rmail-nuke-pinhead-header)
	(rmail-output-as-mbox, rmail-output-to-rmail-buffer, rmail-output)
	(rmail-output-as-seen, rmail-output-body-to-file): Doc fixes.

2009-02-15  Glenn Morris  <rgm@gnu.org>

	* mail/rmailsum.el (rmail-summary-output-as-seen): Doc fix.

	* mail/rmailout.el (rmail-output-decode-coding): Fix custom type, group.
	(rmail-output-as-babyl, rmail-output-to-babyl-buffer):
	Remove unnecessary use of with-no-warnings.
	(rmail-output-as-mbox, rmail-output-as-seen): Doc fix.
	(rmail-output-as-mbox): Start search from point-min.  If constructing a
	"From " line, prefer the date header over the current time.
	(rmail-update-summary): Move declaration earlier in file.

2009-02-15  Richard M Stallman  <rms@gnu.org>

	* mail/rmailedit.el (rmail-edit-diff-headers):
	Delete spurious reference to OLD.

2009-02-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (with-buffer-prepared-for-jit-lock): Swap the `let' and
	the `with-buffer-unmodified' to avoid useless `readlink' calls.

2009-02-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-global-key-alist)
	(bibtex-initialize): Exclude current buffer if it does not use
	bibtex-mode.
	(bibtex-parse-strings, bibtex-strings, bibtex-initialize)
	(bibtex-sort-buffer, bibtex-search-entry)
	(bibtex-prepare-new-entry, bibtex-clean-entry): Use functionp to
	test whether bibtex-strings and bibtex-reference-keys have their
	initial values.

2009-02-14  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/ispell.el (ispell-insert-word): Use `with-no-warnings'
	around forms that refer to translation-table-for-input.

	* isearch.el (isearch-search-string): Use `with-no-warnings'
	around forms that refer to translation-table-for-input.

	* international/quail.el (quail-input-string-to-events)
	(quail-store-decode-map-key, quail-char-equal-p):
	Use `with-no-warnings' around forms that refer to
	translation-table-for-input.

	* simple.el (quoted-insert, zap-to-char): Use `with-no-warnings'
	around forms that refer to translation-table-for-input.

	* subr.el (translation-table-for-input): Declare obsolete again.

2009-02-14  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail): When reverting, swap buffers before setting
	counters.  (Bug#2229)
	(rmail-revert): Swap buffers before replacing contents.

2009-02-14  Ian Eure  <ian@digg.com>  (tiny change)

	* progmodes/sql.el (sql-product-alist, sql-connect-sqlite): Remove host,
	user, password options not applicable to SQlite.  (Bug#1904)

2009-02-14  Richard M Stallman  <rms@gnu.org>

	* mail/rmailedit.el: Handle editing of header fields.
	(rmail-old-headers): New variable.
	(rmail-edit-current-message): Set it, recording current headers.
	(rmail-cease-edit): Compute new headers and diff against old ones.
	Update the mbox buffer with the changes that were made.
	(rmail-edit-headers-alist): New function.
	(rmail-edit-diff-headers, rmail-edit-update-headers): New functions.

	* mail/rmailout.el (rmail-output-body-to-file): Avoid space and colon
	in default file name.

	* mail/rmail.el (rmail-convert-file-maybe): Turn off case-fold-search.
	(rmail-add-mbox-headers): Likewise.

2009-02-13  Eli Zaretskii  <eliz@gnu.org>

	* files.el (load-library): Doc fix.

	* subr.el (locate-library): Doc fix.  (Bug#2291)

2009-02-13  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-defun-name): Widen, to allow it to work
	in narrowed buffers.

2009-02-13  Kenichi Handa  <handa@m17n.org>

	* international/titdic-cnv.el (tit-process-header):
	Use buffer-substring-no-properties instead of buffer-substring.
	(tit-process-body): Likewise.
	(tsang-quick-converter): Handle superfluous CR at eol.
	(py-converter): Use buffer-substring-no-properties instead of
	buffer-substring.  Handle superfluous CR at eol.
	(ziranma-converter): Likewise.
	(ctlau-converter): Likewise.
	(miscdic-convert): Read a file without eol conversion.  (Bug#2307)

2009-02-13  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (internal-complete-buffer-except): Doc fix.  (Bug#2315)

2009-02-13  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-show-message-1): New name for the old
	rmail-show-message.
	* mail/rmail.el, mail/rmailkwd.el, mail/rmailmsc.el, mail/rmailout.el:
	* mail/rmailsort.el: Update for rmail-show-message name change.

	* mail/rmail.el (rmail-show-message): New name for the old
	rmail-show-message-maybe.
	* mail/rmail.el, mail/rmailsum.el: Update for rmail-show-message-maybe
	name change.

	* mail/rmailsum.el (msgnum): Remove declaration.
	(rmail-summary-redo): Add missing initialization value.
	(rmail-summary-overlay, rmail-summary-mode-map): Add doc string.
	(rmail-summary-mark-deleted, rmail-summary-deleted-p):
	Fix skip-chars-forward calls.
	(rmail-summary-mark-seen): New function.  As well as removing the '-'
	mark, update the summary-vector.  (Bug#2135)
	(rmail-summary-rmail-update, rmail-summary-goto-msg):
	Use rmail-summary-mark-seen.

	* mail/rmail.el (rmail-summary-vector, rmail-mode-map): Add doc string.

	* mail/unrmail.el (unrmail): When getting message keywords, don't
	include a leading space, but do include the space after the separating
	comma.  (Bug#2303)

	* mail/rmail.el (rmail-set-header-1): If VALUE is nil, remove the
	header altogether.
	(rmail-set-header): Doc fix.
	* mail/rmailkwd.el (rmail-set-label): Delete the keyword header if all
	labels are removed.  (Bug#2302)

2009-02-12  Juri Linkov  <juri@jurta.org>

	* image-mode.el (image-toggle-display):
	Let-bind `buffer-file-truename' to nil around the call to
	`add-text-properties' to prevent directory time modification
	by lock_file.  Replace `set-buffer-modified-p' with
	`restore-buffer-modified-p'.  (Bug#2295)

2009-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-use-skeletons): Re-add.
	(def-python-skeleton): Use it.  (Bug#2238)

	* international/quail.el (quail-make-guidance-frame): Remove the
	`parent-id' parameter.
	(quail-show-guidance): Make the new window dedicated.

2009-02-12  Juanma Barranquero  <lekktu@gmail.com>

	* international/characters.el (?1, ?2, ?3, ?4, ?7, ?^):
	Fix typos in docstrings.

2009-02-12  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-emacs-features): Crash-fix: change `='
	to `eq'.  (Bug#2304)

2009-02-12  Glenn Morris  <rgm@gnu.org>

	* mail/rmailkwd.el (rmail-set-label): Fix the test for a label being
	already present.  (Bug#2210)

2009-02-12  Kenichi Handa  <handa@m17n.org>

	* international/characters.el (?.): New character category for
	Base characters.  Set them in the standard category table.

	* composite.el: Use "\\c." instead of "[[:alpha:]]" to match with
	a base character.

2009-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* isearch.el (isearch-yank-char-in-minibuffer)
	(isearch-other-meta-char): Use with-current-buffer.

	* progmodes/verilog-mode.el (verilog-mode): Avoid circular use of
	syntax-ppss.  (Bug#1243)

	* emacs-lisp/lisp.el (end-of-defun): Rewrite, to use the ARG argument
	to beginning-of-defun-raw.

	* emacs-lisp/lisp.el (end-of-defun): Don't skip to next line after
	calling end-of-defun-function if it already moved to BOL.

2009-02-12  Richard M Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-show-message-verbose-min): New option.
	(rmail-show-message): Conditionally show start and finish in echo area.

2009-02-12  Glenn Morris  <rgm@gnu.org>

	* mail/rmailsum.el (rmail-get-summary-labels): Store any message labels
	for use in completion.
	* mail/rmailkwd.el (rmail-read-label): Don't scan for labels if the
	summary exists, since it's already done.

	* mail/rmail.el (rmail-unix-mail-delimiter): Doc fix.
	(rmail-enable-multibyte): Don't really define, only for compiler.

2009-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (read-buffer-to-switch):
	Add table to icomplete-with-completion-tables.

2009-02-11  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-add-entry): Avoid munging long-form Dired
	switches (Bug#2261).

2009-02-11  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-with-environment): Don't fail for negative
	entries in ENV.

2009-02-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-filename-mouse-map): Rename from vc-dir-mouse-map.
	(vc-default-dir-printer): Add a comment about updating this function.

	* vc-git.el (vc-git-dir-printer): Use vc-dir-filename-mouse-map
	for the file name.

2009-02-11  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-window-list): Ignore invisible windows.
	(calendar-set-mode-line): Fall back to a default width if we seem to be
	called from daemon.  (Bug#2199)

	* mail/rmailkwd.el (rmail-make-label): Doc fix.
	(rmail-read-label): Add current labels to completion list.  (Bug#2222)
	(rmail-set-label): Use `or'.

2009-02-11  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/find-func.el (find-library-name, find-library):
	Doc fixes.  (Part of bug#2270)

2009-02-10  Eric Hanchrow  <eric.hanchrow@gmail.com>

	* env.el (getenv): When FRAME is non-nil, pass the frame environment
	to `getenv-internal', not the frame.  (Bug#2259)

2009-02-10  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char-display): On terminal, if terminal
	coding system is nil, assume us-ascii.
	(describe-char): Don't show the composition information if it is
	trivial.

2009-02-10  Nick Roberts  <nickrob@snap.net.nz>

	* vc-svn.el (vc-svn-after-dir-status): Use shy group for revision
	number as it isn't present for unregistered files.

	* vc-dir.el (vc-dir-find-file-other-window): Allow mouse events.
	(vc-dir-mouse-map): New keymap.
	(vc-default-dir-printer): Use it locally.

2009-02-10  Glenn Morris  <rgm@gnu.org>

	* speedbar.el: Avoid messing up font-lock-global-modes.

	* mail/mail-utils.el (mail-use-rfc822): Remove * from defcustom doc.
	(mail-file-babyl-p): Use with-temp-buffer.

	* mail/rmailsort.el: Just require rmail.

	* mail/rmailedit.el: Just require rmail.
	(rmail-old-pruned): Add doc string.
	(rmail-edit-current-message): Use rmail-msg-is-pruned.
	(rmail-cease-edit): Don't mangle the leading From line.
	Don't mark as edited if there were no changes.  (Bug#2256)
	Correctly restore header state.

	* mail/rmail.el (rmail-automatic-folder-directives): Doc fix.
	(rmail-current-message, rmail-total-messages)
	(rmail-message-vector, rmail-deleted-vector): Add doc strings.
	(rmail-duplicate-message): Doc fix.
	(rmail-get-header-1, rmail-set-header-1, rmail-set-attribute-1):
	New functions.
	(rmail-get-header, rmail-set-header, rmail-set-attribute):
	Use rmail-apply-in-message.
	(rmail-message-attr-p): Use rmail-get-header, hence no longer requires
	unswapped-ness.
	(rmail-get-attr-names): Check for missing or corrupt attribute headers.
	(rmail-auto-file): Set the filed attribute, rather than explicitly not
	doing so.  (Bug#2231)
	(rmail-set-attribute): Allow ATTR to be a string.

2009-02-09  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker-treeview-save)
	(newsticker--treeview-load): Kill groups buffer after saving/loading.

2009-02-09  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page, doc-view-goto-page):
	Reset the old hscroll value after switching pages.

2009-02-09  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-entry-marker, calendar-today-marker)
	(calendar-holiday-marker): Drop test for color display.

2009-02-08  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-entry-marker, calendar-today-marker)
	(calendar-holiday-marker, calendar-mark-visible-date):
	* calendar/diary-lib.el (diary-fancy-display):
	It doesn't make sense to check font-lock-mode (see comments;
	reverts 2008-04-02 change).  (Bug#2199)

2009-02-08  Juri Linkov  <juri@jurta.org>

	* simple.el (toggle-word-wrap): New command.

2009-02-07  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/ps-mode.el (ps-run-tmp-dir): Doc fix.
	(ps-run-make-tmp-filename): Use temporary-file-directory.

	* textmodes/artist.el (artist-system): Allow make-temp-file to use
	temporary-file-directory.

	* mail/rmailmm.el (rmail-mime-attachment-dirs-alist):
	Use temporary-file-directory.

2009-02-07  Glenn Morris  <rgm@gnu.org>

	* mail/unrmail.el (rmime-magic-string): Define for compiler.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail): Bind coding-system-for-read to
	no-conversion before calling find-file-noselect.  (Bug#2015)

2009-02-07  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-after-send-signal-hook): Use defcustom.
	(proced-header-line): Handle header lines that are shorter than
	window-hscroll.
	(proced-send-signal): Rebind split-width-threshold analogous to
	dired-pop-to-buffer.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-redecode-body): Don't encode/decode the
	message; instead, just rewrite the X-Coding-System header with the
	new encoding, and let rmail-show-message do the rest.
	Remove unused argument RAW.  Fix doc string to be consistent with the
	new implementation.
	(rmail-show-message): Honor X-Coding-System header, if present, in
	preference to Content-Type header.

2009-02-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-execute): Enable quit.

2009-02-07  Andreas Schwab  <schwab@suse.de>

	* image-mode.el (image-mode): Always set image-type.
	(image-minor-mode): Likewise.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailedit.el (rmail-cease-edit): Look for the message's
	encoding, and its "content-transfer-encoding" and "content-type"
	headers only in the headers' portion.  (Bug#2017)

2009-02-07  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el
	(newsticker-treeview-next-new-or-immortal-item): New arg
	DONT-WRAP-TREES to prevent infinite recursion.

2009-02-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/rmailedit.el (rmail-cease-edit): narrow-to-region before
	extracting mail message headers.  Use encode-coding-region instead
	of insert-buffer-substring for re-encoding edited message.
	Add qp/b64 encoding only after text was encoded.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* subr.el: Don't declare `translation-table-for-input' obsolete.
	Equivalent info added to its doc string, q.v.

	* files.el (save-buffer): Display "Saving file FOO..." message
	regardless of buffer's size.  (Bug#2137)

2009-02-07  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-visual): Handle overflow-newline-into-fringe.

2009-02-07  Alex Schroeder  <alex@gnu.org>

	* mail/unrmail.el (unrmail): Use regexps to find message separators so
	as not to match any fake rmime.el separators.  Remove any sections added
	by rmime.el.

2009-02-07  Glenn Morris  <rgm@gnu.org>

	* mail/metamail.el (metamail-interpret-body): Remove Rmail-specific hack
	that is no longer appropriate to mbox Rmail.

	* mail/rmailsum.el (rmail-create-summary-line): Widen the view buffer
	before trying to move to the start of the message.
	(rmail-summary-undelete-many, rmail-summary-rmail-update):
	Fix rmail-set-attribute calls.

	* mail/sendmail.el (mail-bury-selects-summary, mail-yank-original):
	Doc fix.
	(rmail-output-to-rmail-buffer): Autoload it.
	(mail-do-fcc): Give it a doc string.  Update for mbox Rmail, simplify.

2009-02-06  Glenn Morris  <rgm@gnu.org>

	* mail/unrmail.el (unrmail): Use current-time-string.

	* simple.el (kill-whole-line): Provide a default argument of 1.

	* mail/undigest.el (rmail-mail-separator): Delete.
	(undigestify-rmail-message, unforward-rmail-message): Update for
	mbox Rmail.

2009-02-05  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (script-representative-chars):
	Remove mathematical.
	(setup-default-fontset): Add entries for each subgroup of
	mathematical script.

2009-02-05  Juri Linkov  <juri@jurta.org>

	* image-mode.el (image-mode): Use `image-get-display-property'
	instead of `get-text-property'.
	(image-minor-mode): Sync the logic with `image-mode' including the
	displaying an image file as the actual image by default.

2009-02-05  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-emacs-features): Check the working of
	beginning/end-of-defun-function more rigorously before setting
	argumentative-bod-function.

2009-02-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* xt-mouse.el (turn-on-xterm-mouse-tracking-on-terminal)
	(turn-off-xterm-mouse-tracking-on-terminal): Do not turn on the
	mode on the initial terminal.

2009-02-05  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-what-message, rmail-duplicate-message):
	Make these functions work.

	* net/mairix.el (rmail-buffer): Remove unneeded eval-when-compile.
	(rmail-narrow-to-non-pruned-header): Remove autoload.
	(mairix-rmail-fetch-field): Handle mbox Rmail.

2009-02-04  Dave Love  <fx@gnu.org>

	* net/imap.el (imap-fetch-safe): Bind debug-on-error.
	(imap-debug): Add imap-fetch-safe.

2009-02-04  Teodor Zlatanov  <tzlatanov@jumptrading.com>

	* net/netrc.el (netrc-machine-user-or-password): Use list of
	auth-source modes.

2009-02-04  Nick Roberts  <nickrob@snap.net.nz>

	* vc-svn.el (vc-svn-diff): Revert previous change but add a test
	for newvars is nil.  (C-u C-x v = with default values).

2009-02-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-working-revision): Recognize a newer branch
	format.  Use when instead of if.

2009-02-04  Miles Bader  <miles@gnu.org>

	* emacs-lisp/lisp.el (forward-sexp, backward-sexp, forward-list)
	(backward-list, backward-up-list, beginning-of-defun)
	(beginning-of-defun-raw, end-of-defun): Add "^" to interactive spec.

2009-02-04  Glenn Morris  <rgm@gnu.org>

	* mail/mail-utils.el (mail-fetch-field): Previous doc fix was
	ill-advised.

	* mail/rmail.el: No need for mule-util when compiling.
	(rmail-first-message): Unbreak it.

	* mail/rmailmsc.el: Require rmail not just when compiling.
	Remove unneeded declarations.

	* term/ns-win.el (ns): Define as a custom group.

2009-02-04  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system):
	Use buffer-chars-modified-tick instead of buffer-modified-tick.

	* descr-text.el (describe-char): Check font-object by fontp.

	* composite.el (compose-gstring-for-terminal): If a character is
	not supported by the current terminal, don't make a multi-glyph
	grapheme cluster.
	(auto-compose-chars): Check font-object by fontp.

2009-02-03  Glenn Morris  <rgm@gnu.org>

	* mail/unrmail.el (unrmail): In the absence of Mail-from, prefer Date
	over current-time.  (Bug#2175)

	* mail/rmail.el (rmail-convert-babyl-to-mbox): Disable undo while
	inserting the converted mailbox.
	(rmail-get-new-mail): Restore the loop over inboxes when two or more
	have the same basename.  (Bug#2164)
	Set the return value according to whether any mail was found,
	not just in the last inbox.  Only show a message and run the hook after
	checking all inboxes.
	(rmail-get-new-mail-1): Move message display and running the hook to
	rmail-get-new-mail.

	* mail/rmailkwd.el (rmail-label-obarray): Initialize using
	rmail-attr-array.
	(rmail-make-label, rmail-read-label): Give it a doc string.
	(rmail-add-label, rmail-kill-label): Change argument name to match the
	doc.  Doc fix.
	(rmail-set-label): Doc fix.  Also update summary in attr case.
	Accept labels as a string or a symbol.  (Bug#2165)

	* mail/rmailsum.el (rmail-get-summary-labels): Treat empty labels as
	null.

2009-02-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/vhdl-mode.el (vhdl-prepare-search-1)
	(vhdl-prepare-search-2): Properly cleanup on `quit'.

	* progmodes/vhdl-mode.el (vhdl-mode-abbrev-table-init):
	Mark the entries as being "system" entries rather than "user" entries.

2009-02-02  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* smerge-mode.el (smerge-start-session): Add interactive spec.

2009-02-02  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-ignored-headers, rmail-displayed-headers)
	(rmail-retry-ignored-headers, rmail-highlighted-headers):
	Restore autoloads.

2009-02-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (emacs-lisp-file-regexp): Fix up EOB.

2009-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* cmuscheme.el (scheme-args-to-list): Remove.
	(run-scheme): Use split-string-and-unquote instead, so as to allow
	spaces in the command name and/or the arguments.

2009-02-01  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-save-preferences): Save ns-confirm-quit option.

2009-02-01  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.15.

	* net/tramp.el (tramp-read-passwd): Cache passwords shall still be
	used.

	* net/tramp-cache.el (top): Autoload `tramp-run-real-handler'.

	* net/trampver.el: Update release number.

2009-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/rmail.el (rmail-view-buffer): Make buffer-local.
	(rmail-select-summary, rmail-perm-variables, rmail-redecode-body)
	(rmail-undelete-previous-message, rmail-mark-message)
	(rmail-speedbar-buttons): Use with-current-buffer.
	(rmail-mode-map): Move initialization into declaration.
	(rmail-swap-buffers, rmail-unfontify-buffer-function)
	(rmail-fontify-message): Use restore-buffer-modified-p.
	(rmail-expunge-and-save): Don't swap buffer.
	(rmail-get-header, rmail-set-header, rmail-set-attribute)
	(rmail-apply-in-message): Swap save-excursion and save-restriction.

	* mail/rmailsort.el (rmail-sort-messages): Use car-less-than-car
	if possible.

	* mail/rmailedit.el (rmail-edit-map): Move init into declaration.
	(rmail-edit-mode, rmail-cease-edit): Use with-current-buffer.

2009-01-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-drag-mode-line-1): Obey mouse-1-click-follows-link.

	* progmodes/ebrowse.el:
	* international/robin.el:
	* emulation/viper-util.el:
	* emulation/viper-mous.el:
	* emulation/viper-keym.el:
	* ediff.el:
	* ediff-wind.el:
	* ediff-vers.el:
	* ediff-ptch.el:
	* ediff-mult.el:
	* ediff-merg.el:
	* ediff-diff.el: Follow commenting conventions.

2009-01-31  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-redecode-body): Use eight-bit instead of
	obsolete eight-bit-control and eight-bit-graphic.

2009-01-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/elp.el (elp-results-symname-map): Add follow-link.

2009-01-31  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/lisp.el (end-of-defun): Protect against
	infloops (Bug#2106).

2009-01-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-mouse-map):
	(vc-default-dir-printer):
	(vc-dir-find-file-other-window): Undo previous change, it breaks
	the behavior of mouse-2.
	(vc-dir-mode): Fix docstring.

	* vc-svn.el (vc-svn-dir-status): Disable the vc-stay-local-p
	logic, it makes the makes the normal case too slow.

2009-01-31  Eli Zaretskii  <eliz@gnu.org>

	* mail/unrmail.el (unrmail): Set coding-system of the old Rmail
	file to `raw-text-unix'.  Bind coding-system-for-write when
	writing out the converted message, and make sure it uses Unix EOLs.

	* mail/rmail.el (rmail-convert-babyl-to-mbox): Set Rmail's buffer
	encoding to `raw-text-unix'.
	(rmail-perm-variables): Set encoding of rmail-view-buffer to
	`undecided-unix'.
	(rmail-redecode-body): Don't change EOL conversion of the new
	encoding if the old one left it unspecified.
	(rmail-automatic-folder-directives, rmail): Doc fixes.
	(rmail-swap-buffers): New function.
	(rmail-change-major-mode-hook, rmail-swap-buffers-maybe)
	(rmail-show-message): Use rmail-swap-buffers.
	(rmail-decode-region): If DESTINATION is a buffer, set the
	encoding of that buffer, rather than the current buffer.
	(rmail-show-message): Make error message about uuencoded mail
	more explicit.
	(rmail-show-message-maybe): Simplify code.  Doc fix.
	(rmail-show-message): Doc fix.

2009-01-31  Glenn Morris  <rgm@gnu.org>

	* mail/rmailsum.el (rmail-new-summary): Don't try to summarize an empty
	folder.

	* mail/rmail.el (rmail-msg-is-pruned): New function.
	(rmail-toggle-header): Doc fix.  Use rmail-msg-is-pruned.
	(rmail-reply): Set up to yank from the decoded message rather than the
	raw one.  (Bug#2104).

	* mail/mail-utils.el (mail-fetch-field): Doc fix.

	* mail/uce.el (rmail-current-message): Remove unneeded declaration.
	(uce-message-text, uce-default-headers): Fix custom type.
	(rmail-buffer, rmail-msg-is-pruned): Declare.
	(uce-reply-to-uce): Add autoload cookie.  Doc fix.
	Update for mbox Rmail.

2009-01-31  Nick Roberts  <nickrob@snap.net.nz>

	* vc-dir.el (vc-dir-mouse-map): New keymap.
	(vc-default-dir-printer): Use it locally.
	(vc-dir-find-file-other-window): Allow mouse events.

2009-01-30  Eli Zaretskii  <eliz@gnu.org>

	* mail/unrmail.el (unrmail): Fix conversion of BABYL attributes
	into Rmail-mbox attributes.

	* mail/rmail.el (rmail-convert-babyl-to-mbox):
	Bind coding-system-for-read to `raw-text', and use insert-file-contents
	instead of insert-file-contents-literally.  Fixes bug #2019.
	(rmail-resent-attr-index): Fix index value.

2009-01-30  Nick Roberts  <nickrob@snap.net.nz>

	* vc-hooks.el (vc-stay-local-p): Let vc-BACKEND-stay-local take
	precedence even when its value is t.  (Bug#2093)

	* vc-svn.el (vc-svn-dir-status): Correct logic for remote
	connection.  (Bug#2093)
	(vc-svn-diff): Use old version number even when it is the working
	revision.  This is needed, e.g, in the vc-print-log buffer.  (Bug#2092)

2009-01-30  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-reply): Handle empty folders.
	(rmail-speedbar-buttons)
	(rmail-speedbar-move-message-to-folder-on-line): Use line-end-position.

	* mail/rmailsum.el (rmail-summary-update-line): Replace duplicate
	line-beginning-position calls.
	(rmail-header-summary): Use line-end-position.

2009-01-30  Toby Speight  <streapadair@gmx.net>  (tiny change)

	* generic-x.el (hosts-generic-mode, named-database-generic-mode):
	Fix regexp quoting.  (Bug#1739)

2009-01-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-actions, tramp-read-passwd):
	Allow correction of passwords.

2009-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmail.el (rmail-toggle-header): Determine current header
	style using the buffer-local value of rmail-header-style in the
	view buffer.
	(rmail-show-message): Set a buffer-local value of
	rmail-header-style in the view buffer.  (Bug#2016)

2009-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* vc-dir.el (vc-dir-menu-map, vc-dir-at-event, vc-dir-resynch-file):
	Fix typos in docstrings.

2009-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* bindings.el (completion-ignored-extensions):
	Add entries for VCS metadata directories (CVS/, .svn, etc).

	* pcvs.el (completion-ignored-extensions):
	* vc-svn.el (completion-ignored-extensions): Don't add VCS-specific
	directory, now done in bindings.el.

2009-01-29  Klaus Straubinger  <KSNetz@UseNet.ArcorNews.DE>  (tiny change)

	* pcmpl-rpm.el (pcmpl-rpm): Doc fix.  (Bug#2094)

2009-01-29  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-file-name): Remove duplicate definition.
	(rmail-set-header): Ensure header changes get saved.

	* mail/rmailedit.el (rmail-summary-disable): Fix declaration.

	* mail/rmailkwd.el (rmail-set-label): Update the summary, if there is
	one, after a label is added.

	* mail/rmailsum.el (rmail-summary-update-line): New function.
	(rmail-summary-goto-msg): Return a value according to whether message
	was found.
	(rmail-summary-update-highlight): Give the overlay an 'rmail-summary
	property.  Use line-end-position.

2009-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmailedit.el (rmail-cease-edit): Add additional quotes to
	quoted From lines.

	* mail/rmail.el (rmail-redecode-body): New function, based on old
	version removed in 2009-01-22 change.
	(rmail-show-message): Unquote From lines.

2009-01-28  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Don't use string-match and file
	extension to choose fallback mode on empty/non-existing files but
	let-bind auto-mode-alist and call normal-mode.

2009-01-28  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-classify): Propertize file name before
	concatenating the type indicating character.
	(ls-lisp-format): Don't propertize file-name only if
	ls-lisp-classify already did.

2009-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-event-error-hooks): Fix docstring.
	Describe second parameter of hook functions.
	(dbus-handle-event): Apply it.

2009-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmail.el (rmail-toggle-header): Don't reset
	rmail-header-style permanently (bug#2016).

2009-01-28  Denis Howe  <denis.howe@gmail.com>

	* complete.el (PC-do-completion): Correct case when completion is
	unambiguous.

2009-01-28  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-insert-item-here):
	Prevent insertion of a new entry inside of an existing entry.
	Minor code cleanup.  (Bug#2084)
	(todo-add-category): Change the interactive spec.  Signal an error
	if the Todo file is non-empty but contains no category.
	Reject category names that could induce bugs and confusion.
	Call todo-mode if the Todo file is new and unsaved.  Simplify handling
	of local variables cookie.  Properly display the newly added
	category in Todo mode.
	(todo-show): Call todo-initial-setup only if there is neither a
	Todo file nor a corresponding unsaved buffer.  (Bug#2085)
	(todo-category-alist): Delete function.
	(todo-completing-read): New function.
	(todo-insert-item, todo-jump-to-category): Use it.
	(todo-insert-item): Make the use of the prefix argument conform to
	the doc string.  (Bug#2086)

2009-01-28  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-expunge-and-save): Always show a message,
	even when called from the summary.  (Bug#2075)
	(rmail-no-mail-p): New func, extracted from rmail-show-message-maybe.
	(rmail-show-message-maybe): Use rmail-no-mail-p.
	(rmail-show-message): If empty folder, do nothing.  (Bug#2076)
	(rmail-get-labels): Separate status and label fields with a semicolon,
	rather than a comma, for consistency with old Rmail.

	* mail/rmailsum.el (rmail-message-recipients-p-1): Don't bother
	starting from the beginning, since mail-fetch-field does not care.
	(rmail-create-summary-line): Fix unseen handling.  (Bug#2089)
	(rmail-get-summary-status): New name for old rmail-get-summary-labels.
	(rmail-get-summary-labels): New function.  Returns labels rather than
	status (edited, etc).
	(rmail-create-summary): Insert an extra space after the status
	flags, for consistency with old rmail, and with current
	rmail-summary-font-lock-keywords.

2009-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/perl-mode.el (perl-indent-line-command): Call indent-region
	if region is active.  Use cond instead of nested ifs.  (Bug#2053)

2009-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmail.el (rmail-convert-babyl-to-mbox): Prompt user before
	converting.

	* mail/unrmail.el (unrmail): Record labels in X-RMAIL-* fields,
	which are recognized by the new Rmail, instead of X-BABYL-V6-*.

2009-01-27  Christopher Oliver  <coliver@message.nmc.edu>

	* mouse.el (mouse-select-font): Return a string instead of a list.

2009-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el: Swap C-delete and C-backspace bindings here, so we
	don't have to do it in normal-erase-is-backspace-mode.

	* simple.el (normal-erase-is-backspace-mode): Don't swap C-delete
	and C-backspace; the latter is not available on ttys anyway.

2009-01-27  Tassilo Horn  <tassilo@member.fsf.org>

	(doc-view-mode): Fix broken call to string-match.

2009-01-27  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Enhance docstring and fallback to
	fundamental-mode or ps-mode if the file is empty or doesn't exist
	at all.
	(doc-view-initiate-display): Better info message if doc-view-mode
	cannot be used.  (Missing utility or no png support/no X frame.)
	(Bug#2058)

2009-01-27  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-copy-headers): Doc fix.  Leave point at the end
	of the headers in the full header case.  (Bug#2073)

2009-01-27  Kenichi Handa  <handa@m17n.org>

	* mail/rmail.el (rmail-get-coding-system): Re-search
	rmail-mime-charset-pattern directly instead of using
	mail-fetch-field.  Use coding-system-from-name.

	* international/mule-cmds.el (canonicalize-coding-system-name)
	(coding-system-from-name): New functions.

2009-01-27  Glenn Morris  <rgm@gnu.org>

	* dired-x.el (dired-bind-vm): Doc fix.

	* mail/rmail-spam-filter.el: Remove leading `*' from defcustom docs.
	Replace `first' and `rest' with `car' and `cdr' throughout.
	(rsf-auto-delete-spam-bbdb-entries): Remove unused variable.
	(rsf-scanning-messages-now): Doc fix.
	(rsf-check-field): Rename from `check-field' and update callers.
	(rmail-spam-filter): Fix bbdb/mail_auto_create_p oddness.
	Use rmail-output rather than deleted rmail-output-to-rmail-file.

	* mail/rmail.el: Remove leading `*' from defcustom docs.
	Remove needless autoloads of many defcustoms and hooks.
	(rmail-enable-mime, rmail-insert-mime-resent-message-function)
	(rmail-search-mime-message-function, rmail-search-mime-header-function)
	(rmail-decode-mime-charset): Doc fix.
	(rmail-search-message, rmail-resend): Check functions set before use.

	* mail/rmailout.el: Remove leading `*' from defcustom docs.
	Remove needless autoloads of many defcustoms.
	(rmail-output-to-babyl-buffer): Rename from
	rmail-output-to-r-mail-buffer and update caller.
	(rmail-output): Doc fix.

	* mail/rmailsum.el: Remove leading `*' from defcustom docs.
	Remove needless autoloads of many defcustoms.
	(rmail-message-regexp-p-1): Check rmail-search-mime-header-function
	is set.

	* mail/unrmail.el (command-line-args-left): Remove unneeded declaration.
	(batch-unrmail, unrmail): Doc fix.

	* mail/rmailsum.el (rmail-message-recipients-p-1)
	(rmail-message-regexp-p-1): Ensure searches start from the
	beginning of the header.

2009-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmailsum.el (rmail-summary-mark-deleted): Recache summary.

2009-01-27  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-sel.el (cal-sel-mult-both-sides): Add an option to
	expand the denominator.

2009-01-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-event-error-hooks): New variable.
	(dbus-handle-event): Use it.

2009-01-26  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

	* mail/rmail.el (rmail-reply): Don't include Resent-To and Resent-Cc in
	replies.  (Bug#512)

2009-01-25  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-uid-format): Fix doc string.

2009-01-25  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-insert-working-text, ns-delete-working-text):
	Remove from global map and key definitions.
	(ns-toggle-toolbar, ns-info-prefs): Add to global map and key
	definitions.
	(ns-show-preferences-help, ns-unput-working-text): New functions.
	(ns-unecho-working-text): Update message.

2009-01-25  Craig Markwardt  <cbmarkwardt@gmail.com>

	* calendar/icalendar.el (icalendar-uid-format): New defcustom
	variable to allow the user to choose icalendar UID format.
	(icalendar--diarytime-to-isotime): Bug fix, now times in the range
	12:00am-12:59am are correctly converted to 0000-0059, instead of 12pm.
	(icalendar-export-region, icalendar--create-uid): Use custom
	function to compute icalendar UID for each entry.
	(icalendar--parse-summary-and-rest): Bug fix for parsing of lines
	with description, location, etc. fields (need to keep active count
	of fields encountered).  Another bug fix to the regex that matches
	multiple lines (need \' regex instead of $ to match end-of-entry).

2009-01-25  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (grep-mode-map): Put grep-find before grep and
	change its title from "Recursive grep..." to "Grep via Find...".
	Add menu items for lgrep and rgrep.

2009-01-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-print-version): New version 7.3.4.

2009-01-24  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* ps-print.el: Fix face background/foreground extraction.
	(ps-face-extract-color): New fun.
	(ps-face-attributes, ps-face-attribute-list): Code fix.

2009-01-24  Geoff Gole  <geoffgole@gmail.com>  (tiny change)

	* align.el (align-region): Avoid infloop.

2009-01-24  Eli Zaretskii  <eliz@gnu.org>

	* env.el (environment): Function removed.

	* international/mule-cmds.el (set-language-environment-coding-systems):
	If default-buffer-file-coding-system is nil, set up to have EOLs that
	are native for the underlying system-type.  (Bug#1853)
	(prefer-coding-system, set-default-coding-systems): Doc fix.

2009-01-24  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/eldoc.el (eldoc-function-argstring-format):
	Revert 2007-09-26 change; use `string-match-p' to check for &keywords.
	(eldoc-get-fnsym-args-string, eldoc-highlight-function-argument):
	Use `string-match-p'.

2009-01-24  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker--treeview-first-feed): New.
	(newsticker-treeview-next-new-or-immortal-item): Try first-feed if
	next-feed does not succeed.  Fixes bug#1710 even more.
	(newsticker-treeview-next-feed): Simplify.
	(newsticker--group-get-feeds): Suppress group names in result.

2009-01-24  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (menu-bar-select-frame): Drop this override.
	(menu-bar-update-frames): Update call to menu-bar-select-frame.

2009-01-24  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-insert-inbox-text): Revert replacement of
	"popmail" by "pormail".

	* language/ethio-util.el (rmail-current-message, rmail-message-vector):
	Remove unneeded declarations.

2009-01-24  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-poly.el (calcFunc-apart): Improve test for
	rational functions.

2009-01-23  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmailsum.el (rmail-summary-by-labels): Correctly handle
	return value of rmail-get-labels.

	* mail/rmailkwd.el (rmail-next-labeled-message): Correctly handle
	return value of rmail-get-labels.

	* mail/rmail.el (rmail-get-labels): Obey the MSG argument.
	(rmail-buffer-swapped): Fix last change.  (Bug#1997)

2009-01-23  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-backend.el (newsticker--cache-read): Offer deletion of
	old cache file.  Fixes bug#1710.

2009-01-23  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmail.el (rmail-generate-viewer-buffer): Fix typo.

2009-01-23  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-insert-working-text, ns-put-working-text):
	Switch names and update comments for clarity.

2009-01-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/rmail.el (rmail-write-region-annotate): Only switch buffer if
	start is nil, as was done in tar-mode.el.

2009-01-23  Glenn Morris  <rgm@gnu.org>

	* mail/sendmail.el (mail-bury): Revert previous change now pmail is no
	more.

	* mail/uce.el (rmail-msg-is-pruned): Remove declaration of deleted func.

2009-01-23  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-name): Make it a defcustom.  (Bug#1995)

	* mail/rmail.el (rmail-buffer-swapped): Mark as permanent local.

2009-01-23  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

2009-01-22  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el
	(newsticker-treeview-next-new-or-immortal-item): New optional arg
	current-item-counts.  Move to next feed if necessary.  (Bug#1569)
	(newsticker-treeview-prev-new-or-immortal-item): Move to previous
	feed if necessary.  (Bug#1569)
	(newsticker-treeview-next-feed)
	(newsticker-treeview-prev-feed): New optional arg stay-in-tree.
	Don't activate node nil.  (Bug#1569)

2009-01-22  Paul Reilly  <pmr@pajato.com>
            Henrik Enberg  <enberg@printf.se>
            Alex Schroeder  <alex@gnu.org>
            Chong Yidong  <cyd@stupidchicken.com>
            Richard M Stallman  <rms@gnu.org>
            Glenn Morris  <rgm@gnu.org>
            Juanma Barranquero  <lekktu@gmail.com>

	* mail/rmail.el: Code implementing Rmail-mbox functionality.
	(rmail-attribute-header, rmail-keyword-header)
	(rmail-answered-attr-index, rmail-deleted-attr-index)
	(rmail-edited-attr-index, rmail-filed-attr-index)
	(rmail-retried-attr-index, rmail-forwarded-attr-index)
	(rmail-unseen-attr-index, rmail-resent-attr-index)
	(rmail-attr-array, rmail-header-style, rmail-file-name)
	(rmail-buffer-swapped): New vars.
	(rmail-convert-file-maybe, rmail-error-bad-format)
	(rmail-convert-babyl-to-mbox, rmail-get-coding-system)
	(rmail-generate-viewer-buffer, rmail-change-major-mode-hook)
	(rmail-buffers-swapped-p, rmail-swap-buffers-maybe)
	(rmail-mode-kill-buffer-hook, rmail-get-new-mail-1)
	(rmail-get-new-mail-filter-spam, rmail-add-mbox-headers)
	(rmail-get-header, rmail-set-header, rmail-get-attr-names)
	(rmail-get-keywords, rmail-get-labels, rmail-get-attr-value)
	(rmail-message-attr-p, rmail-message-unseen-p)
	(rmail-apply-in-message, rmail-collect-deleted, rmail-widen)
	(rmail-show-message-maybe, rmail-copy-headers)
	(rmail-simplified-subject, rmail-simplified-subject-regexp)
	(rmail-write-region-annotate): New functions.

	(rmail-keywords, rmail-default-rmail-file): Delete vars.
	(rmail-convert-mailpath, rmail-convert-file)
	(rmail-insert-rmail-file-header, rmail-decode-babyl-format)
	(rmail-parse-file-inboxes, rmail-convert-to-babyl-format)
	(rmail-reformat-message, rmail-clear-headers, rmail-msg-is-pruned)
	(rmail-redecode-body)
	(rmail-msg-restore-non-pruned-header, rmail-msg-prune-header)
	(rmail-narrow-to-non-pruned-header, rmail-message-recipients-p)
	(rmail-count-screen-lines, rmail-message-regexp-p)
	(rmail-current-subject, rmail-current-subject-regexp): Delete functions.
	(rmail-nuke-pinhead-header): Move to rmailout.el.

	(rmail-ignored-headers): Add additional headers.
	(rmail-mode-map): Update key commands.
	(rmail-tool-bar-map): Build tool-bar unconditionally.
	(rmail, rmail-mode, rmail-get-new-mail): Handle babyl-to-mbox
	conversion and new buffer swapping mechanism.
	(rmail-perm-variables): Use new vars, and remove deleted ones.
	(rmail-revert): Use rmail-convert-file-maybe.
	(rmail-duplicate-message): Use rmail-show-message-maybe.
	(rmail-get-new-mail): Don't leave the buffer screwed up if we get
	a disk-full error.
	(rmail-parse-url): Strip embedded password.
	(rmail-insert-inbox-text): Default to movemail if
	rmail-movemail-program is null.  Handle mbox format.
	(rmail-decode-region): New arg.
	(rmail-display-labels): Don't perform Babyl processing.
	(rmail-set-attribute, rmail-message-labels-p, rmail-search)
	(rmail-set-message-counters, rmail-count-new-messages)
	(rmail-set-message-counters-counter, rmail-show-message)
	(rmail-next-same-subject, rmail-reply): Use mbox format.
	(rmail-toggle-header, rmail-show-message, rmail-only-expunge)
	(rmail-expunge, rmail-expunge-and-save, rmail-quit): Use new
	buffer swapping mechanism.

	* mail/rmailedit.el: Require rmailsum.el.
	(rmail-edit-mode): First check if buffer is swapped.
	(rmail-edit-saved-coding-system): Delete var.
	(rmail-edit-current-message): Don't call deleted vars.
	(rmail-cease-edit): Handle mbox format.
	(rmail-abort-edit): Widen buffer.

	* mail/rmailkwd.el: Require rmail.el.  Remove unneeded function
	declarations.
	(rmail-buffer, rmail-current-message, rmail-last-label)
	(rmail-last-multi-labels, rmail-summary-vector)
	(rmail-total-messages, rmail-attributes, rmail-deleted-label)
	(rmail-keywords): Delete vars.
	(rmail-attribute-p, rmail-keyword-p, rmail-make-label)
	(rmail-force-make-label, rmail-quote-label-name, rmail-keywords)
	(rmail-parse-file-keywords, rmail-install-keyword): Delete functions.
	(rmail-make-label): New function.
	(rmail-read-label): Don't call rmail-parse-file-keywords.
	(rmail-set-label): Rewrite using rmail-set-attribute.
	(rmail-next-labeled-message): Use rmail-get-labels.

	* mail/rmailmm.el: New file.

	* mail/rmailmsc.el: Require rmail.el.
	(set-rmail-inbox-list): Set rmail-inbox-list directly.

	* mail/rmailout.el (rmail-output-decode-coding): New var.
	(rmail-output-as-babyl, rmail-output-to-r-mail-buffer)
	(rmail-convert-to-babyl-format, rmail-output-as-mbox)
	(rmail-output-to-rmail-buffer): New functions.
	(rmail-output-read-rmail-file-name, rmail-output-to-rmail-file):
	Delete functions.
	(rmail-nuke-pinhead-header): Move from rmail.el.
	(rmail-output): Rewrite to accept both mbox and babyl output.
	(rmail-output-as-seen, rmail-output-body-to-file): Rewrite to
	use mbox internal format.

	* mail/rmailsort.el: Eval mail-utils when compiled.  Require rmail.el.
	(rmail-sort-by-date, rmail-sort-by-subject, rmail-sort-by-author)
	(rmail-sort-by-recipient, rmail-sort-by-correspondent):
	Use rmail-get-header.
	(rmail-sort-messages): Use new buffer swapping mechanism.
	Handle mbox internal format.

	* mail/rmailsum.el (rmail-summary): Make sure rmail buffer is shown.
	(rmail-message-recipients-p, rmail-message-recipients-p-1)
	(rmail-message-regexp-p, rmail-new-summary-1)
	(rmail-get-create-summary-buffer, rmail-get-summary)
	(rmail-create-summary-line, rmail-get-summary-labels)
	(rmail-create-summary, rmail-header-summary)
	(rmail-summary-output, rmail-summary-output-as-seen): New functions.
	(rmail-summary-by-topic, rmail-message-senders-p)
	(rmail-header-summary, rmail-summary-next-same-subject): Use mbox
	internal format.
	(rmail-new-summary): Rewrite window handling.
	(rmail-make-summary-line, rmail-make-summary-line-1)
	(rmail-make-basic-summary-line)
	(rmail-summary-output-to-rmail-file): Functions deleted.
	(rmail-summary-undelete, rmail-summary-rmail-update)
	(rmail-summary-scroll-msg-up, rmail-summary-scroll-msg-down)
	(rmail-summary-show-message, rmail-summary-wipe)
	(rmail-summary-toggle-header, rmail-summary-reply):
	Use rmail-buffer instead of rmail-view-buffer.
	(rmail-summary-mode-map): Rebind "o" to rmail-summary-output.
	(rmail-summary-goto-msg): Use rmail-show-message-maybe.
	(rmail-summary-expunge-and-save): Use rmail-expunge-and-save.

2009-01-22  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-show-manual): Fix node name.
	(x-open-connection): Fix typo in declaration filename.

2009-01-22  Romain Francoise  <romain@orebokech.com>

	* Makefile.in (ELCFILES): Update.

2009-01-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* frame.el (make-frame-on-tty): Remove function, inline contents
	in the only user ...

	* server.el (server-create-tty-frame): ... here.

2009-01-22  Chong Yidong  <cyd@stupidchicken.com>

	* format.el (format-annotate-function):
	Set write-region-post-annotation-function.

2009-01-21  John Wiegley  <johnw@newartisans.com>

	* eshell/esh-mode.el: Add eshell-handle-ansi-color to the default
	list of output filters.
	(eshell-mode): Change the default binding of C-a to eshell-bol.
	I don't think it's actually bound at all by default in eshell;
	it just falls back to the default binding of C-a.

2009-01-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--insert-strings): Fix up computation of
	column position which manifested e.g. in proced's signal completion.

2009-01-21  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-start): Allow server to shut down when no
	frames are available in daemon-mode.

2009-01-21  Juanma Barranquero  <lekktu@gmail.com>

	* term.el (term-previous-matching-input, term-next-matching-input)
	(term-previous-matching-input-from-input)
	(term-next-matching-input-from-input, term-backward-matching-input)
	(term-forward-matching-input): Change argument name to match docstring.

2009-01-21  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases): Remove some "ignore" entries
	that are no longer needed.
	(authors-scan-change-log): Doc fix.
	(authors-scan-el): Restore let*, foolishly removed 2009-01-11.

2009-01-20  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-find-aspell-dictionaries):
	Use aspell default dict.

2009-01-20  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Improve description of eight-bit
	char in a unibyte buffer.  (Bug#1935)

2009-01-20  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases, authors-fixed-case):
	Add some entries.

2009-01-19  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/ruby-mode.el: Autoload other interpreter names.

2009-01-19  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-char-categories): New defsubst.
	(describe-char): Use it.

2009-01-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-ipv6-regexp): The regexp shall cover also
	IPv4 mapped IPv6 addresses.

2009-01-18  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/css-mode.el (css-backward-sexp): Stop once it reaches
	the beginning of the buffer.  (Bug#1949)

2009-01-18  Markus Triska  <markus.triska@gmx.at>

	* linum.el (linum-update-window): Use `delq' instead of `delete';
	compare strings with `equal-including-properties'.

2009-01-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-langs.el (declare-function): Add compatibility stub.
	(delete-duplicates, mapcan, cl-macroexpand-all): Declare.

	* emacs-lisp/eldoc.el (eldoc-minor-mode-string)
	(eldoc-message-commands, eldoc-print-current-symbol-info):
	Doc fix (consistent case of "ElDoc").

2009-01-17  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-format-entry): Simplify previous change.

2009-01-17  Eli Zaretskii  <eliz@gnu.org>

	* dos-w32.el (find-buffer-file-type-coding-system): If `(car
	TARGET)' does not exist, try again with its basename replaced by
	`(cdr TARGET)'.  (Related to Bug #1853.)

	* international/mule-conf.el (raw-text, eight-bit): Doc fixes.

2009-01-16  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-post-command-hook): Do nothing
	unless flyspell-mode is enabled.
	(flyspell-pre-point): Make buffer-local.

2009-01-16  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-format-entry): For updating field
	delimiters, allow fields that are composed of strings and string
	constants.
	(bibtex-mode): Doc fix.

2009-01-16  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el: Protect against declare-function undefined
	in XEmacs.
	(ispell-program-name): Search also for hunspell when setting default.
	(ispell-find-aspell-dictionaries): Better error message.  Use correct
	dictionary alist for default.  Better fallback default dictionary.

2009-01-16  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* international/quail.el (quail-insert-kbd-layout):
	Delete superfluous handling of 8-bit code.  (Bug#1418)

2009-01-16  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/eldoc.el: Remove leading `*' from defcustoms.
	(eldoc-argument-case, eldoc-echo-area-use-multiline-p)
	(eldoc-highlight-function-argument): Doc fix - mention effect of
	eldoc-documentation-function.
	(eldoc-message-commands-table-size, eldoc-message-commands)
	(eldoc-current-idle-delay, eldoc-get-fnsym-args-string): Doc fix.
	(eldoc-documentation-function): Mention effect on user options.

	* emacs-lisp/copyright.el (copyright-update): Doc fix.

2009-01-16  Kevin Ryde  <user42@zip.com.au>

	* tar-mode.el (tar-rename-entry): Only test the magic string, without
	its version number, and then set both.

2009-01-16  Richard M Stallman  <rms@gnu.org>

	* textmodes/paragraphs.el (sentence-end): Accept non-break space.

2009-01-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* buff-menu.el (Buffer-menu-mode): Derive from special-mode.
	Refer to revert-buffer, not Buffer-menu-revert.
	(Buffer-menu-sort): Use revert-buffer, not Buffer-menu-revert.
	(Buffer-menu-revert): Remove function, unused.
	(Buffer-menu-mode-map): Don't bind keys already
	bound by special-mode.
	(Buffer-menu-mode-map): Add a menu.

2009-01-15  Stephen Eglen  <stephen@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Doc fix.

2009-01-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-diff): Pass relative file names.  (Bug#1903)

2009-01-15  Martin Rudalics  <rudalics@gmx.at>

	* window.el (special-display-p): Revert 2009-01-14 change.

2009-01-15  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases, authors-fixed-case):
	(authors-obsolete-files-regexps, authors-ignored-files):
	(authors-renamed-files-alist): Add some entries.
	(authors-fixed-entries): Change some entries.
	(authors-canonical-file-name): Doc fix.
	(authors-scan-change-log): Handle joint authorship in ChangeLogs.

2009-01-14  Juri Linkov  <juri@jurta.org>

	* info.el (Info-isearch-filter): Don't filter out invisible text
	when search-invisible is t.  (Bug#1848)

	* simple.el (blink-matching-open): Use `minibuffer-message' to
	display messages in the minibuffer.

	* help.el (view-help-file):
	* menu-bar.el (menu-bar-help-extra-packages):
	Use goto-address-mode instead of goto-address.

	* net/goto-addr.el (goto-address-url-face): Change default value
	from `bold' to `link'.

2009-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-diag.el (print-list): Fix 2008-12-03 change.

2009-01-14  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (special-display-popup-frame): Rewrite doc-string and
	simplify code.

	* window.el (special-display-buffer-names)
	(special-display-regexps): Add customization support for
	function/other-args elements.  Rewrite doc-strings.
	(special-display-function): Rewrite doc-string.
	(same-window-buffer-names, same-window-regexps):
	Minor doc-string fixes.
	(special-display-p): Minor rewrite.

2009-01-14  Glenn Morris  <rgm@gnu.org>

	* textmodes/bibtex.el (bibtex-copy-field-as-kill): Doc fix.

2009-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (minibuffer-message): Fix regexp so it doesn't exclude
	MESSAGEs with internal square brackets (i.e., " this [test] message").
	Use `string-match-p'.
	(completion--make-envvar-table, completion--file-name-table)
	(completion-pcm--string->pattern, completion-pcm--all-completions)
	(completion-pcm--filename-try-filter): Use `string-match-p'.

2009-01-14  Juri Linkov  <juri@jurta.org>

	* progmodes/bug-reference.el (bug-reference-fontify): Check for
	non-nil `bug-reference-url-format' before putting an overlay
	property `bug-reference-url'.
	(bug-reference-mode, bug-reference-prog-mode): Don't check for
	`bug-reference-url-format'.  Doc fix.  (Bug#1744)

2009-01-13  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-file-menu): Do not hardbind key display
	for exit-emacs item.  Bind it to save-buffers-kill-terminal.

	* diff-mode.el (diff-mode-menu): Do not assume whitespace-mode is
	loaded.

2009-01-13  Jason Rumney  <jasonr@gnu.org>

	* faces.el (face-valid-attribute-values): No stipple on w32.  (Bug#884)

2009-01-12  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (play-sound): Doc fix.  (Bug#250)
	(shell-quote-argument, field-at-pos): Fix typos in docstrings.

2009-01-12  Alan Mackenzie  <acm@muc.de>

	* textmodes/paragraphs.el (forward-sentence): Change limit of
	re-search-backward to allow values of `sentence-end' anchored at BOL.

2009-01-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header-block-tokenize): Properly ignore the version
	subfield of the magic string.

2009-01-11  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-lang.el (math-compose-tex-sqrt): New function.
	(math-special-function-table): Use `math-compose-tex-sqrt' to
	compose sqrts in TeX and LaTeX mode.

2009-01-11  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (describe-face): Ignore anonymous faces.

	* server.el (server-save-buffers-kill-terminal): Args changed.
	Handle nowait client frames.

	* files.el (save-buffers-kill-terminal): Args for
	server-save-buffers-kill-terminal changed.

2009-01-11  Juanma Barranquero  <lekktu@gmail.com>

	* international/fontset.el (create-fontset-from-fontset-spec): Doc fix.

2009-01-11  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (whitespace-style, whitespace-trailing-regexp):
	Silence compiler.

	* emacs-lisp/authors.el (authors-aliases): Add, remove, and adjust
	some entries.
	(authors-fixed-case, authors-ignored-files, authors-valid-file-names):
	(authors-renamed-files-alist): Add entries.
	(authors-fixed-entries): Update for renamed and removed files.
	(authors-canonical-file-name): Add entries to
	authors-checked-files-alist based on their full names, expanded relative
	to each log-file directory.
	(authors-scan-el, authors-add-to-author-list, authors):
	Handle multiple authors in a file, via a new :cowrote category.

	* emacs-lisp/copyright.el (copyright-update): Add doc-string.

2009-01-10  Richard M Stallman  <rms@gnu.org>

	* mail/mail-utils.el (mail-quote-printable-region): New function.

2009-01-10  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-move.el (calendar-scroll-left-three-months)
	(calendar-scroll-right-three-months):
	* calendar/holidays.el (calendar-list-holidays)
	(calendar-mark-holidays):
	* calendar/lunar.el (calendar-lunar-phases):
	Add event handling, for when called from menus with the calendar buffer
	not current.

2009-01-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* diff-mode.el (diff-show-trailing-whitespaces): Remove function.
	Move setting up whitepace-mode ...
	(diff-mode): ... here.
	(diff-mode-menu): Add a menu entry for showing trailing whitespace.

2009-01-10  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (x-font-family-list): Remove entirely.

2009-01-10  Eli Zaretskii  <eliz@gnu.org>

	Fix Bug #876:

	* info.el (info-insert-file-contents, Info-insert-dir):
	Bind inhibit-null-byte-detection to non-nil.

2009-01-10  Martin Rudalics  <rudalics@gmx.at>

	* tool-bar.el (tool-bar-mode): Modify all frame parameters when
	toggling tool bars on.  (Bug#1754)

2009-01-09  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-valid-attribute-values): Use string as value for
	:family attribute.  Now, font-family-list returns a list of strings.
	(x-font-family-list): Obsolete compatibility version of function
	from xfaces.c.

2009-01-09  Martin Rudalics  <rudalics@gmx.at>

	* window.el (special-display-buffer-names)
	(special-display-regexps, special-display-function):
	In doc-strings say "same-window" instead of "same-buffer".

2009-01-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el: Revert previous patch.  `last-command-char' is
	used in code intended only for XEmacs, where it is different from
	`last-command-event'.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* subr.el (last-input-char, last-command-char):
	Move here from src/keyboard.c.

	* allout.el, autoarg.el, complete.el, ediff-mult.el, ediff-util.el:
	* electric.el, hexl.el, isearch.el, isearchb.el, kmacro.el:
	* minibuffer.el, repeat.el, simple.el, skeleton.el, terminal.el, tmm.el:
	* wdired.el:
	* calc/calc-aent.el, calc/calc-ext.el, calc/calc-incom.el:
	* calc/calc-keypd.el, calc/calc-misc.el, calc/calc-prog.el:
	* calc/calc-sel.el, calc/calc-store.el, calc/calc-stuff.el:
	* calc/calc-units.el, calc/calc-yank.el, calc/calc.el:
	* emacs-lisp/lisp.el, emacs-lisp/re-builder.el:
	* emulation/vi.el, emulation/vip.el, emulation/viper-cmd.el:
	* eshell/em-smart.el, eshell/esh-mode.el:
	* international/mule-cmds.el:
	* mail/mailabbrev.el:
	* net/tramp.el:
	* play/mpuz.el:
	* progmodes/ada-mode.el, progmodes/antlr-mode.el, progmodes/cc-align.el:
	* progmodes/cc-cmds.el, progmodes/cperl-mode.el, progmodes/f90.el:
	* progmodes/fortran.el, progmodes/icon.el, progmodes/idlwave.el:
	* progmodes/octave-mod.el, progmodes/pascal.el, progmodes/perl-mode.el:
	* progmodes/prolog.el, progmodes/sh-script.el, progmodes/simula.el:
	* progmodes/tcl.el, progmodes/vera-mode.el, progmodes/verilog-mode.el:
	* progmodes/vhdl-mode.el, progmodes/xscheme.el:
	* textmodes/sgml-mode.el, textmodes/table.el, textmodes/two-column.el:
	Replace last-command-char with last-command-event.

	* double.el, electric.el, replace.el, term.el, terminal.el:
	* calc/calc.el:
	* emulation/viper-cmd.el:
	* international/mule-cmds.el:
	* obsolete/iso-acc.el:
	* progmodes/vhdl-mode.el: Replace last-input-char with last-input-event.

	* emacs-lisp/edebug.el: Remove references to last-command-char and
	last-input-char, since these have been identical to last-command-event
	and last-input-event since at least Emacs 19.
	(edebug-outside-last-command-char, edebug-outside-last-input-char):
	Remove.

2009-01-09  Dave Love  <fx@gnu.org>

	* calendar/time-date.el: Require cl for `declare'.

2009-01-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* calendar/time-date.el (format-seconds): Explain `assoc-string'.
	Suggested by Dave Love.

2009-01-09  Dave Love  <fx@gnu.org>

	* net/imap.el (imap-string-to-integer): Fix typo.
	(imap-fetch-safe): New function.
	(imap-message-copyuid-1, imap-message-appenduid-1): Use it.

	* net/imap.el (imap-process-connection-type, imap-debug, imap-open):
	(imap-parse-greeting): Fix doc strings.
	(imap-tls-open, imap-search, imap-message-appenduid-1): Add FIXMEs.
	(imap-parse-flag-list): Make messages unique.
	(imap-parse-body): Fix comments.  Add comment on Exchange 2007.

	* net/imap.el (imap-message-appenduid-1): Fix typo in imap-fetch-safe
	call.

	* net/imap.el: Fix author email.  Doc fixes.
	(imap-parse-body): Work around assertion failure in bogus Exchange 2007
	reply.

2009-01-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/dns.el (dns-set-servers): Check "Address".  Fix typo.

2009-01-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/dns.el (dns-set-servers): Rename from dns-parse-resolv-conf.
	Call nslookup if resolv.conf isn't available.
	(dns-query): Rename from query-dns.
	(dns-query-cached): Rename from query-dns-cached.

2009-01-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/imap.el (imap-enable-exchange-bug-workaround):
	Explain auto-detection in the doc string.

2009-01-09  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/ispell.el (ispell-check-minver, ispell-last-program-name)
	(ispell-html-skip-alists, ispell-send-replacement, ispell-show-choices)
	(ispell-begin-skip-region-regexp, ispell-skip-region-list)
	(ispell-ignore-fcc, ispell-skip-region, ispell-process-line)
	(ispell-horiz-scroll, ispell-mime-skip-part, ispell-buffer-local-words):
	Fix typos in docstrings.
	(ispell-command-loop): Reflow docstring.

2009-01-08  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-encoding8-command): New variable.
	(ispell-aspell-supports-utf8): Mark as obsoleted by
	ispell-encoding8-command.
	(ispell-check-version): Set ispell-encoding8-command.
	(ispell-check-spellchecker-params, ispell-start-process):
	Use ispell-encoding8-command.

	* textmodes/flyspell.el (flyspell-large-region):
	Use ispell-encoding8-command.

2009-01-08  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el (cal-menu-scroll-menu): Remove entries that don't
	scroll the calendar.

	* international/mule-cmds.el (universal-coding-system-argument):
	last-input-char need not be a char.

	* textmodes/ispell.el (ispell-check-minver): Declare.
	Use string-to-number rather than string-to-int.

2009-01-07  Juanma Barranquero  <lekktu@gmail.com>

	* add-log.el (change-log-search-tag-name): Reflow docstring.
	(change-log-mode): Fix typo in docstring.

	* international/mule.el (define-coding-system): Doc fix.

2009-01-07  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (define-coding-system): Fix docstring
	about :bom usage.

2009-01-07  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-pop-to-buffer): Don't split windows
	horizontally.  (Bug#1806)

2009-01-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-mode, tar-mode-write-contents)
	(tar-write-region-annotate): Undo Andreas's last change.

2009-01-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-directly)
	(tramp-handle-file-local-copy, tramp-handle-write-region)
	* net/tramp-smb.el (tramp-smb-handle-copy-file)
	(tramp-smb-handle-rename-file): Delete temporary file in case of quit.

2009-01-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-hilit-commonality): Don't presume
	all-completions always include the input as prefix.
	(completion-pcm--pattern-trivial-p): Accept a few more patterns
	as trivial.
	(completion-pcm--hilit-commonality): Remove leftover code that used to
	deal with the now removed cdr-in-last-cons.

2009-01-06  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (define-coding-system): Fix typos in docstring.

2009-01-05  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-styles.el (c-setup-paragraph-variables):
	Ensure paragraph-\(start\|separate\) match blank lines.  For AWK Mode.

2009-01-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-load)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-handle-file-local-copy, tramp-handle-insert-file-contents)
	(tramp-handle-write-region)
	* net/tramp-smb.el (tramp-smb-handle-copy-file)
	(tramp-smb-handle-rename-file, tramp-smb-handle-write-region):
	Delete temporary file in case of error.

2009-01-05  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-check-version): Use with-temp-buffer.

2009-01-05  Richard M Stallman  <rms@gnu.org>

	* mail/sendmail.el (mail-bury): Treat pmail-mode like rmail-mode.

2009-01-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Fix last fix.

2009-01-05  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-save-in-desktop-dir): Use `abbreviate-file-name'
	to shorten the desktop file directory shown in message.

2009-01-05  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-copyright):
	* net/tramp.el (tramp-perl-encode, tramp-perl-decode):
	Update copyrights for 2009.

2009-01-04  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el (ada-mode): Simplify doc string.
	(ada-get-indent-paramlist): Use ada-broken-indent instead of
	hard-coded 0.
	(ada-get-indent-loop): Fix list access bug.

2009-01-04  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode, lisp-mode)
	(lisp-interaction-mode): Add a blank line in the docstring
	before the keymap listing.

2009-01-04  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): When a buffer is displayed in the
	selected and some other window, and not-this-window is non-nil,
	try to return that other window instead of popping up a new
	frame.  (Bug#30)

2009-01-04  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (visual-line-mode-map): Remove M-[ and M-] bindings.

2009-01-04  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* progmodes/sh-script.el (sh-ancestor-alist): Doc fix.

2009-01-03  Michael Olson  <mwolson@gnu.org>

	* net/imap.el (imap-parse-fetch): Courier can insert spurious
	blank characters which will confuse `read', so skip past them.

2009-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* emacs-lisp/authors.el (authors-aliases): Addition.
	(authors): Allow to use it for other projects.

	* emacs-lisp/copyright.el (copyright-update-directory): Autoload.
	Clarify MATCH argument.  Print filenames.

2009-01-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-string-to-byte-array): Handle empty string.

	* net/tramp.el (tramp-local-host-regexp)
	(tramp-prefix-domain-format)
	(tramp-prefix-domain-regexp, tramp-domain-regexp)
	(tramp-user-with-domain-regexp, tramp-prefix-ipv6-format)
	(tramp-prefix-ipv6-regexp, tramp-ipv6-regexp)
	(tramp-postfix-ipv6-format, tramp-postfix-ipv6-regexp): New defconst.
	(tramp-file-name-structure, tramp-file-name-regexp-unified)
	(tramp-completion-dissect-file-name, tramp-parse-hosts-group)
	(tramp-dissect-file-name, tramp-make-tramp-file-name)
	(tramp-completion-make-tramp-file-name): Handle IPv6 addresses.
	(tramp-handle-insert-file-contents): Fix setting of
	`buffer-read-only'.
	(tramp-compute-multi-hops, tramp-local-host-p):
	Use `tramp-local-host-regexp'.
	(tramp-file-name-real-user, tramp-file-name-domain):
	Use `tramp-user-with-domain-regexp'.

	* net/tramp-smb.el (top): Use `tramp-prefix-domain-regexp'.
	(tramp-smb-maybe-open-connection): Use `tramp-file-name-*' methods.

2009-01-03  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-grammar-alist): Refiner can be a
	list (function help-echo) instead of a cons pair.
	(proced-post-display-hook): New variable.
	(proced-tree-depth): Rename from proced-tree-indent.
	(proced-mode): Derive mode from special-mode.
	(proced-mode-map): Change accordingly.
	(proced, proced-update): Run proced-post-display-hook.
	(proced-do-mark-all): Count processes for which mark has been updated.
	(proced-format): Check for ppid attribute.
	(proced-process-attributes): Take time and ctime attribute from
	system-process-attributes.
	(proced-send-signal): Doc fix.  Collect properly the info on
	marked processes.  Use fit-window-to-buffer instead of
	dired-pop-to-buffer.

2009-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/vhdl-mode.el (vhdl-current-line): Don't hardcode
	point-min==1.

2009-01-02  Juanma Barranquero  <lekktu@gmail.com>

	* bindings.el (mode-line-eol-desc): Fix typo in help message.
	(mode-line-client): Fix typo in help message and docstring.

2009-01-02  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (image-library-alist): Add gobject library.

2009-01-02  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (window-system-default-frame-alist)
	(initial-frame-alist, minibuffer-frame-alist)
	(pop-up-frame-alist, pop-up-frame-function)
	(special-display-frame-alist): Rewrite and reformat doc-strings.

2009-01-01  Martin Rudalics  <rudalics@gmx.at>

	* simple.el (minibuffer-default-add-shell-commands):
	Fix doc-string typo.

2009-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* language/cham.el: Fix setting of composition-function-table.

	* language/khmer.el: Fix setting of composition-function-table.

	* language/tibet-util.el (tibetan-composition-function):
	Remove unused function, obsoleted by 2008-09-05 change to tibetan.el.

	* simple.el (minibuffer-default): Add defvar.

	* hippie-exp.el: Require comint.

2008-12-31  Martin Rudalics  <rudalics@gmx.at>

	* simple.el (last-buffer): Don't set major mode of *scratch* if
	that buffer exists already.  Rewrite doc-string.

2008-12-31  Andreas Schwab  <schwab@suse.de>

	* tar-mode.el (tar-mode): Set write-contents-functions instead of
	write-region-annotate-functions.
	(tar-mode-write-contents): New function.
	(tar-write-region-annotate): Remove.

2008-12-31  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (basic-save-buffer): Revert 2008-12-22 change.
	(buffer-swapped-with): Var removed.

2008-12-30  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (compose-gstring-for-variation-glyph):
	New function.  Register it in composition-function-table.

	* composite.el (lglyph-set-code): New function.

2008-12-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-data-swapped): New var.
	(tar-data-swapped-p, tar-swap-data):
	Use it instead of buffer-swapped-with.
	(tar-write-region-annotate): Re-add (partial undo of last change).
	(tar-mode): Use it again (partial undo as well).

2008-12-30  Ed Swarthout  <Ed.Swarthout@hwdebug.com>  (tiny change)

	* textmodes/table.el (table-capture): Fix symbol quoting typo.

2008-12-30  Chong Yidong  <cyd@stupidchicken.com>

	* follow.el (follow-select-if-visible): Improve the check for the
	last line of the window.
	(follow-post-command-hook): Perform redisplay in more
	circumstances, to avoid getting point stuck on partially visible lines.

2008-12-30  Chong Yidong  <cyd@stupidchicken.com>

	* follow.el (follow-calc-win-end): Use with-selected-window.
	(follow-windows-start-end, follow-pos-visible)
	(follow-windows-aligned-p): Code cleanup.
	(follow-select-if-visible): Try to avoid partially-visible lines.
	(follow-select-if-visible-from-first): Call follow-redisplay and
	move point to destination.
	(follow-redisplay): New arg, to keep selected window unchanged.
	(follow-post-command-hook): In final check for destination
	visibility, use window-start and window-end instead of the less
	accurate follow-pos-visible.  If the selected window is redrawn,
	tell follow-redisplay to preserve it.
	(follow-calculate-first-window-start-from-below): Avoid looping
	forever if vertical-motion returns an unexpected value.

2008-12-30  Andreas Schwab  <schwab@suse.de>

	* server.el (server-running-p): Remove interactive spec.
	Fix regexp.

2008-12-30  Chong Yidong  <cyd@stupidchicken.com>

	* follow.el (follow-calc-win-start): Don't use `inline'.
	(follow-update-window-start, follow-select-if-visible)
	(follow-calculate-first-window-start-from-below)
	(follow-post-command-hook): Code cleanup.
	(follow-downward, follow-calculate-first-window-start):
	Delete function and merge into follow-redisplay.
	(follow-redisplay): Merge code from follow-downward and
	follow-calculate-first-window-start.

2008-12-30  Juanma Barranquero  <lekktu@gmail.com>

	* proced.el (proced-tree-flag): Fix typo in docstring.

2008-12-29  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-temp-alist): Rename from variable
	proced-children-alist.
	(proced-process-tree, proced-toggle-tree): Fix docstring.
	(proced-tree): Fix docstring.  Simplify.  Use proced-temp-alist.
	(proced-temp-internal): Use proced-temp-alist.

2008-12-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* subr.el (mkdir): New defalias.

2008-12-29  Juri Linkov  <juri@jurta.org>

	* proced.el (proced-mode-map): Bind " " to next-line instead of the
	command `proced-next-line' removed on 2008-09-06.

2008-12-28  Juri Linkov  <juri@jurta.org>

	* misearch.el (multi-isearch-next-buffer-function): Doc fix.
	(multi-isearch-search-fun): Set the second arg WRAP to nil explicitly.

	* textmodes/reftex-global.el (reftex-isearch-switch-to-next-file):
	Use `find-file-noselect' instead of `find-file' (for Emacs 22 and 23).
	(reftex-isearch-minor-mode): If `multi-isearch-next-buffer-function'
	is bound set it to `reftex-isearch-switch-to-next-file'.  Otherwise,
	set 4 obsolete variables for backward-compatibility with Emacs 22.

2008-12-28  Juri Linkov  <juri@jurta.org>

	* misc.el (butterfly): Doc fix.  Add `animate-string' and `browse-url'.

2008-12-28  Raffael Mancini  <raffael.mancini@hcl-club.lu>  (tiny change)

	* misc.el (butterfly): New command.

2008-12-28  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-grammar-alist): Allow predicate nil.
	New attribute tree.
	(proced-format-alist): Use attribute tree.
	(proced-tree-flag, proced-tree-indent): New variables.
	(proced-children-alist): Rename from proced-process-tree.
	PPID must refer to a process in process-alist.
	Ignore PPIDs that equal PID (Bug#1718).
	Children alist inherits sorting order from process-alist.
	(proced-process-tree): New variable.  New function.
	(proced-process-tree-internal, proced-toggle-tree)
	(proced-tree, proced-tree-insert, proced-format-tree): New functions.
	(proced-mark-process-alist): Add docstring.
	(proced-filter-parents): PPID must refer to a process in
	process-alist.  Ignore PPIDs that equal PID (Bug#1718).
	(proced-sort): Throw error if attribute is not sortable.
	(proced-sort-interactive): Restrict completion to sortable attributes.
	(proced-format): Include tree in standard attributes if
	proced-tree-flag is non-nil.  Make header clickable only if
	corresponding predicate is non-nil.
	(proced-update): Use proced-tree.

2008-12-28  Chong Yidong  <cyd@stupidchicken.com>

	* diff.el (diff): Doc fix.

	* emacs-lisp/rx.el (rx): Doc fix.

	* files.el (move-file-to-trash): Bind backup-directory-alist to nil
	before uniquifying backup trash file name.

2008-12-27  Andreas Schwab  <schwab@suse.de>

	* vc-git.el (vc-git-dir-printer): Fix filename column.

2008-12-27  Nicholas Maniscalco  <nicholas@maniscalco.com>  (tiny change)

	* term.el (term-emulate-terminal): Decode substring just prior to
	inserting it, i.e. revert part of the 2008-09-24 change.  (Bug#1469)

2008-12-27  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (MH_E_DIR): New variable.
	($(MH_E_DIR)/mh-alias.elc $(MH_E_DIR)/mh-comp.elc)
	($(MH_E_DIR)/mh-folder.elc $(MH_E_DIR)/mh-funcs.elc)
	($(MH_E_DIR)/mh-identity.elc $(MH_E_DIR)/mh-inc.elc)
	($(MH_E_DIR)/mh-junk.elc $(MH_E_DIR)/mh-letter.elc)
	($(MH_E_DIR)/mh-limit.elc $(MH_E_DIR)/mh-mime.elc)
	($(MH_E_DIR)/mh-print.elc $(MH_E_DIR)/mh-scan.elc)
	($(MH_E_DIR)/mh-search.elc $(MH_E_DIR)/mh-seq.elc)
	($(MH_E_DIR)/mh-show.elc $(MH_E_DIR)/mh-speed.elc)
	($(MH_E_DIR)/mh-thread.elc $(MH_E_DIR)/mh-tool-bar.elc)
	($(MH_E_DIR)/mh-utils.elc $(MH_E_DIR)/mh-xface.elc)
	($(MH_E_DIR)/mh-e.elc $(MH_E_DIR)/mh-limit.elc): New dependencies.

	* Makefile.in ($(MH_E_DIR)/mh-alias.elc $(MH_E_DIR)/mh-comp.elc)
	($(MH_E_DIR)/mh-folder.elc $(MH_E_DIR)/mh-funcs.elc)
	($(MH_E_DIR)/mh-identity.elc $(MH_E_DIR)/mh-inc.elc)
	($(MH_E_DIR)/mh-junk.elc $(MH_E_DIR)/mh-letter.elc)
	($(MH_E_DIR)/mh-limit.elc $(MH_E_DIR)/mh-mime.elc)
	($(MH_E_DIR)/mh-print.elc $(MH_E_DIR)/mh-scan.elc)
	($(MH_E_DIR)/mh-search.elc $(MH_E_DIR)/mh-seq.elc)
	($(MH_E_DIR)/mh-show.elc $(MH_E_DIR)/mh-speed.elc)
	($(MH_E_DIR)/mh-thread.elc $(MH_E_DIR)/mh-tool-bar.elc)
	($(MH_E_DIR)/mh-utils.elc $(MH_E_DIR)/mh-xface.elc)
	($(MH_E_DIR)/mh-e.elc $(MH_E_DIR)/mh-limit.elc): New dependencies.

2008-12-26  Eli Zaretskii  <eliz@gnu.org>

	* files.el (dosified-file-name): Declare.

2008-12-26  Andreas Schwab  <schwab@suse.de>

	* subr.el (keymap-canonicalize): Properly preserve keymap prompt.

	* tar-mode.el (tar-swap-data): New function.
	(tar-change-major-mode-hook): Use it instead of buffer-swap-text.
	(tar-mode-revert): Likewise.
	(tar-mode): Likewise.  Don't set write-region-annotate-functions.
	(tar-data-swapped-p): Test buffer-swapped-with.
	(tar-write-region-annotate): Remove.
	(tar-header-block-tokenize): Add argument `coding' and use it
	instead of tar-file-name-coding-system.
	(tar-summarize-buffer): Pass tar-file-name-coding-system here.

2008-12-26  Eli Zaretskii  <eliz@gnu.org>

	* dos-fns.el (dosified-file-name): New function.

	* files.el (dir-locals-find-file): Run dir-locals-file through
	dosified-file-name.  Compare files case-insensitively on systems
	whose filesystems are case-insensitive.

2008-12-25  Martin Rudalics  <rudalics@gmx.at>

	* help.el (help-for-help-internal): Fix entry for "l".

2008-12-25  Richard M Stallman  <rms@gnu.org>

	* shadowfile.el (shadow-copy-file): Revert previous change.
	This code as it was should work properly with buffer-swapped-with.

2008-12-24  Francois Fleuret  <francois.fleuret@idiap.ch>  (tiny change)

	* textmodes/tex-mode.el (tex-bibtex-file): Use tex-main-file.

2008-12-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* subr.el (chmod): New defalias for set-file-modes.

2008-12-23  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-filter-predicate, isearch-search):
	Replace `isearch-filter-invisible' with `isearch-filter-visible'.
	(isearch-filter-visible): Rename from
	`isearch-filter-invisible'.  Doc fix.

	* dired-aux.el (dired-isearch-filenames-toggle): Use the original
	value from `dired-isearch-filter-predicate-orig' instead of the
	symbol `isearch-filter-invisible'.  Doc fix.
	(dired-isearch-filter-filenames): Doc fix.
	Replace `isearch-filter-invisible' with `isearch-filter-visible'.

	* info.el (Info-find-node-2): Use negative offset 2 instead of 1
	for Info-point-loc since it is more correct in all cases.
	(Info-isearch-filter): Rename from
	`Info-isearch-filter-predicate'.  Doc fix.
	(Info-mode): Replace `Info-isearch-filter-predicate' with
	`Info-isearch-filter'.

2008-12-23  Daiki Ueno  <ueno@unixuser.org>

	* pgg.el: Add obsolescence info.

2008-12-22  Richard M Stallman  <rms@gnu.org>

	* shadowfile.el (shadow-copy-file): Handle buffer-swapped-with.

	* files.el (buffer-swapped-with): New variable.
	(basic-save-buffer-0): Most of basic-save-buffer moved here.
	(basic-save-buffer): Unswap the buffer temporarily if nec.

	* dired.el (dired-readin): Inhibit modification hooks.

2008-12-22  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-backend.el (newst-backend):
	Remove wrong duplicate provide statement.

2008-12-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-rfn-eshadow-update-overlay): Move overlay to
	end, before updating.
	(tramp-convert-file-attributes): Add "l" indicator to file modes.
	(tramp-file-name-real-user, tramp-file-name-domain): New defuns.

2008-12-21  Martin Rudalics  <rudalics@gmx.at>

	* window.el (set-window-text-height): Fix doc-string.

2008-12-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-all-completions-with-base-size): Remove.
	(completion-all-completions): Don't set it.
	(completion-table-with-context, completion--file-name-table):
	Don't add base-size in last cdr.
	(completion-hilit-commonality): Add argument `base-size'.
	(display-completion-list, completion-emacs21-all-completions)
	(completion-emacs22-all-completions, completion-basic-all-completions):
	Provide it.
	(completion-pcm--all-completions): Don't need to remove the base-size
	in last-cdr any more.

2008-12-20  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-check-minver): New function.
	(ispell-check-version): Rewrite spellchecker and version checking.
	Use (ispell-check-minver).  Handle hunspell versions.

2008-12-20  Chong Yidong  <cyd@stupidchicken.com>

	* ido.el (ido-read-internal): Handle `confirm' and
	`confirm-after-completion' values for the require-match argument.

2008-12-20  Jason Rumney  <jasonr@gnu.org>

	* international/mule.el (auto-coding-regexp-alist):
	Use utf-8-with-signature for files starting with UTF-8 BOM.  (Bug#269)

2008-12-20  Ami Fischman  <ami@fischman.org>

	* bindings.el (mode-line-eol-desc): Use assoc to query
	mode-line-eol-desc-cache.

2008-12-20  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-save-input-ring-index): Add missing initial value.

2008-12-19  Juanma Barranquero  <lekktu@gmail.com>

	* proced.el (proced-grammar-alist): Doc fix.
	(proced-marker-char, proced-mark, proced-help-string, proced-mode-map)
	(proced-filter-parents, proced-sort-header, proced-update, proced-help)
	(proced-undo): Fix typos in docstrings.

2008-12-19  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases): Add some more aliases.
	(authors-fixed-case): New constant.
	(authors-public-domain-files, authors-ignored-files):
	(authors-valid-file-names, authors-renamed-files-alist): Update lists.
	(authors-renamed-files-regexps): Add some new entries.
	(authors-canonical-file-name): Don't complain about ignored files.
	(authors-canonical-author-name): Doc fix.  Respect authors-fixed-case.
	(authors): Ensure error buffer is writable.

2008-12-18  Agustín Martín  <agustin.martin@hispalinux.es>

	(ispell-really-hunspell): New variable to signal hunspell.
	(ispell-check-version):
	Check if hunspell and set ispell-really-hunspell if needed.
	(ispell-send-string, ispell-start-process, flyspell-large-region):
	Pass right options for hunspell if needed.

2008-12-18  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (script-representative-chars)
	(setup-default-fontset): Add more scripts.

	* international/characters.el: Add more scripts.

2008-12-19  Juri Linkov  <juri@jurta.org>

	* info.el (Info-isearch-search): Implement lax version of
	incremental word search in Info.
	(Info-isearch-start): Set Info-isearch-initial-node to the
	current node when search is nonincremental to not stop at the
	initial node in this case.
	(Info-mode-map): Unbind "\M-s" from `Info-search'.

2008-12-18  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/rst.el (rst-promote-region): Reflow docstring.
	(rst-mode-map, rst-mode-hook, rst-section-tree-rec)
	(rst-repeat-last-character): Fix typos in docstrings.
	(rst-mode, rst-backward-section): Doc fixes.

2008-12-18  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker-groups-filename): Made obsolete.
	(newsticker-treeview-quit): Call `newsticker-treeview-save'.
	(newsticker--treeview-load): Check whether groups file exists.

	* net/newst-backend.el (newsticker-cache-filename): Made obsolete.
	(newsticker-dir): Use `locate-user-emacs-file'.

2008-12-18  Martin Rudalics  <rudalics@gmx.at>

	* emulation/cua-base.el (cmd): Add beginning-of-visual-line and
	end-of-visual-line to CUA's recognized commands.  (Bug#1549)

2008-12-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* newcomment.el (comment-style): Default to `indent'.  (Bug#1153)

	* startup.el (command-line): Do not mention the server name in
	case the user has not mentioned it, print a more explicit message.

	* vc-dir.el (vc-dir-at-event): Rename from vc-at-event.
	Change all callers.

2008-12-18  Sam Steingold  <sds@gnu.org>

	* vc-dir.el (vc-at-event): Handle (tool-bar) events.  Fix bug#1585.

2008-12-18  Juri Linkov  <juri@jurta.org>

	* isearch.el (minibuffer-local-isearch-map): Unbind "C-w" from
	`isearch-edit-string-set-word'.
	(isearch-edit-string-set-word): Remove.
	(isearch-occur): Imitate the C function `wordify' by replacing
	non-word character with the \\W+ regexp.
	(isearch-search-fun): Add `isearch-nonincremental' to the
	condition of using a non-lax version of `word-search-forward'.

2008-12-17  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-insert-file-contents):
	Set buffer-file-name before decrypting a file.

2008-12-16  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-start): If unable to start the server,
	display a warning instead of raising an error.

	* startup.el (server-process): Add defvar.
	(command-line): If the daemon is unable to start the server,
	display a message and exit Emacs.

2008-12-15  Sam Steingold  <sds@gnu.org>

	* progmodes/cc-cmds.el (c-defun-name): Handle DEFFOO(name,...),
	mostly for CLISP modules, but could also be useful elsewhere.

2008-12-15  Juanma Barranquero  <lekktu@gmail.com>

	* face-remap.el (text-scale-mode-step, buffer-face-mode-face):
	* icomplete.el (icomplete-prospects-height):
	* textmodes/bibtex.el (bibtex-cite-matcher-alist): Add :version tags.

2008-12-15  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (find-auto-coding): Fix typo in docstring.

	* international/mule-cmds.el (select-safe-coding-system):
	* mail/rmail.el (rmail-require-mime-maybe):
	Fix arguments of `display-warning'.

	* simple.el (bad-package-check): Fix arguments of `display-warning',
	using the package name as TYPE.  Use `string-match-p'.

2008-12-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-sort-interactive, proced-sort-pcpu)
	(proced-sort-pmem, proced-sort-start, proced-sort-time)
	(proced-sort-user, proced-sort-header): Prefix arg determines
	sorting order.  Suggested by Dan Nicolaescu.
	(proced-revert): Doc fix.

2008-12-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-grammar-alist): Allow refiner elements that
	are cons pairs (function . help-echo) or nil.
	(proced-refine): Use them.
	(proced-format-alist): Allow alternatives.
	(proced-descend): New variable.
	(proced-sort): New arg descend.
	(proced-sort-interactive): Repeated calls toggle sort order.
	(proced-format): Accomodate changes of proced-format-alist.
	Undefined attributes are displayed as "?".
	(proced-process-attributes): New optional arg pid-list.
	Ignore processes with empty attribute list.

2008-12-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-auto-update-interval): Rename from
	proced-timer-interval.
	(proced-auto-update-flag): Rename from proced-timer-flag.
	(proced-auto-update-timer): Rename from proced-timer.
	(proced-toggle-auto-update): Rename from proced-toggle-timer-flag.
	(proced-available): Initialize appropriately.

2008-12-13  Glenn Morris  <rgm@gnu.org>

	* subr.el (declare-function): Doc fix.

	* font-core.el (font-lock-defaults): Doc fix: mention levels;
	refer to elisp manual.

2008-12-12  Martin Rudalics  <rudalics@gmx.at>

	* window.el (fit-window-to-buffer): Return non-nil when height
	was orderly adjusted, nil otherwise.

2008-12-12  Juanma Barranquero  <lekktu@gmail.com>
            Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-sentinel): Uncomment code to delete connection file.
	(server-start): Save the connection file in the server property list.
	Delete it only when we are reasonably convinced that it is not owned by
	a running server.
	(server-force-delete): New command to force-delete the connection file,
	and stop the server if it is running.
	(server-running-p): Return t also for local TCP servers when we find a
	process with a matching PID, and :other for undecided cases.

2008-12-11  Martin Rudalics  <rudalics@gmx.at>

	* window.el (fit-window-to-buffer): Use with-selected-window and
	condition-case.  Do not delete more windows than necessary in
	the shrinking (delta < 0) case.  Do not raise an error when the
	containing frame is too small to show all of buffer.  (Bug#1488)

	* dired.el (dired-pop-to-buffer): Call fit-window-to-buffer with
	min-height arg 1 to make sure that small buffers are shown.

2008-12-11  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ruby-mode.el (ruby-mode-abbrev-table, ruby-mode-map)
	(ruby-mode-syntax-table, ruby-indent-tabs-mode, ruby-indent-level)
	(ruby-mode-variables, ruby-indent-line, ruby-indent-size)
	(ruby-calculate-indent, ruby-electric-brace, ruby-beginning-of-defun)
	(ruby-here-doc-beg-syntax, ruby-here-doc-end-syntax)
	(ruby-font-lock-syntax-table, ruby-font-lock-keywords)
	(ruby-end-of-defun, ruby-move-to-block, ruby-forward-sexp)
	(ruby-backward-sexp, ruby-add-log-current-method)
	(ruby-font-lock-syntactic-keywords, ruby-comment-beg-syntax)
	(ruby-in-here-doc-p, ruby-mode): Fix typos in docstrings.
	(ruby-deep-indent-paren): Doc fix.
	(ruby-insert-encoding-magic-comment): Remove * from docstring.
	(ruby-here-doc-find-end): Reflow docstring.

2008-12-11  Stephen Berman  <Stephen.Berman@rub.de>

	* dired.el (dired-pop-to-buffer): Use fit-window-to-buffer when
	dired-shrink-to-fit is non-nil.  (Bug#1488)

2008-12-11  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-list-locales): Revert part of 2008-10-17 change;
	decoding of long locale info is now done in `w32-get-locale-info'.

2008-12-11  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/ruby-mode.el: Fix auto-mode-alist entry.

2008-12-10  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in (ELCFILES): Add ruby-mode.elc.

	* term/xterm.el (xterm-remove-modify-other-keys): Fix error in
	terminal variable assignment.

2008-12-10  Yukihiro Matsumoto  <matz@ruby-lang.org>
            Nobuyoshi Nakada  <nobu@ruby-lang.org>

	* progmodes/ruby-mode.el: New file.

2008-12-10  Juanma Barranquero  <lekktu@gmail.com>

	* net/tramp.el (top): Don't fail if there is no current message.
	[Ulrich Mueller sent a patch, which I saw too late.]  (Bug#1514)

2008-12-10  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (setup-default-fontset): Add an entry
	for characters in the Unicode SIP area.

2008-12-10  Glenn Morris  <rgm@gnu.org>

	* vc-mcvs.el: Move to obsolete/, with warning comment.
	* Makefile.in (ELCFILES): Update.

2008-12-10  Daiki Ueno  <ueno@unixuser.org>

	* epa-hook.el (epa-file-find-file-hook): Don't mark the current
	buffer unmodified.  (Bug#1509)
	* epa-file.el (epa-file-insert-file-contents): Set buffer's
	modification time if visiting a file and the content is
	successfully decrypted.

2008-12-09  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (save-some-buffers): At each map-y-or-n-p iteration,
	check whether the buffer is still alive.

2008-12-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/rx.el (rx-submatch): Pass : to rx-form.

2008-12-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

2008-12-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* autoinsert.el (auto-insert): Use expand-file-name instead of concat.
	Suggested by Eric Hanchrow <eric.hanchrow@gmail.com>.

2008-12-06  Chong Yidong  <cyd@stupidchicken.com>

	* term/xterm.el (terminal-init-xterm): Discard pending input
	before reading a reply to the terminal attributes query.

2008-12-05  Andreas Schwab  <schwab@suse.de>

	* dired.el (dired-font-lock-keywords): Fix last change.

2008-12-05  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-bdf.el (bdf-directory-list): Transform (defvar ... "*..")
	into (defcustom ... "..." :type ... :group...).

2008-12-05  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-diag.el (mule-diag): Display the window
	system version in a less laconic way.

2008-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* ibuffer.el (ibuffer-sort-bufferlist): Require ibuf-ext
	if the sorting functions are not loaded.  (Bug#1432)

2008-12-04  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-read-command): Extract from
	compile.
	(compile): Use it.
	(recompile): Accept an optional argument to enable editing the
	command line.

2008-12-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Write a message, when loading Tramp.

	* net/tramp-cache.el (tramp-dump-connection-properties):
	Polish the check, whether to dump the data.

2008-12-04  Lute Kamstra  <lute@gnu.org>

	* vc-cvs.el (vc-cvs-could-register): Don't use file-directory-p to
	check if the file "CVS/Entries" exists.

2008-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-diag.el (list-character-sets): Doc fix.
	(list-character-sets-2): Fix info in header.  Simplify.
	(print-coding-system): Simplify.
	(list-input-methods-1): Simplify.
	(mule-diag): Display current font/fontset for all window systems,
	not just X.  Simplify.

2008-12-04  Glenn Morris  <rgm@gnu.org>

	* vc-cvs.el (vc-cvs-register-switches): Doc fix.  Add t as option.
	(vc-cvs-register): Doc fix.
	* vc-mcvs.el (vc-mcvs-register-switches): Doc fix.  Add t as option.
	(vc-mcvs-register): Doc fix.
	* vc-rcs.el (vc-rcs-register-switches): Doc fix.  Add t as option.
	(vc-rcs-register): Doc fix.
	* vc-sccs.el (vc-sccs-register-switches): Doc fix.  Add t as option.
	(vc-sccs-register): Doc fix.
	* vc-svn.el (vc-svn-register-switches): Doc fix.  Add t as option.
	(vc-svn-register): Doc fix.

	* files.el (toggle-read-only): Doc fix.

2008-12-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* apropos.el (apropos-print-doc): Fix thinko that caused long labels to
	be used in compact layout and vice-versa.

2008-12-03  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-list-locales): Use `with-output-to-temp-buffer',
	like most list-* commands.

	* international/mule-diag.el (unicodedata-file, unicode-data): Remove.
	They already exist in descr-text.el as `describe-char-unicodedata-file'
	and `describe-char-unicode-data'.
	(print-list): Simplify.
	(read-charset): Reflow docstring.
	(list-coding-systems): Doc fix.

2008-12-03  Glenn Morris  <rgm@gnu.org>

	* vc.el (vc-diff-switches): Doc fix.
	* vc-bzr.el (vc-bzr-diff-switches): Doc fix.  Add t as option.
	(vc-bzr-log-switches): Doc fix.
	* vc-cvs.el (vc-cvs-diff-switches): Doc fix.  Add t as option.
	* vc-git.el (vc-git-diff-switches): Doc fix.
	* vc-hg.el (vc-hg-diff-switches): Doc fix.
	* vc-mcvs.el (vc-mcvs-diff-switches): Doc fix.
	* vc-mtn.el (vc-mtn-diff-switches): Doc fix.
	* vc-rcs.el (vc-rcs-diff-switches): Doc fix.  Add t as option.
	* vc-sccs.el (vc-sccs-diff-switches): Doc fix.  Add t as option.

	* vc-arch.el (vc-arch-diff-switches): New option, for consistency with
	other backends.
	(vc-arch-diff): Apply switches.

	* vc-cvs.el (vc-cvs-diff): Use vc-diff-switches or diff-switches rather
	than appending.

	* vc-sccs.el (vc-sccs-register-switches): Remove leading * from doc.

2008-12-03  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa--show-key): Use past tense of "expire" if the key
	has already been expired.  Thanks to Peter BARABAS.

2008-12-03  Lute Kamstra  <lute@gnu.org>

	* align.el:
	* allout.el:
	* apropos.el:
	* arc-mode.el:
	* autoinsert.el:
	* avoid.el:
	* battery.el:
	* bookmark.el:
	* buff-menu.el:
	* calculator.el:
	* chistory.el:
	* cmuscheme.el:
	* comint.el:
	* compare-w.el:
	* dabbrev.el:
	* delim-col.el:
	* desktop.el:
	* diff-mode.el:
	* diff.el:
	* dired-aux.el:
	* dired-x.el:
	* dired.el:
	* dos-vars.el:
	* ediff-diff.el:
	* ediff-help.el:
	* ediff-init.el:
	* ediff-merg.el:
	* ediff-mult.el:
	* ediff-ptch.el:
	* ediff-vers.el:
	* ediff-wind.el:
	* ediff.el:
	* emerge.el:
	* facemenu.el:
	* faces.el:
	* ffap.el:
	* filecache.el:
	* find-dired.el:
	* font-core.el:
	* font-lock.el:
	* forms.el:
	* fringe.el:
	* help-at-pt.el:
	* hippie-exp.el:
	* ido.el:
	* image-file.el:
	* imenu.el:
	* indent.el:
	* info.el:
	* isearchb.el:
	* iswitchb.el:
	* jit-lock.el:
	* jka-compr.el:
	* log-edit.el:
	* lpr.el:
	* ls-lisp.el:
	* man.el:
	* menu-bar.el:
	* midnight.el:
	* mouse-sel.el:
	* mouse.el:
	* msb.el:
	* outline.el:
	* paren.el:
	* pcmpl-cvs.el:
	* pcmpl-gnu.el:
	* pcomplete.el:
	* pcvs-info.el:
	* pcvs-parse.el:
	* printing.el:
	* ps-mule.el:
	* ps-print.el:
	* replace.el:
	* ruler-mode.el:
	* saveplace.el:
	* sb-image.el:
	* scroll-bar.el:
	* sha1.el:
	* shadowfile.el:
	* shell.el:
	* sort.el:
	* speedbar.el:
	* strokes.el:
	* tempo.el:
	* term.el:
	* terminal.el:
	* time-stamp.el:
	* time.el:
	* tree-widget.el:
	* type-break.el:
	* vc-cvs.el:
	* vc-hg.el:
	* vc-mcvs.el:
	* vc-rcs.el:
	* vc-sccs.el:
	* vc.el:
	* view.el:
	* w32-vars.el:
	* whitespace.el:
	* wid-edit.el: Remove leading * from docstrings of defcustoms,
	deffaces, defconsts and defuns.

2008-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (PC-do-completion): Fix leftover bug from Emacs-21 when
	the prompt was added to the minibuffer.

2008-12-02  Glenn Morris  <rgm@gnu.org>

	* format.el (format-write-file): Rewrite doc yet again.

	* progmodes/cc-vars.el (c-tab-always-indent, c-insert-tab-function):
	Doc fix.  (Bug#1368)

	* textmodes/texinfo.el (texinfo-insert-quote): Tweak previous change.

2008-12-02  Aaron S. Hawley  <aaronh@garden.org>

	* textmodes/texinfo.el (texinfo-insert-quote): Handle corner
	case where point is at the beginning of the buffer.  (Bug#1239)

2008-12-02  Lennart Borgman  <lennart.borgman@gmail.com>

	* nxml/nxml-mode.el (nxml-indent-line): Don't re-indent lines that
	already have the correct indentation.  (Bug#859)

2008-12-02  Kenichi Handa  <handa@m17n.org>

	* international/uni-decomposition.el: Re-generated.

2008-12-01  Andreas Schwab  <schwab@suse.de>

	* dired.el (dired-font-lock-keywords): Avoid fontifying file names
	ending in a colon as directory header.

2008-12-01  Kenichi Handa  <handa@m17n.org>

	* international/uni-numeric.el: Re-generated.

	* international/charprop.el: Re-generated.

2008-12-01  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (locale-preferred-coding-systems):
	Fix alist item.

2008-12-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cache.el (tramp-cache-data-changed): New defvar.
	(tramp-set-connection-property, tramp-flush-connection-property)
	(tramp-dump-connection-properties): Use it.

2008-11-30  Chong Yidong  <cyd@stupidchicken.com>

	* wdired.el (wdired-finish-edit): If displaying a single file,
	change dired-directory if that file was renamed.

	* emacs-lisp/byte-run.el (macro-declaration-function):
	Disallow declare specs with lengths of 3 or more.

	* dirtrack.el (dirtrack): Fix error message.

2008-11-30  Glenn Morris  <rgm@gnu.org>

	* vc-svn.el (vc-svn-diff-switches): Doc fix.
	(vc-svn-diff): Fix the case where vc-svn-diff-switches is nil.

	* vc-git.el (vc-git-diff):
	* vc-hg.el (vc-hg-diff):
	* vc-mtn.el (vc-mtn-diff): No need to duplicate vc-switches logic.

	* eshell/esh-proc.el (eshell-needs-pipe): New variable.
	(eshell-needs-pipe-p): New function.
	(eshell-gather-process-output): Set process-connection-type according to
	eshell-needs-pipe-p.  (Bug#1388)

2008-11-30  Juanma Barranquero  <lekktu@gmail.com>

	* calendar/diary-lib.el (diary-cyclic): Doc fix.
	(diary-remind-message, diary-number-of-entries)
	(diary-include-other-diary-files, diary-mark-included-diary-files)
	(diary-view-entries, diary-date, diary-block, diary-insert-entry-1)
	(diary-font-lock-keywords-1): Reflow docstrings.
	(diary-add-to-list, calendar-mark-1, diary-entry-time, diary-make-date)
	(diary-anniversary, diary-date-display-form): Fix typos in docstrings.

	* emacs-lisp/timer.el (timer-duration-words): Fix typo in docstring.
	(timer-duration): Use `string-match-p'.

2008-11-29  Chong Yidong  <cyd@stupidchicken.com>

	* complete.el (PC-do-complete-and-exit):
	Use minibuffer-confirm-exit-commands.

	* minibuffer.el (minibuffer-confirm-exit-commands):
	Add PC-complete and PC-complete-word to the list.

2008-11-29  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (break-hardlink-on-save): Fix typo in docstring.
	Add :version tag.

	* emacs-lisp/re-builder.el (reb-mode-map): Fix typo in menu tooltip.
	(reb-mode): Define with `define-derived-mode'.

2008-11-29  Karl Fogel  <kfogel@red-bean.com>

	* files.el (break-hardlink-on-save): New variable.
	(basic-save-buffer-2): Honor new variable break-hardlink-on-save.
	(file-precious-flag): Mention it in doc string.

2008-11-29  Miles Bader  <miles@gnu.org>

	* minibuffer.el (minibuffer-confirm-exit-commands): New variable.
	(minibuffer-complete-and-exit): Use it.

2008-11-29  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-gtk-stock-cache): New hash table.
	(x-gtk-map-stock): Perform caching to prevent excess consing
	during redisplay.

2008-11-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--try-word-completion): Don't ignore
	partial-completion if it's the only style.

2008-11-28  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/re-builder.el (reb-auto-update): Remove redundant code.
	(re-builder): Reuse window displaying the *RE-Builder* buffer, if any.
	(reb-initialize-buffer): Update matches, in case we're reentering
	RE Builder mode.

2008-11-28  Chong Yidong  <cyd@stupidchicken.com>

	* complete.el (PC-do-complete-and-exit): Synch to 2008-11-24 change
	to minibuffer.el; recognize `confirm' and `confirm-after-completion'
	values for minibuffer-completion-confirm.

2008-11-28  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/eldoc.el (eldoc-docstring-first-line): Don't match
	any but the first "*" in a doc-string.

2008-11-28  Glenn Morris  <rgm@gnu.org>

	* format.el (format-write-file): Improve previous doc fix.

2008-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (use-empty-active-region, use-region-p)
	(region-active-p): Doc fix.

2008-11-27  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Fix handling of not-this-window
	argument.  (Bug#1415)

2008-11-27  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Set category 'C' to characters
	#x20000..#x2AFFF, #x2F800..#x2FFFF.

	* loadup.el: Set inhibit-load-charset-map to t while preloading files.

2008-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* tool-bar.el (tool-bar-find-image-cache): Var deleted.
	(tool-bar-find-image): Function deleted.
	(tool-bar-local-item, tool-bar-local-item-from-menu):
	Use find-image instead of tool-bar-find-image.
	(tool-bar-keymap-cache): New hash table.
	(tool-bar-make-keymap): Use it.
	(tool-bar-make-keymap-1): Move body of tool-bar-make-keymap here.

2008-11-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-handle-event): The result of a message call
	handler can also be an object, which is not a consp.

2008-11-25  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/lisp.el (forward-sexp, backward-sexp, mark-sexp)
	(forward-list, backward-list, down-list, backward-up-list)
	(up-list, kill-sexp, backward-kill-sexp, kill-backward-up-list)
	(insert-pair, insert-parentheses): State that the command assumes
	that point is not in a string or comment.

2008-11-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-string-to-byte-array)
	(dbus-byte-array-to-string, dbus-escape-as-identifier)
	(dbus-unescape-from-identifier): New defuns.
	(dbus-handle-event): The result of a message call is a list of
	arguments, which must be expanded when passing to
	`dbus-method-return-internal'.

	* net/tramp.el (tramp-handle-write-region): Improve the check for
	calling direct copy.
	(tramp-find-inline-encoding): Don't raise an error but a warning,
	when no inline encoding is found.
	(tramp-get-remote-coding): Check for a symbol.  The negative check
	for a string fails, when there is an empty string.

2008-11-26  Glenn Morris  <rgm@gnu.org>

	* vc-git.el (vc-git-diff-switches): New option.
	(vc-git-diff): Apply diff switches.  (Bug#1386)
	Give it a basic doc string.

	* term/pc-win.el (x-font-family-list): Replace redefinition with
	ifdef in src/xfaces.c, since it confuses make-docfile.  (Bug#1383)

2008-11-26  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-alg.el (calcFunc-collect): Normalize the coefficients
	of the polynomial rather than the whole polynomial.

2008-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* mail/mailabbrev.el (define-mail-abbrev): When reading from
	mailrc, recognize string quoting.  When reading from Lisp, accept
	rfc822-like addresses.

	* mail/mailalias.el (define-mail-alias): Sync code with
	define-mail-abbrev.

2008-11-25  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-proc.el (eshell-gather-process-output):
	Revert previous change.  (re-opens Bug#1388)

	* select.el (x-set-cut-buffer): Fix signal arguments.

	* speedbar.el (speedbar-restricted-move): Fix signal arguments.

2008-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* play/bubbles.el (bubbles-mode): Define with `define-derived-mode'.
	(bubbles-shift-mode, bubbles--update-score): Fix typos in docstrings.
	(bubbles--empty-char): Use "\s".

2008-11-25  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-settings-file, calc-language-alist)
	(calc-embedded-announce-formula)
	(calc-embedded-announce-formula-alist)
	(calc-embedded-open-formula, calc-embedded-close-formula)
	(calc-embedded-open-close-formula-alist)
	(calc-embedded-word-regexp-alist, calc-embedded-open-plain)
	(calc-embedded-close-plain, calc-embedded-open-close-plain-alist)
	(calc-embedded-open-new-formula, calc-embedded-close-new-formula)
	(calc-embedded-open-close-new-formula-alist)
	(calc-embedded-open-mode, calc-embedded-close-mode)
	(calc-embedded-open-close-mode-alist, calc-gnuplot-name)
	(calc-gnuplot-plot-command, calc-gnuplot-print-command)
	(calc-multiplication-has-precedence): Remove unnecessary asterisks
	from docstrings.

2008-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* calculator.el (calculator-op-or-exp): Reflow docstring.
	(calculator-remove-zeros, calculator-repR, calculator-repL):
	Fix typos in docstrings.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* log-view.el (log-view-annotate-version): Let vc-annotate manage
	windows instead of calling switch-to-buffer.

	* diff.el (diff-sentinel): Take note of diff error return value.

2008-11-24  Martin Rudalics  <rudalics@gmx.at>

	* calendar/appt.el (appt-disp-window): Do a set-buffer when the
	frame can't be split.

2008-11-24  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker--treeview-current-feed): Docstring.
	(newsticker--treeview-item-show): Rename arg FEED to FEED-NAME-SYMBOL.
	(newsticker--treeview-tree-update-tag): Remove dead code.
	(newsticker-treeview-update): Don't update cache.
	(newsticker-treeview-quit): Don't save cache.
	(newsticker-treeview-save): Don't save cache.  Use `newsticker-dir'.
	(newsticker-treeview-save): Use `newsticker-dir'.
	(newsticker--treeview-load): Use `newsticker-dir'.
	(newsticker--treeview-mark-item): Call `newsticker--cache-save-feed'.
	Update tags.
	(newsticker-treeview-tree-do-click): Slightly simplified.

	* net/newst-backend.el (newsticker-dir): New.
	(newsticker-start): Use `newsticker--cache-read'.
	(newsticker-stop): Use `newsticker--cache-save'.
	(newsticker--sentinel-work): Use `newsticker--cache-save-feed'.
	(newsticker--images-dir): New.
	(newsticker--image-get, newsticker--image-sentinel):
	Use `newsticker--images-dir'.
	(newsticker--cache-save-version1): Backup version of
	`newsticker--cache-save'.
	(newsticker--cache-update): Create newsticker-dir if necessary.
	(newsticker--cache-dir): New.
	(newsticker--cache-save): Save feeds separately in `newsticker-dir'.
	(newsticker--cache-save-feed): New.
	(newsticker--cache-read-version1): New.  Backuped version for reading
	cache data..
	(newsticker--cache-read, newsticker--cache-do-read): New.

	* net/newst-reader.el (newsticker--image-read):
	Use `newsticker--images-dir'.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (confirm-nonexistent-file-or-buffer):
	Allow `after-completion' value to request confirm only after TAB.
	(confirm-nonexistent-file-or-buffer): New function.
	(read-buffer-to-switch, find-file, find-file-other-window)
	(find-file-other-frame, find-file-read-only)
	(find-file-read-only-other-window)
	(find-file-read-only-other-frame): Use it.
	(switch-to-buffer-other-window, switch-to-buffer-other-frame): Doc fix.
	Thanks to Alan Mackenzie for suggesting the new behavior.

	* minibuffer.el (minibuffer-complete-and-exit):
	Change `confirm-only' value of minibuffer-completion-confirm to
	`confirm', and handle a `confirm-after-completion' value.

2008-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/elp.el (elp-instrument-list): Fix 2nd arg of `signal'.

2008-11-24  Andreas Schwab  <schwab@suse.de>

	* image.el (image-type-header-regexps): Recognize more xbm format
	variants.

2008-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/artist.el (artist-charlist-to-string): Simplify.
	(artist-mode-name, artist-mt, artist-vaporize-fuzziness)
	(artist-prev-next-op-alist, artist-mode-line-show-curr-operation)
	(artist-replace-string, artist-draw-rect, artist-draw-line)
	(artist-undraw-line, artist-draw-sline, artist-undraw-rect)
	(artist-rect-corners-squarify, artist-undraw-square, artist-fill-square)
	(artist-pen, artist-pen-line, artist-text-insert-common)
	(artist-text-overwrite, artist-spray-get-interval)
	(artist-spray-clear-circle, artist-erase-char)
	(artist-ellipse-generate-quadrant, artist-copy-square, artist-paste)
	(artist-flood-fill, artist-key-draw-continously, artist-key-draw-poly)
	(artist-key-draw-1point, artist-key-draw-2points)
	(artist-mouse-draw-continously): Fix typos in docstrings.
	(artist-aspect-ratio, artist-mode, artist-go-get-symbol-shift)
	(artist-go-get-symbol-shift-sub, artist-previous-line, artist-next-line)
	(artist-backward-char, artist-forward-char): Doc fixes.
	(artist-vaporize-line, artist-spray-chars, artist-spray-new-char):
	Reflow docstrings.

2008-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-vunion): New function.
	(quail-defrule-internal): Use it to prevent accumulating redundant
	alternatives when `append' is set.
	(quail-insert-decode-map): Simplify computation of the max-key-width.
	Compute it right for multiple-list.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/elp.el (elp-instrument-list): Check argument type
	explicitly.  Doc fix.

2008-11-24  Martin Rudalics  <rudalics@gmx.at>

	* calendar/appt.el (appt-disp-window): Move minibuffer check
	after binding this-window and do not set-buffer to make sure we
	won't deselect the minibuffer.  (Bug#1413)

2008-11-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-program): Remove.
	(vc-hg-state, vc-hg-working-revision, vc-hg-command):
	Undo previous change.

2008-11-23  Martin Rudalics  <rudalics@gmx.at>

	* info-look.el (info-lookup): When Info buffer is visible on
	another frame, raise that frame.

2008-11-23  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-mode): Fix typo in docstring.

	* vc-annotate.el (vc-annotate-warp-revision): Reflow docstring.
	(vc-annotate-very-old-color, vc-annotate-display): Fix docstring typos.

2008-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-follow-link): Complete last change.

2008-11-23  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/remember.el (remember-region): Doc fix.
	(remember-filter-functions, remember-handler-functions)
	(remember-save-after-remembering, remember-mailbox)
	(remember-default-priority, remember-data-file, remember-leader-text)
	(remember-diary-file): Remove * from defcustom docstrings.
	(remember-run-all-annotation-functions-flag)
	(remember-all-handler-functions): Reflow docstrings.
	(remember-store-in-mailbox): Fix typo in docstring.
	(remember-mode): Define with `define-derived-mode'.  Doc fix.

2008-11-23  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-cmd.el (eshell-in-pipeline-p): Add doc-string.
	(eshell-do-pipelines): Add optional argument to distinguish recursive
	calls.  Use to set eshell-in-pipeline-p to 'first for the first command
	in a pipeline.

	* eshell/esh-proc.el (eshell-gather-process-output):
	Set process-connection-type nil for all but the first element of a
	pipeline.  (Bug#1388)

2008-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-hook.el: Add tooltips to Emacs menus.

	* ediff.el: Change date of last update.

2008-11-22  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-isearch-filenames): Add new context-dependent
	option `dwim'.  Change non-dwim option from `dired-filename' to `t'.
	Doc fix.
	(dired-isearch-filenames-setup): Run filename Isearch only when
	dired-isearch-filenames is t or dired-isearch-filenames is `dwim'
	and the text property `dired-filename' at point is non-nil.
	In this case also set isearch-message-prefix-add to "filename ".
	(dired-isearch-filenames-end): Set isearch-message-prefix-add to nil.
	(dired-isearch-filenames, dired-isearch-filenames-regexp):
	Don't let-bind isearch-message-prefix-add since this is done now
	in dired-isearch-filenames-setup.

	* isearch.el (isearch-mode): Change the order of calling
	`isearch-update' and running the `isearch-mode-hook' to call
	`isearch-update' with Isearch parameters set in this hook.

	* progmodes/compile.el (compilation-auto-jump-to-first-error):
	Fix docstring - change "during `compile'" to "during compilation".

	* descr-text.el (describe-char-unidata-list): Move `old-name' to
	be immediately after `name'.

	* startup.el (initial-buffer-choice): Change an abstract file name
	"file.txt" to more reasonable default file name value "~/.emacs".

2008-11-22  Juri Linkov  <juri@jurta.org>

	* files.el (hack-local-variables-confirm): Rename arg `project' to
	`dir-name'.  Move `(or dir-name name)' to let-binding of `name'.
	(hack-local-variables-filter): Rename arg `project' to `dir-name'.
	(hack-local-variables): Rename call of `hack-project-variables' to
	`hack-dir-local-variables'.  Change error text to "Directory-local
	variables error".
	(dir-locals-class-alist): Rename from `project-class-alist'.
	(dir-locals-directory-alist): Rename from `project-directory-alist'.
	(dir-locals-get-class-variables): Rename from `project-get-alist'.
	(dir-locals-collect-mode-variables): Rename from
	`project-collect-bindings-from-alist'.  Rename arg `mode-alist' to
	`mode-variables', and arg `settings' to `variables'.
	(dir-locals-collect-variables): Rename from
	`project-collect-binding-list'.  Rename arg `binding-list' to
	`class-variables', and arg `settings' to `variables'.
	(dir-locals-set-directory-class): Rename from `set-directory-project'.
	(dir-locals-set-class-variables): Rename from `define-project-bindings'.
	Rename arg `settings' to `variables'.
	(dir-locals-file): New defconst.
	(dir-locals-find-file): Rename from `project-find-settings-file'.
	Use `dir-locals-file'.  Rename let-bound `settings' to `locals-file',
	and `pda' to `dir-elt'.
	(dir-locals-read-from-file): Rename from
	`project-define-from-project-file'.  Rename arg `settings-file'
	to `file'.  Rename let-bound `list' to `variables'.
	(hack-dir-local-variables): Rename from `hack-project-variables'.
	Rename let-bound `settings' to `variables-file', `root-dir'
	to `dir-name', and `bindings' to `variables'.

2008-11-22  Lute Kamstra  <lute@gnu.org>

	* simple.el (goto-line): Rename argument.

2008-11-22  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (compile-first): New target.
	(recompile): Depend on compile-first.

	* Makefile.in (recompile): Depend on compile-first.

2008-11-22  Martin Rudalics  <rudalics@gmx.at>

	* files.el (switch-to-buffer-other-window)
	(switch-to-buffer-other-frame): Rename buffer argument to
	buffer-or-name.  Reword and mention new option
	confirm-nonexistent-file-or-buffer in doc-string.

2008-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper.el: Date change.

	* emulation/viper-cmd.el (viper-envelop-ESC-key):
	viper-translate-all-ESC-keysequences is now a function.

	* emulation/viper-init.el (viper-translate-all-ESC-keysequences):
	Make this variable.

2008-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-follow-link, vc-find-file-hook):
	Use buffer-file-truename to handle symlinks in any part of the filename.

2008-11-22  Glenn Morris  <rgm@gnu.org>

	* vc-mtn.el (vc-mtn-diff-switches): New option.
	(vc-mtn-program): Rename from vc-mtn-command, for
	consistency with other backends.  Keep old name as alias.
	Update callers.  Make it a defcustom.
	(vc-mtn-diff): Give it a doc string.  Apply diff switches.

	* vc-arch.el (vc-arch-program): Rename from vc-arch-command, for
	consistency with other backends.  Keep old name as alias.
	Make it a defcustom.
	(vc-arch-command, vc-arch-trim-revlib): Adapt for above change.

	* vc-hg.el (vc-hg-program): New option.
	(vc-hg-state, vc-hg-working-revision, vc-hg-command):
	Use vc-hg-program rather than hard-coded "hg".

	* vc-svn.el: Remove leading `*' from defcustom doc-strings.
	(vc-svn-program): Move defcustom to start.
	(vc-svn-create-repo, vc-svn-modify-change-comment):
	Use vc-svn-program rather than hard-coded "svn".

	* menu-bar.el: Stylistic consistency fixes for various menu and
	help texts.

	* kmacro.el (kmacro-insert-counter): Doc fix.

2008-11-21  Ivan Shmakov  <oneingray@gmail.com>  (tiny change)

	* progmodes/tcl.el (tcl-filter): Don't forcibly move point.

2008-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-indent-to): New function.
	(quail-completion-1, quail-completion-list-translations)
	(quail-insert-decode-map): Use it to improve alignment.
	(quail-build-decode-map): Don't ignore latin-1 chars.
	(quail-help): Increase the max decode-map size so that even the TeX map
	gets printed.

	* bookmark.el (bookmark-get-bookmark): Add `noerror' arg.
	Signal error for invalid bookmark.
	(bookmark-get-bookmark-record): Undo last change.
	(bookmark-store, bookmark-delete): Use new arg `noerror'.

	* bookmark.el (bookmark-buffer-file-name): Also abbreviate dired-dir.
	Suggested by Toru TSUNEYOSHI.

2008-11-21  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* byte-opt.el (byte-compile-butlast): Move up in file.
	(byte-optimize-plus): Don't call
	byte-optimize-delay-constants-math (bug#1334).
	Use byte-optimize-predicate to optimize constants.
	(byte-optimize-minus): Don't call byte-optimize-delay-constants-math.
	Remove zero arguments first
	if possible.  Call byte-optimize-predicate to optimize constants.
	(byte-optimize-multiply): Remove optimizations for arguments of 0
	and 2, which may be inaccurate.  Optimize (* x -1) to (- x).
	Call byte-optimize-predicate.
	(byte-optimize-divide): Leave runtime errors unchanged.
	Optimize (/ x 1) to (+ x 0).  Remove optimizations for arguments of
	0 and 2.0, which may be inaccurate.  Call byte-optimize-predicate.

2008-11-21  Juanma Barranquero  <lekktu@gmail.com>

	* bookmark.el (bookmark-jump-noselect): Add obsolescence
	declaration and remove redundant info from docstring.

	* isearch.el (isearch-search-string): Doc fix.
	(search-exit-option, search-slow-window-lines, search-slow-speed)
	(search-upper-case, search-nonincremental-instead)
	(search-whitespace-regexp, search-ring-max, regexp-search-ring-max)
	(search-ring-update, search-highlight, isearch-lazy-highlight)
	(lazy-highlight-cleanup, lazy-highlight-initial-delay)
	(lazy-highlight-interval): Remove * from defcustom docstrings.
	(isearch-resume-in-command-history, lazy-highlight-max-at-a-time):
	Remove * from defcustom docstrings; fix typos.
	(isearch-push-state-function, isearch-help-for-help-internal)
	(isearch-help-for-help, isearch-describe-bindings)
	(isearch-describe-mode, minibuffer-local-isearch-map, isearch-mode)
	(isearch-pop-fun-state, isearch-search-fun-function)
	(isearch-lazy-highlight-search): Fix typos in docstrings.
	(isearch-yank-internal, isearch-fallback): Reflow docstrings.
	(isearch-forward): Fix typo and reflow docstring.
	(isearch-help-map): Remove unused `i' binding.  Fix typos in docstring.
	(isearch-mode-map): Don't use `let*'.

2008-11-21  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (confirm-nonexistent-file-or-buffer): Change default to nil.

2008-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* isearch.el (isearch-search-string): Simplify and convert docstring.

	* buff-menu.el (Buffer-menu-short-ellipsis): Partly undo last change.

2008-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-util.el (set-nested-alist): Doc fix.  Use `when'.
	(lookup-nested-alist): Doc fix.
	(with-coding-priority): Reflow docstring.
	(detect-coding-with-priority): Fix typos in obsolescence declaration.
	(char-displayable-p): Reflow docstring.  Use `when'.

2008-11-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* calendar/cal-menu.el (cal-menu-scroll-menu): Add bindings for
	week forward/backward.

2008-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* ehelp.el (electric-help-map, ehelp-map): Define within defvar.
	(with-electric-help): Fix typo and reflow docstring.

2008-11-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buff-menu.el (Buffer-menu-short-ellipsis): New constant.
	(Buffer-menu-buffer+size): Use it, fix last change, and simplify.
	(list-buffers-noselect): Don't need to pad.

2008-11-20  Toru TSUNEYOSHI  <t_tuneyosi@hotmail.com>

	* buff-menu.el (Buffer-menu-buffer+size, list-buffers-noselect):
	Pay attention to char widths when computing string sizes.

2008-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (byte-compile-dynamic-docstrings)
	(byte-compile-output-docform): Reflow docstrings.
	(no-byte-compile): Fix typo in docstring.
	(byte-recompile-directory, compile-defun): Doc fixes.
	(emacs-lisp-file-regexp, byte-compile-verbose)
	(byte-compile-compatibility, byte-optimize, byte-compile-delete-errors)
	(byte-compile-dynamic-docstrings, byte-optimize-log)
	(byte-compile-error-on-warn, byte-compile-warnings)
	(byte-compile-generate-call-tree, byte-compile-call-tree-sort):
	Remove * from defcustom docstrings.

2008-11-20  Glenn Morris  <rgm@gnu.org>

	* format.el (format-alist, format-write-file): Doc fix.

	* proced.el (proced-available): New variable.
	(proced-process-attributes): Move availability check from previous
	change from here...
	(proced): ... to here.

	* vc-hg.el (vc-hg-diff-switches): New option.
	(vc-hg-diff): Apply diff switches.  (Bug#1017)

	* calc/calc-units.el (math-additional-units): Doc fix (active voice).

	* progmodes/fortran.el (fortran-mode-map): Add some menu :help.

2008-11-20  Stephen Berman  <Stephen.Berman@gmx.net>

	* files.el (auto-mode-alist): Recognize more OpenOffice.org extensions.

2008-11-19  Juanma Barranquero  <lekktu@gmail.com>

	* calc/calc-units.el (math-units-table): Doc fix.
	(math-standard-units): Fix typo in constant's description.
	(math-additional-units): Fix typo in docstring.

2008-11-19  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* calc/calc-units.el (math-standard-units): Add eps0,
	permittivity of vacuum.

2008-11-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (project-settings-file): Remove.
	(project-find-settings-file): Undo previous change that added the
	use of project-settings-file.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* proced.el (proced, proced-format-time): Doc fixes.
	(proced-process-attributes): Signal an error if unsupported.  (Bug#1314)

2008-11-19  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-jump-noselect): Move the deprecation
	notice into the doc string, following up to revision 1.117.

2008-11-19  Lute Kamstra  <lute@gnu.org>

	* autoinsert.el (auto-insert-alist): Don't use match data.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-mode-map): Add some menu :help.

	* autoinsert.el (auto-insert-alist): Update template to FDL 1.3+.

	* emacs-lisp/cl.el (floor*, ceiling*, truncate*, round*, mod*):
	* term/w32-win.el (x-select-font): Declare.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Fix a/an typo.
	Use the imperative for all help strings.

2008-11-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/ispell.el (ispell-dictionary-base-alist): Adjust to the
	case where the default dictionary is French, Spanish, younameit.

	* window.el (window--frame-usable-p): Consider dedicated windows
	as usable.

	* files.el (confirm-nonexistent-file-or-buffer):
	Rename from find-file-confirm-nonexistent-file.
	(read-buffer-to-switch): Use it.

2008-11-18  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-temp-file-p): Use `string-match-p'.
	(server-socket-dir): Set to nil if local sockets are unsupported.
	(server-start): Don't try to delete local socket if unsupported.
	(server-kill-new-buffers): Reflow docstring.
	(server-delete-client, server-handle-delete-frame)
	(server-save-buffers-kill-terminal): Doc fixes.
	(server-send-string): Fix typo in docstring.

2008-11-18  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-start-hook): New hook.
	(compilation-start): Run it on the compilation process.

2008-11-18  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (update-leim-list-file): Simplify.
	(prefer-coding-system, find-coding-systems-for-charsets):
	Fix docstring typos.
	(select-safe-coding-system, input-method-exit-on-first-char)
	(language-info-alist, language-info-custom-alist): Reflow docstrings.
	(toggle-input-method, read-multilingual-string): Doc fixes.
	Reflow docstrings.
	(locale-name-match, sort-coding-systems, find-multibyte-characters)
	(read-char-by-name): Use `string-match-p'.
	(get-char-code-property, put-char-code-property)
	(char-code-property-description): Be silent while loading uni-* files.
	(ucs-names): Use `dotimes-with-progress-reporter', because loading
	the Unicode character names is *slow*.

2008-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-image-insert): Don't add a mouse-face.

	* cus-edit.el (custom-group-value-create): Don't insert docstring twice.

2008-11-17  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (ucs-completions): Mark as risky.

2008-11-17  Martin Rudalics  <rudalics@gmx.at>

	* help-macro.el (three-step-help): Remove * from defcustom.
	(make-help-screen): Don't iconify selected frame.  (Bug#1322)
	Use when instead of if and cond within condition-case.

	* window.el (quit-window): Bind window to selected window when
	trying to delete it.

2008-11-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-defs.el (c-put-char-property-fun): Add fallback
	definition of 'ignore, rather than nil.  (Bug#1353)

2008-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (window--frame-usable-p): Allow use for soft-dedication.

2008-11-17  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/viper-cmd.el (viper-harness-minor-mode): Fix docstring typo.

	* simple.el (quoted-insert, minibuffer-history-isearch-pop-state, undo)
	(undo-only, rotate-yank-pointer, kill-whole-line, push-mark-command)
	(exchange-point-and-mark, set-goal-column, kill-line, backward-word)
	(kill-word, backward-kill-word, zap-to-char): Doc fixes.
	(shell-command, repeat-complex-command): Reflow docstrings.
	(pop-to-mark-command): Fix typos in docstring.

2008-11-17  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-filter-predicate): Rename from
	`isearch-success-function'.  Rename default value from
	`isearch-success-function-default' to
	`isearch-filter-invisible'.  Doc fix.
	(isearch-filter-invisible): Rename from
	`isearch-success-function-default'.  Doc fix.
	(isearch-search, isearch-lazy-highlight-search):
	Rename `isearch-success-function' to `isearch-filter-predicate'.

	* dired-aux.el (dired-isearch-filter-predicate-orig): Rename from
	`dired-isearch-orig-success-function'.
	(dired-isearch-filenames-toggle, dired-isearch-filenames-setup)
	(dired-isearch-filenames-end): Rename `isearch-success-function' to
	`isearch-filter-predicate'.  Doc fix.
	(dired-isearch-filter-filenames): Rename from
	`dired-isearch-success-function'.

	* info.el (Info-search, Info-mode):
	Rename `isearch-success-function' to `isearch-filter-predicate'.
	(Info-isearch-filter-predicate): Rename from
	`Info-search-success-function'.

	* simple.el (minibuffer-default-add-function): Fix docstring to
	use clear text "default values" instead of obscure references to
	the dynamic variable `minibuffer-default'.

2008-11-16  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (ns-extended-platform-support-mode):
	Tweak menu entry from previous change.

	* wid-edit.el (advertised-widget-backward): Remove autoload cookie.

	* cus-edit.el (custom-buffer-create-internal): Always insert the
	in-buffer buttons, regardless of tool-bar.  (Bug#1326)

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (read-passwd): Use read-event instead of read-char-exclusive.

2008-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ielm.el (ielm-eval-input): Fix thinko in last change.

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (read-passwd): Yank current kill if the user enters C-y.

2008-11-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-file-name-as-directory): New defun.
	(tramp-file-name-handler-alist): Handle `file-name-as-directory'.

	* net/tramp-fish.el (tramp-fish-file-name-handler-alist)
	* net/tramp-smb.el (tramp-smb-file-name-handler-alist):
	Handle `file-name-as-directory'.

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-startup-text): Give "Emacs tutorial" line the
	usual variable-pitch face.

2008-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* net/ange-ftp.el (ange-ftp-multi-msgs, ange-ftp-good-msgs)
	(ange-ftp-try-passive-mode, ange-ftp-data-buffer-name)
	(ange-ftp-account-hashtable, ange-ftp-ls-cache-lsargs)
	(ange-ftp-ls-cache-file, ange-ftp-ls-cache-res, ange-ftp-get-user)
	(ange-ftp-ftp-name-component, ange-ftp-kill-ftp-process)
	(ange-ftp-quote-string, ange-ftp-process-handle-line)
	(ange-ftp-start-process, ange-ftp-send-cmd, ange-ftp-add-dumb-unix-host)
	(ange-ftp-before-parse-ls-hook, ange-ftp-after-parse-ls-hook)
	(ange-ftp-ls, ange-ftp-add-dl-dir, ange-ftp-get-file-entry)
	(ange-ftp-set-binary-mode, ange-ftp-set-ascii-mode, ange-ftp-get-pwd)
	(ange-ftp-file-name-as-directory-alist, ange-ftp-reread-dir)
	(ange-ftp-vms-filename-regexp, ange-ftp-bs2000-fix-name-regexp-reverse)
	(ange-ftp-bs2000-fix-name-regexp): Fix typos in docstrings.
	(ange-ftp-name-format, ange-ftp-gateway-fatal-msgs)
	(ange-ftp-xfer-size-msgs, ange-ftp-tmp-name-template)
	(ange-ftp-netrc-filename, ange-ftp-disable-netrc-security-check)
	(ange-ftp-default-user, ange-ftp-default-password)
	(ange-ftp-default-account, ange-ftp-netrc-default-password)
	(ange-ftp-netrc-default-account, ange-ftp-dumb-unix-host-regexp)
	(ange-ftp-binary-file-name-regexp, ange-ftp-gateway-host)
	(ange-ftp-gateway-prompt-pattern, ange-ftp-smart-gateway-port)
	(ange-ftp-send-hash, ange-ftp-binary-hash-mark-size)
	(ange-ftp-ascii-hash-mark-size, ange-ftp-process-verbose)
	(ange-ftp-ftp-program-name, ange-ftp-gateway-ftp-program-name)
	(ange-ftp-ftp-program-args, ange-ftp-nslookup-program)
	(ange-ftp-make-backup-files, ange-ftp-retry-time)
	(ange-ftp-bs2000-special-prefix): Remove * from defcustom docstrings.
	(ange-ftp-skip-msgs, ange-ftp-potential-error-msgs)
	(ange-ftp-gateway-tmp-name-template)
	(ange-ftp-generate-anonymous-password, ange-ftp-local-host-regexp)
	(ange-ftp-gateway-program-interactive, ange-ftp-smart-gateway)
	(ange-ftp-raw-login): Remove * from defcustom docstrings; fix typos.
	(ange-ftp-fatal-msgs): Remove * from defcustom docstring; doc fix.
	(ange-ftp-gateway-program): Remove * from docstring and reflow.
	(ange-ftp-hash-entry-exists-p, ange-ftp-hash-table-keys)
	(ange-ftp-raw-send-cmd, ange-ftp-get-files, ange-ftp-canonize-filename)
	(ange-ftp-file-name-as-directory, ange-ftp-directory-file-name):
	(ange-ftp-copy-files-async, ange-ftp-rename-remote-to-remote):
	(ange-ftp-rename-local-to-remote): Doc fixes.
	(ange-ftp-set-xfer-size, ange-ftp-call-cont, ange-ftp-process-filter):
	Use `when', `unless'.
	(ange-ftp-set-passwd): Rename arg PASSWD to PASSWORD.
	(ange-ftp-process-handle-hash): Rename arg STR to STRING.
	(ange-ftp-nslookup-host): Rename arg HOST to HOSTNAME.
	(ange-ftp-smart-login): Rename arg PASS to PASSWORD.
	(ange-ftp-normal-login): Rename arg PASS to PASSWORD.  Fix typo.
	(ange-ftp-process-sentinel): Use `when'.  Fix typo.
	(ange-ftp-gwp-start): Use `let', not `let*'; use `when'.  Fix typo.
	(ange-ftp-fix-name-func-alist, ange-ftp-fix-dir-name-func-alist)
	(ange-ftp-parse-list-func-alist, ange-ftp-add-file-entry-alist)
	(ange-ftp-delete-file-entry-alist): Fix typos and reflow docstring.
	(ange-ftp-dumb-unix-host, ange-ftp-binary-file)
	(ange-ftp-directory-files, ange-ftp-file-modtime, ange-ftp-vms-host)
	(ange-ftp-mts-host, ange-ftp-cms-host, ange-ftp-bs2000-host)
	(ange-ftp-bs2000-posix-host): Use `string-match-p' instead of
	`(save-match-data (string-match ...))'.
	(ange-ftp-use-gateway-p, ange-ftp-use-smart-gateway-p)
	(ange-ftp-file-name-directory, ange-ftp-file-name-nondirectory):
	Use `string-match-p' instead of `(save-match-data (string-match ...))'.
	Doc fixes.

2008-11-16  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-init.el (viper-ESC-keyseq-timeout): Make it into a
	function instead of a variable.

	* emulation/viper-util.el (viper-fast-keysequence-p): Change to use
	viper-ESC-keyseq-timeout as a function.
	(viper-get-saved-cursor-color-in-replace-mode): Use defun instead of
	defsubst.

	* emulation/viper-cmd.el: Let line-move-visual to nil when using
	next-line or previous-line.
	(viper-R-state-post-command-sentinel): Use defun instead of defsubst.

	* emulation/viper-keym.el (viper-ESC-key): Use (kbd "ESC").

	* ediff-util.el (ediff-toggle-multiframe): Check if control window is
	live.
	(ediff-save-buffer): Let window-min-height to 2.

	* ediff-wind.el (ediff-setup-windows-plain-compare): Avoid selecting
	the minibuffer.

2008-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* ielm.el (ielm-noisy, ielm-dynamic-return, ielm-mode-hook)
	(ielm-dynamic-multiline-inputs): Remove * from defcustom docstrings.
	(ielm-prompt-read-only, ielm-font-lock-keywords): Fix docstring typos.
	(ielm-map): Define within defvar.  Add docstring.
	(ielm-tab, ielm-eval-input, ielm-get-old-input, ielm-return)
	(ielm-complete-filename): Use `when', `unless'.
	(ielm-is-whitespace-or-comment): Use `string-match-p'.
	(ielm-return, ielm-get-old-input): Use `looking-at-p'.
	(ielm-change-working-buffer): Check that the buffer is live.
	(inferior-emacs-lisp-mode): Define with `define-derived-mode'.
	Simplify.  Reflow docstring.
	(inferior-emacs-lisp-mode-hook, inferior-emacs-lisp-mode-map):
	New aliases, to satisfy `define-derived-mode' expectations.

2008-11-15  Glenn Morris  <rgm@gnu.org>
            Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-function-advised-original): New.
	(find-function-C-source, find-function-noselect):
	Use find-function-advised-original to handle advised funcs.  (Bug#789)

2008-11-15  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/find-func.el (find-function-noselect): Add missing "is" in
	alias message.

	* uniquify.el (uniquify-maybe-rerationalize-w/o-cb):
	Remove uniquify-after-kill-buffer-p dependency.
	(uniquify-kill-buffer-function): New function.
	(kill-buffer-hook): Use uniquify-kill-buffer-function.  (Bug#1315)

	* term/ns-win.el (ns-do-applescript, ns-popup-font-panel): Declare.
	(ns-show-manual, menu-bar-help-menu): Update for merge of ns-emacs into
	main Emacs manual.

2008-11-15  Martin Rudalics  <rudalics@gmx.at>

	* window.el (quit-window): Restore delete window with second
	arg non-nil behavior as of before 2008-10-30 change.

2008-11-15  Chong Yidong  <cyd@stupidchicken.com>

	* help-fns.el (describe-function-1): Do char-range check for
	self-insert-command.

2008-11-14  Karl Fogel  <kfogel@red-bean.com>

	* files.el (file-precious-flag): Document that this flag is advisory.

2008-11-14  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* emacs-lisp/bytecomp.el (byte-compile-associative)
	(byte-compile-minus, byte-compile-quo): If there are more than two
	operands, don't use binary operation code (bug#1334).

2008-11-14  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-shell-dos-semantics):
	* calendar/diary-lib.el (diary-face-attrs):
	* international/mule-cmds.el (set-default-coding-systems)
	(prefer-coding-system):
	* net/tramp.el (tramp-set-completion-function):
	* progmodes/vhdl-mode.el (vhdl-file-header):
	* term/pc-win.el (msdos-show-help): Fix typos in docstrings.

	* emacs-lisp/authors.el (authors-fixed-entries): Fix typo in value.

	* files.el (enable-local-eval, not-modified, kill-buffer-ask)
	(kill-matching-buffers, save-buffers-kill-emacs)
	(save-buffers-kill-terminal): Fix typos in docstrings.
	(switch-to-buffer-other-window): Reflow docstring.
	(revert-buffer): Doc fix.
	(define-project-bindings): Rename arg LIST to SETTINGS.
	(project-find-settings-file): Use `let', not `let*'.
	Use `when'.

2008-11-13  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (project-settings-file, locate-dominating-file):
	Fix typos in docstrings.
	(find-file-visit-truename): Remove * from defcustom docstring.

2008-11-13  T. V. Raman  <raman@users.sourceforge.net>  (tiny change)

	* files.el (project-settings-file): New variable.
	(project-find-settings-file): Use it, instead of hardcoding
	.dir.settings.el.

2008-11-13  Glenn Morris  <rgm@gnu.org>

	* nxml/nxml-enc.el: Remove some charset code not needed since Emacs 22.

2008-11-13  Henry Weller  <hweller0@gmail.com>  (tiny change)

	* net/mairix.el (mairix-widget-fields-list): Fix bug regarding searching
	in mail bodies.

2008-11-12  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (autoload-coding-system, with-category-table)
	(ctext-non-standard-encodings-alist): Fix typos in docstrings.
	(coding-system-equal, set-buffer-process-coding-system): Doc fixes.
	(set-buffer-file-coding-system, revert-buffer-with-coding-system)
	(set-file-name-coding-system, ctext-pre-write-conversion)
	(auto-coding-functions, find-auto-coding, modify-coding-system-alist):
	Reflow docstrings.
	(charset-list, set-coding-priority): Remove redundant obsolescence info.
	(charset-id, charset-bytes, make-coding-system): Add obsolescence info.
	(char-valid-p): Define with `define-obsolete-function-alias'.

	* textmodes/artist.el (artist-mode): Fix typos in docstring.

2008-11-12  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-parse-root): Handle roots without colon
	between hostname and path.

2008-11-11  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-isearch-filenames)
	(dired-isearch-filenames-regexp):
	Let-bind isearch-message-prefix-add to "filename ".

	* isearch.el (isearch-message-prefix-add)
	(isearch-message-suffix-add): New variables.
	(isearch-message-prefix): Show additional text from
	`isearch-message-prefix-add' before "I-search".
	(isearch-message-suffix): Show additional text from
	`isearch-message-suffix-add' at the end.

	* isearch.el (isearch-lazy-highlight-search): Use a loop like in
	`isearch-search'.  Call isearch-success-function to skip matches
	outside the current isearch scope.  Let-bind search-invisible to
	nil to not match invisible text.

	* isearch.el (isearch-query-replace, isearch-highlight-regexp):
	Let-bind `isearch-recursive-edit' to nil to prevent calling
	`exit-recursive-edit' in `isearch-done' that terminates the
	execution of these commands when it is non-nil.  Call
	`exit-recursive-edit' explicitly at the end.
	(isearch-occur): For word search construct the correct regexp
	with word boundaries to proceed with occur.

	* isearch.el (isearch-search-fun): Compare the length of the
	current search string with the length of the string from the
	previous search state to detect the situation when the user
	adds or removes characters in the search string.
	Use word-search-forward-lax and word-search-backward-lax in this
	case, and otherwise word-search-forward and word-search-backward.

2008-11-11  Sam Steingold  <sds@gnu.org>

	* mouse.el (mouse-buffer-menu-mode-groups): Place "Annotate" into
	the "Version Control" group (for C-x v g).

2008-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Fix typos and reflow docstring.

2008-11-11  Martin Rudalics  <rudalics@gmx.at>

	* mail/footnote.el (footnote-mode): Improve doc-string.
	Suggested by <jidanni@jidanni.org>.  (Bug#1318)

2008-11-11  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (Custom-mode): Set up tool-bar-map unconditionally.

2008-11-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail/smtpmail.el (smtpmail-open-stream): Use
	`starttls-any-program-available'.  Auto-load starttls.el for it.

2008-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-read-dir-and-switches): Revert to 2007-11-22
	version (bug@1285).

2008-11-08  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): Ignore init-file-user when checking
	user's home directory on MS-DOS as well.

2008-11-07  Sam Steingold  <sds@gnu.org>

	* progmodes/cc-cmds.el (c-defun-name): Fix CLISP DEFUN handling.

2008-11-07  Juanma Barranquero  <lekktu@gmail.com>

	* frame.el (make-frame-on-display): Use `string-match-p'.

2008-11-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-defs.el (cl-macroexpand-all): Fix declaration.

2008-11-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Add new argument
	to initialize font-lock keyword case sensitivity.
	(lisp-mode): Use it.

2008-11-06  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-maint.el: Remove unused file.

	* progmodes/cc-defs.el (cl-macroexpand-all): Declare.

	* cus-edit.el (custom-comment-tag): Doc fix.
	(custom-comment, custom-variable-value-create, custom-face):
	Use face names sans -face suffix rather than aliases.

2008-11-05  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-quit): Use `window-full-width-p' to check
	window width.

2008-11-05  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): Only default to emacsclient's
	terminal in daemon mode.

2008-11-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (quit-window): Restore prefix argument behavior
	removed in 2008-10-30 change.  (Bug#1308)

2008-11-05  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Bugfix: Add conversion killing
	function to kill-buffer-hook, not to kill-buffer.
	Reported by Markus Triska <markus.triska@gmx.at>

2008-11-04  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-quit): Make sure that the keypad buffer
	exists before deleting its windows.

2008-11-04  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): Don't call
	server-create-tty-frame when no tty name is specified.

2008-11-04  Christian Faulhammer  <opfer@gentoo.org>  (tiny change)

	* vc-bzr.el (vc-bzr-dir-extra-headers): New function.

2008-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (toggle-enable-multibyte-characters)
	(define-char-code-property):
	* textmodes/reftex.el (reftex-index):
	* textmodes/reftex-index.el (reftex-index): Fix typos in docstrings.

2008-11-04  Chong Yidong  <cyd@stupidchicken.com>

	* vc-bzr.el (vc-bzr-dir-printer): Rename from
	vc-bzr-status-printer.

	* startup.el (startup-echo-area-message): Display a different
	message in daemon mode.  Suggested by Stephen Turnbull.

	* frame.el (make-frame-on-display): Ignore DISPLAY argument on
	Windows.

2008-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* dframe.el (dframe-mouse-position-function)
	(dframe-reposition-frame-emacs, dframe-pass-event-to-popup-mode-menu)
	(dframe-mouse-set-point): Fix typos in docstrings.

2008-11-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-headers): Undo previous change.

2008-11-04  Nick Roberts  <nickrob@snap.net.nz>

	* vc-cvs.el (vc-cvs-dir-extra-headers): Add tag name to header.
	* vc-dir.el (vc-dir-headers): Order headers as in PCL-CVS.

2008-11-04  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (looking-back): Fix doc-string typo.

	* electric.el (Electric-pop-up-window): Call window-end with
	UPDATE set to t.

	* window.el (save-selected-window): Make it behave like
	save-selected-window-norecord.
	(save-selected-window-norecord): Remove, since functionality
	fully taken over by save-selected-window.
	(walk-windows, set-window-text-height, fit-window-to-buffer):
	Use save-selected-window instead of save-selected-window-norecord.
	* font-lock.el (lisp-font-lock-keywords-2): Remove entry for
	save-selected-window-norecord.
	* emacs-lisp/lisp-mode.el (save-selected-window): Remove
	indent-function for save-selected-window-norecord.

2008-11-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-forward-label): Fix for QT macros.

2008-11-03  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (looking-back): Doc fix.

	* term/x-win.el (x-initialize-window-system):
	Call x-wm-set-size-hint after initialization.

	* eshell/em-hist.el (eshell-save-history-on-exit): Change default
	to t.

	* emacs-lisp/lisp-mode.el (lisp-mode): Remove bogus change from
	2000-12-08 (bug#1297).

	* font-lock.el (font-lock-keywords-case-fold-search): Doc fix.

2008-11-03  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-alg.el (calcFunc-collect): Return constant polynomial
	when appropriate.

2008-11-02  Martin Rudalics  <rudalics@gmx.at>

	* window.el (save-selected-window-norecord): New macro.
	(walk-windows): Use save-selected-window-norecord and call
	select-window with NORECORD set.  (Bug#1237)
	(set-window-text-height, fit-window-to-buffer):
	Use save-selected-window-norecord and call select-window with
	NORECORD set.
	* subr.el (with-selected-window): Call set-frame-selected-window
	with new argument NORECORD set.  Update doc-string.
	(with-selected-frame): Call select-frame with new argument
	NORECORD set.  Update doc-string.
	* emacs-lisp/lisp-mode.el (save-selected-window-norecord):
	Put indent-function for save-selected-window-norecord.
	* font-lock.el (lisp-font-lock-keywords-2):
	Add save-selected-window-norecord.

2008-11-01  Juanma Barranquero  <lekktu@gmail.com>

	* cus-edit.el (customize-apropos-options, custom-comment)
	(custom-comment-tag, custom-face-edit-attribute-tag):
	Fix typos in docstrings.
	(custom-buffer-done-kill): Remove * from defcustom docstring.
	(custom-file): Fix typo in doc of defcustom choice.

	* frame.el (display-visual-class): Fix typo in docstring.
	(initial-frame-alist, minibuffer-frame-alist, pop-up-frame-alist)
	(special-display-frame-alist, show-trailing-whitespace)
	(auto-hscroll-mode, blink-cursor-delay, blink-cursor-interval)
	(display-hourglass, hourglass-delay, cursor-in-non-selected-windows):
	Remove * from defcustom docstrings.

	* md4.el (md4-buffer): Fix typo in docstring.
	(md4, md4-64): Doc fixes.
	(md4-pack-int32): Reflow docstring.

	* paths.el (rmail-file-name): Remove * from defcustom docstring.
	(prune-directory-list, gnus-nntp-service): Fix typos in docstrings.

	* rect.el (open-rectangle): Reflow docstring.
	(spaces-string): Fix docstring typo.  Use "?\s" instead of "? ".

	* select.el (x-get-cut-buffer): Fix typo in docstring.

	* timezone.el (timezone-zone-to-minute, timezone-time-from-absolute)
	(timezone-time-zone-from-absolute, timezone-leap-year-p):
	Fix typos in docstrings.

	* emacs-lisp/assoc.el (asort, aelement, aput, aget, amake):
	Fix typos in docstrings.

2008-10-31  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-backend.el (newsticker--cache-update): Fix no-save case.

	* net/newst-treeview.el (newsticker--treeview-list-update-faces)
	(newsticker--treeview-list-update, newsticker--treeview-item-show)
	(newsticker--treeview-tree-update)
	(newsticker--treeview-tree-update-highlight)
	(newsticker-treeview-update)
	(newsticker-treeview-next-item, newsticker-treeview-prev-item)
	(newsticker-treeview-next-new-or-immortal-item)
	(newsticker-treeview-prev-new-or-immortal-item)
	(newsticker-treeview-next-feed, newsticker-treeview-prev-feed)
	(newsticker-treeview-tree-click): Watch for layout changes.
	(newsticker--treeview-set-current-node): Cleanup.
	(newsticker--treeview-restore-layout): Rename from
	newsticker--treeview-restore-buffers.
	(newsticker--treeview-mark-item): Update cache file.

2008-10-31  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--uid-count): New.
	(icalendar--create-uid): New.  Extracted from
	`icalendar-export-region' and add uid counter.
	(icalendar-export-region): Use `icalendar--create-uid'.

2008-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* tooltip.el (tooltip-frame-parameters): Doc fix.

2008-10-31  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-body-height, window-current-scroll-bars)
	(walk-windows, get-window-with-predicate, get-buffer-window-list)
	(minibuffer-window-active-p, count-windows)
	(window-safely-shrinkable-p, window--splittable-p)
	(window--try-to-split-window, window--frame-usable-p)
	(window--even-window-heights, window--display-buffer-1)
	(window--display-buffer-2, set-window-text-height)
	(fit-window-to-buffer, shrink-window-if-larger-than-buffer)
	(truncated-partial-width-window-p): Rewrite doc-string.
	(window-fixed-size-p): Simplify code.  Rewrite doc-string.
	(split-window-vertically, split-window-horizontally):
	Rename args, rewrite doc-string, and simplify code.
	(split-window-save-restore-data): Rename args and use
	when instead of if.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* indent.el (indent-for-tab-command): Use use-region-p.

	* vc.el (vc-revert): Limit the length of the query string.

2008-10-30  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (idle-update-delay, next-error-highlight)
	(next-error-highlight-no-select, next-error-recenter, next-error-hook)
	(minibuffer-history-case-insensitive-variables, kill-ring-max)
	(kill-read-only-ok, backward-delete-char-untabify-method)
	(kill-whole-line, mark-ring-max, global-mark-ring-max)
	(set-mark-command-repeat-pop, next-line-add-newlines, track-eol)
	(goal-column, line-move-ignore-invisible, fill-prefix)
	(auto-fill-inhibit-regexp, blink-matching-paren)
	(blink-matching-paren-on-screen, blink-matching-paren-distance)
	(blink-matching-delay, blink-matching-paren-dont-ignore-comments)
	(read-mail-command, mail-user-agent): Remove * in defcustom docstrings.
	(minibuffer-history-isearch-wrap, transient-mark-mode)
	(next-logical-line, auto-fill-mode, line-number-mode)
	(column-number-mode, size-indication-mode, clone-indirect-buffer)
	(normal-erase-is-backspace-mode): Doc fixes.
	(current-kill, transient-mark-mode, toggle-truncate-lines)
	(visible-mode): Reflow docstrings.
	(minibuffer-local-shell-command-map, interprogram-paste-function):
	Fix typos in docstrings.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): In daemon mode, default to
	emacsclient's tty if not opening a new frame and only the
	terminal-frame is available.

2008-10-30  Martin Rudalics  <rudalics@gmx.at>

	* window.el (quit-window): Simplify code.  Say in doc-string
	that it operates on the selected window's buffer.  (Bug#1259)

2008-10-30  Nick Roberts  <nickrob@snap.net.nz>

	* vc-svn.el (vc-svn-diff): If files is nil don't set oldvers to
	nil so that log-view-diff-changeset works.

2008-10-30  Glenn Morris  <rgm@gnu.org>

	* files.el (locate-dominating-stop-dir-regexp): Fix typo.

	* resume.el: Move to obsolete/.
	* Makefile.in (ELCFILES): Update.

2008-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* electric.el (Electric-pop-up-window): Don't shrink the window if
	it's already big enough.

	* minibuffer.el (delete-minibuffer-contents): Delete all
	minibuffer contents instead of just the current field.

	* tmm.el (tmm-get-keymap): Handle case where keyseq cache is omitted.

	* bookmark.el (bookmark-handle-bookmark): Rename from
	bookmark-jump-noselect.
	(bookmark--jump-via, bookmark-insert): Callers changed.
	(bookmark-jump-noselect): Wrapper function for
	bookmark-handle-bookmark.
	(bookmark-get-bookmark-record): Signal error for invalid bookmark.

	* textmodes/ispell.el (ispell-word): Use use-region-p.

2008-10-29  Juanma Barranquero  <lekktu@gmail.com>

	* tooltip.el (tooltip-functions): Rename from `tooltip-hook',
	to follow naming conventions for abnormal hooks.  Doc fix.
	(tooltip-mode, tooltip-timeout): Use it.
	(tooltip-hook): New obsolete alias.
	(tooltip-help-tips): Doc fix.

	* progmodes/gud.el (gud-tooltip-mode): Use `tooltip-functions'.

2008-10-29  Ulrich Mueller  <ulm@gentoo.org>

	* server.el (server-socket-dir): Use TMPDIR (default /tmp) instead
	of hardcoded /tmp.

2008-10-29  Glenn Morris  <rgm@gnu.org>

	* net/xesam.el (dbus-get-unique-name, dbus-debug): Declare.

	* vc-hooks.el (vc-find-root): Remove bogus alias.

2008-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-show-guidance): Don't create
	a guidance-frame if current buffer is not a minibuffer, since even if
	selected-window is mini-p, the buffer will never be displayed in it, so
	it wil be usable for guidance.

2008-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el: Require diff-mode at run-time as well.

2008-10-28  Martin Rudalics  <rudalics@gmx.at>

	* vc-cvs.el (vc-cvs-stay-local): Fix typo in choice.
	* vc-hooks.el (vc-stay-local): Likewise.

2008-10-28  Phil Sung  <psung@mit.edu>

	* follow.el (follow-scroll-down, follow-calc-win-end)
	(follow-estimate-first-window-start): Reduce effective window
	height when header line is present.  (Bug#925)

2008-10-28  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (locate-user-emacs-file): Simplify.  Don't create
	`user-emacs-directory' when Emacs is running in batch mode.

	* startup.el (inhibit-startup-screen): Reflow docstring.
	(user-mail-address, tool-bar-images-pixel-height): Fix docstring typos.

2008-10-27  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Fix terminal case (where font is nil).

2008-10-27  Juanma Barranquero  <lekktu@gmail.com>

	* face-remap.el (text-scale-increase, text-scale-decrease)
	(text-scale-adjust): Remove &optional keyword from the arg list;
	the INC argument is not really optional, if the functions happen
	to be called from elisp.

2008-10-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Rename VC methods that were missed when vc-status was
	renamed to vc-dir.
	* vc-svn.el (vc-svn-dir-extra-headers): Rename from
	vc-svn-status-extra-headers.
	* vc-hg.el (vc-hg-dir-printer): Rename from vc-hg-status-printer.
	(vc-hg-dir-extra-header): Rename from vc-hg-status-extra-headers.
	* vc-git.el (vc-git-dir-printer): Rename from vc-dir-status-printer.
	(vc-git-dir-extra-headers): Rename from vc-git-status-extra-headers.
	* vc-dir.el (vc-dir-mode): Use vc-dir-printer instead of
	vc-dir-status-printer.
	(vc-dir-headers): Use `dir-extra-headers' instead of
	`status-extra-headers'.
	(vc-dir-printer): Rename from vc-dir-status-printer.
	(vc-default-dir-extra-headers): Rename from
	vc-default-status-extra-headers.
	* vc-cvs.el (vc-cvs-dir-extra-headers): Rename from
	vc-cvs-status-extra-headers.

	* startup.el (server-name): Pacify byte compiler.
	(command-line): If --daemon=SERVER_NAME was used, set server-name
	before calling server-start.

2008-10-26  Romain Francoise  <romain@orebokech.com>

	* startup.el (command-line): Call daemon-initialized after
	starting the server.

2008-10-26  Kenichi Handa  <handa@m17n.org>

	* help-fns.el (describe-categories): Display the terse legend at
	the head.

	* international/characters.el: Docstrings of categories improved.

2008-10-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode): Don't impose ourselves on hippie.

	* faces.el (face-font-family-alternatives): Add "CMU Typewriter Text"
	to the courier family.
	* textmodes/tex-mode.el (tex-verbatim): Don't use "monospace" which is
	usually not serif'd and hence rather unlike verbatim's printed output.

2008-10-25  Chong Yidong  <cyd@stupidchicken.com>

	* vc-cvs.el (vc-cvs-status-extra-headers): Use full directory name
	when reporting the module.

	* vc-dir.el (vc-dir-mode-map): Add follow-link behavior.

	* wid-edit.el (widget-color-complete): Sort completions alphabetically.

2008-10-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (locate-dominating-stop-dir-regexp): New var.
	(locate-dominating-file): Change arg from a regexp to a file name.
	Rewrite using the vc-find-root code to avoid directory-files which is
	too slow.  Obey locate-dominating-stop-dir-regexp.
	Don't pay attention to changes in owner.
	(project-find-settings-file): Adjust call to locate-dominating-file.

	* progmodes/flymake.el (flymake-find-buildfile):
	Adjust call to locate-dominating-file.

	* vc-hooks.el (vc-find-root): Use locate-dominating-file.
	(vc-ignore-dir-regexp): Use locate-dominating-stop-dir-regexp.

2008-10-25  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (with-current-buffer): Rename buffer argument to
	buffer-or-name.
	* window.el (get-buffer-window-list): Rename buffer argument to
	buffer-or-name and make it optional.

2008-10-25  Juanma Barranquero  <lekktu@gmail.com>

	* completion.el (add-completion-to-head, add-completion): Doc fixes.
	(completion-search-next, add-completions-from-file):
	Fix typos in docstrings.

	* filesets.el (filesets-menu-ensure-use-cached)
	(filesets-ingroup-patterns, filesets-filetype-property):
	* tutorial.el (get-lang-string):
	* play/gamegrid.el (gamegrid-score-file-length, gamegrid-add-score):
	Fix typos in docstrings.

	* image-dired.el (image-dired-dired-after-readin-hook): Doc fix.
	(image-dired-line-up-method, image-dired-thumb-size)
	(image-dired-cmd-write-exif-data-options, image-dired-write-tags)
	(image-dired-track-original-file, image-dired-track-thumbnail)
	(image-dired-dired-next-line, image-dired-dired-previous-line)
	(image-dired-write-comments): Reflow docstrings.
	(image-dired-show-all-from-dir-max-files)
	(image-dired-format-properties-string, image-dired-create-thumbs)
	(image-dired-mark-tagged-files, image-dired-gallery-generate):
	Fix typos in docstrings.

	* savehist.el (savehist-save-minibuffer-history, savehist-file)
	(savehist-additional-variables, savehist-ignored-variables)
	(savehist-file-modes, savehist-autosave-interval):
	* startup.el (inhibit-startup-echo-area-message, inhibit-default-init)
	(inhibit-startup-buffer-menu, mail-host-address, user-mail-address)
	(fancy-splash-image):
	* thumbs.el (thumbs-thumbsdir, thumbs-geometry, thumbs-relief)
	(thumbs-conversion-program, thumbs-margin):
	Remove spurious * in docstrings.

2008-10-25  Aaron S. Hawley  <aaronh@garden.org>

	* thingatpt.el (end-of-sexp, beginning-of-sexp)
	(forward-same-syntax): Omit default arguments to char-after and
	char-before.

2008-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (locate-user-emacs-file): New function.
	(user-emacs-directory): Mention it in docstring.

	* completion.el (save-completions-file-name):
	* filesets.el (filesets-menu-cache-file):
	* image-dired.el (image-dired-dir, image-dired-db-file)
	(image-dired-temp-image-file, image-dired-gallery-dir)
	(image-dired-temp-rotate-image-file):
	* savehist.el (savehist-file):
	* server.el (server-auth-dir):
	* thumbs.el (thumbs-thumbsdir):
	* tutorial.el (tutorial--saved-dir):
	* play/gamegrid.el (gamegrid-user-score-file-directory): Use it.

2008-10-23  Juanma Barranquero  <lekktu@gmail.com>

	* edmacro.el (edmacro-eight-bits, edmacro-mode): Fix docstring typos.
	(edmacro-mismatch, edmacro-sanitize-for-string): Doc fixes.

2008-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* filesets.el: Update author email.
	(filesets-data): Doc fix.

2008-10-23  Jens Petersen  <petersen@redhat.com>  (tiny change)

	* pcmpl-rpm.el (pcomplete/rpm): Make "rpm -qp" use file completion.

2008-10-23  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* international/mule-cmds.el (describe-language-environment):
	Indent sample text.

2008-10-23  Glenn Morris  <rgm@gnu.org>

	* pcmpl-rpm.el (pcomplete/rpm): Doc fix.

	* emacs-lisp/cl-macs.el (flet): Throw an error when trying to
	byte-compile a redefinition of a function with special byte-compile
	handling.  (Bug#411)

2008-10-22  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Deal with page sizes for label printes.  Suggested by
	Friedrich Delgado Friedrichs <friedel@nomaden.org>.
	(ps-print-version): New version 7.3.3.
	(ps-page-dimensions-database): New page sizes for label printers.
	(ps-n-up-printing): Fix code.

2008-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (make-frame-command): Doc fix.  Use display-graphic-p.

	* thingatpt.el (sexp-at-point, symbol-at-point, number-at-point)
	(list-at-point): Add docstrings.

	* dired.el (dired-get-marked-files, dired-map-over-marks): Doc fixes.

	* dired-aux.el (dired-do-create-files): Doc fix.

2008-10-22  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* version.el (emacs-version): Change '*Step' to 'NS' for consistency
	with other documentation.

2008-10-22  Juanma Barranquero  <lekktu@gmail.com>

	* replace.el (how-many): Fix typo in docstring.
	Reported by Leo <sdl.web@gmail.com>.

2008-10-22  Glenn Morris  <rgm@gnu.org>

	* international/mule-cmds.el (universal-coding-system-argument):
	Check for C-g.  (Bug#1205)

2008-10-22  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Don't setup
	find-word-boundary-function-table.
	(next-word-boundary-han, next-word-boundary-kana): Delete them.
	(word-combining-categories, word-separating-categories):
	Adjust to the change of the docstrings.

2008-10-21  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (region-active-p): Doc fix.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (apply-partially): Move from here...

	* simple.el (apply-partially): ...to here.

2008-10-20  Andreas Schwab  <schwab@suse.de>

	* subr.el (split-string-and-unquote): Simplify regexp.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (top-level): Require `cl' when compiling.

2008-10-20  David Reitter  <david.reitter@gmail.com>

	* info.el (Info-mode): Do not remove an existing header line if
	`Info-use-header-line' is nil.

2008-10-19  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-query-replace, isearch-query-replace-regexp):
	Add arg `delimited' as in `query-replace' for the case when
	isearch-allow-scroll=t and the user types C-u M-%.  Doc fix.
	Add more indicators to the prompt ("word" and "in region").

	* replace.el (query-replace, query-replace-regexp)
	(replace-string, replace-regexp, perform-replace): Add "word"
	indicatiors to the prompt for word delimited replacements.

	* replace.el (read-regexp): Rename arg `default' to `default-value'.
	Doc fix.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (apply-partially): Move here from minibuffer.el.  Doc fix.

	* simple.el (minibuffer-default-add-shell-commands): Doc fix.

2008-10-19  Martin Rudalics  <rudalics@gmx.at>

	* window.el (enlarge-window-horizontally, shrink-window-horizontally):
	Make argument names follow Elisp manual.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/remember.el (remember-data-file):
	* shadowfile.el (shadow-initialize)
	<shadow-info-file, shadow-todo-file>:
	* savehist.el (savehist-file):
	* recentf.el (recentf-save-file):
	* pcvs-defs.el (cvs-cvsrc-file):
	* international/kkc.el (kkc-init-file-name):
	* ido.el (ido-save-directory-list-file):
	* calendar/todo-mode.el (todo-file-do, todo-file-done)
	(todo-file-top): Run file names that begin with a period thru
	`convert-standard-filename'.

	* dos-fns.el (dos-reevaluate-defcustoms): New function.  Add it to
	before-init-hook.

	Fix Bug #1183:

	* ediff-diff.el (ediff-exec-process): For buffer jobs, bind
	coding-system-for-read to ediff-coding-system-for-write.

	* ediff-util.el (ediff-make-temp-file): Unconditionally bind
	coding-system-for-write to ediff-coding-system-for-write.

	* ediff-init.el (ediff-coding-system-for-read): Doc fix.
	(ediff-coding-system-for-write): Set to emacs-internal.

2008-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-conf.el (emacs-internal): New coding system alias.

2008-10-18  Juri Linkov  <juri@jurta.org>

	* info.el (Info-file-supports-index-cookies-list): New variable.
	(Info-file-supports-index-cookies): New function.
	(Info-find-node-2, Info-index-nodes, Info-index-node): Use it.
	(Info-index-nodes): Let-bind Info-point-loc to nil for files
	without an index cookie to ignore it when Info-index-nodes is
	called during navigating from an index node with line numbers.
	(Info-index-node): Set file to Info-current-file if nil.  (Bug#1118)

	* info.el (Info-breadcrumbs-depth): Move defcustom higher to the
	variable definition section.

	* info.el (Info-find-node-2): Put initial point below the header line
	and breadcrumbs line.

2008-10-18  Glenn Morris  <rgm@gnu.org>

	* doc-view.el (doc-view-pdf->txt, doc-view-ps->pdf): Give an error if
	the needed external programs were not found.

2008-10-18  Eli Zaretskii  <eliz@gnu.org>

	* files.el (trash-directory): Run thru `convert-standard-filename'.
	(file-modes-char-to-who, file-modes-char-to-right)
	(file-modes-rights-to-number, file-modes-symbolic-to-number)
	(read-file-modes): Doc fixes.

2008-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* abbrev.el (define-abbrev): Doc fix.

2008-10-17  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-defun-name): Make it work for "struct
	foo bar [] = { ...".

2008-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-spec-set-2): Don't pass invalid attributes to
	set-face-attribute.

2008-10-17  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-list-locales): Decode output of `w32-get-locale-info'
	according to `locale-coding-system'.  (This fixes trivial bug reported
	as part of bug#1179).
	Sort list of valid locale ids (EnumSystemLocales does not guarantee any
	particular order).  Use `when'.

2008-10-16  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-check-shell-configuration): Doc fix.
	(w32-add-charset-info): Fix typo in docstring.

2008-10-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* international/mule-conf.el: Removed `utf8' and `UTF8' aliases
	after discussion.

2008-10-16  Magnus Henoch  <mange@freemail.hu>

	* vc-arch.el (vc-arch-dir-status): New function.
	(vc-arch-after-dir-status): New function.

2008-10-16  Glenn Morris  <rgm@gnu.org>

	* man.el (Man-getpage-in-background): Force recent `man's to output
	escape sequences even when stdout is not a tty.  (Bug#1142)

2008-10-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* international/mule-conf.el: Add `utf8' and `UTF8' as
	aliases for the `utf-8' coding system.

2008-10-15  Juanma Barranquero  <lekktu@gmail.com>

	* find-file.el (ff-get-file): Doc fix.
	(ff-get-file-name): Use `let', not `let*'.
	(ff-search-directories): Fix typo in docstring.
	(ff-pre-find-hook, ff-pre-load-hook, ff-post-load-hook)
	(ff-not-found-hook, ff-file-created-hook, ff-case-fold-search)
	(ff-always-in-other-window, ff-ignore-include, ff-always-try-to-create)
	(ff-quiet-mode, ff-other-file-alist, cc-search-directories)
	(cc-other-file-alist, modula2-other-file-alist):
	Remove spurious * in docstrings.

2008-10-14  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (set-face-attribute): Set family and foundry before
	other attributes.
	(face-spec-set-2): Pass unmodified args to set-face-attribute.

2008-10-14  Juanma Barranquero  <lekktu@gmail.com>

	* hl-line.el (hl-line-unload-function): New function.
	(hl-line-unhighlight, global-hl-line-unhighlight): Use `when'.
	(hl-line-sticky-flag): Remove spurious * in docstring.

2008-10-14  Eric Hanchrow  <offby1@blarg.net>

	* vc-git.el (vc-git-show-log-entry): Include the revision in the
	search string.

2008-10-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-one-action): Embed regexp in
	parentheses, before adding end-of-buffer construct.  Suggested by
	Markus Triska <markus.triska@gmx.at>.

2008-10-13  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-plainview.el (w3m-toggle-inline-image):
	Define 'declare-function if necessary, for compatibility.

	* net/newst-treeview.el (w3m-toggle-inline-images):
	Define 'declare-function if necessary, for compatibility.

2008-10-13  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-region): Fix previous patch
	so that the function works on one-line macros.

	* progmodes/cc-engine.el: Amend several doc strings and comments.

2008-10-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-stay-local): Add a new choice and default to it.

	* vc-cvs.el (vc-cvs-dir-stay-local): Remove.
	(vc-cvs-stay-local): Add a new choice and default to it.
	(vc-cvs-dir-status): Use the new vc-stay-local choice.

	* vc-svn.el (vc-svn-dir-status): Use the new vc-stay-local choice.

2008-10-12  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el (ada-get-indent-end, ada-goto-matching-start):
	Add support for extended return statement.

	* progmodes/ada-xref.el (ada-gnat-parse-gpr): Don't reverse src-dir
	and obj-dir; keep user order.

2008-10-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

	* simple.el (shell-delimiter-argument-list, shell-file-name-chars)
	(shell-file-name-quote-list): Declare.

2008-10-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-service-emacs, dbus-path-emacs): New defconst.

2008-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): If toolbar is disabled but ought to
	be initialized, call tool-bar-setup.

	* tool-bar.el (tool-bar-setup): Variable deleted.
	(tool-bar-setup): Set it up unconditionally.

	* faces.el (x-create-frame-with-faces): Don't call tool-bar-setup.

	* progmodes/grep.el (grep-mode-tool-bar-map): Check if
	tool-bar-map has been initialized before setting it up.

	* progmodes/compile.el (compilation-mode-tool-bar-map): Check if
	tool-bar-map has been initialized before setting it up.

2008-10-11  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/warnings.el (display-warning): Issue a message if
	called during daemon initialization.

	* tool-bar.el (tool-bar-local-item)
	(tool-bar-local-item-from-menu): Put the check for number of
	display colors into the image expression.
	(tool-bar-setup): Don't be a no-op on ttys.

	* info.el (info-tool-bar-map):
	* progmodes/gud.el (gud-tool-bar-map):
	* progmodes/grep.el (grep-mode-tool-bar-map):
	* progmodes/compile.el (compilation-mode-tool-bar-map):
	Initialize it unconditionally.

2008-10-11  Romain Francoise  <romain@orebokech.com>

	* help.el (view-lossage): Fix docstring, lossage is now 300 keys.
	* kmacro.el (kmacro-edit-lossage): Ditto.
	* edmacro.el (edit-kbd-macro): Ditto.

2008-10-11  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker--treeview-list-sort-by-column):
	Fix variable names.

2008-10-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Revert 2008-09-26 change, not
	necessary anymore.

2008-10-10  Andreas Schwab  <schwab@suse.de>

	* simple.el (minibuffer-complete-shell-command):
	Bind comint-delimiter-argument-list, comint-file-name-chars and
	comint-file-name-quote-list like shell-mode.

2008-10-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-to-buffer): Fix misplacement of arg norecord in
	call of select-window.

2008-10-10  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-embedded-word-regexp)
	(calc-embedded-word-regexp-alist): New variables.
	(calc-embedded-open-word, calc-embedded-close-word)
	(calc-embedded-open-close-word-alist): Remove unused variables.

	* calc/calc-embed.el (calc-embedded-make-info):
	Use `calc-embedded-word-regexp' to find words.

2008-10-10  Martin Rudalics  <rudalics@gmx.at>

	* info.el (Info-extract-menu-counting): New argument no-detail to
	skip detailed node listings.
	(Info-forward-node): New argument not-up to inhibit going up.
	(Info-final-node): Call Info-extract-menu-counting and
	Info-forward-node with the new arguments set to avoid infinite
	looping.  (Bug#1116)

2008-10-10  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): Don't invoke tool-bar-mode if it is
	not fboundp.

2008-10-09  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Enable tool-bar-mode as long as it is
	not suppressed by X resources, regardless of the terminal.

	* tool-bar.el (tool-bar-mode): Only change tool-bar-lines on
	graphical terminals.
	(tool-bar-setup): No-op if called on a tty.

2008-10-09  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (make-frame-on-tty): Use "F" inside interactive.
	Support `pc' ``window-system''.

	* progmodes/compile.el (compilation-start): Resurrect the version
	for systems that don't support asynchronous subprocesses.

2008-10-09  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-up-frames): Add choice graphic-only.
	(display-buffer): When pop-up-frames equals graphic-only do
	not pop up new frame on text-only terminals.  (Bug#1061)

2008-10-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-dir-stay-local): New variable.
	(vc-cvs-dir-status): Use it.

2008-10-08  Chong Yidong  <cyd@stupidchicken.com>

	* json.el (json-skip-whitespace): Fix last change.

2008-10-08  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-unload-function): New function.

2008-10-08  Sven Joachim  <svenjoac@gmx.de>

	* eshell/em-cmpl.el, eshell/em-hist.el, eshell/em-ls.el:
	* eshell/esh-cmd.el, eshell/esh-ext.el, eshell/esh-io.el:
	For clarity, explicitly require cl.

2008-10-08  Michael Olson  <mwolson@gnu.org>

	* ibuffer.el (ibuffer-shrink-to-fit): Force redisplay, so that we
	can avoid a bad interaction with programs that add functions to
	the window-scroll-functions hook.  This fixes Bug #858.

2008-10-07  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Use display-warning to warn about an
	init file error.
	(command-line-1): Remove init file error delay.

2008-10-07  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* rx-new.el (rx-constituents): Change `anything' to call rx-anything.
	Change `not-wordchar' assignment to "\\W" from "[^[:word:]]".
	(rx-group-if): New function.
	(rx-parent): New variable.
	(rx-and, rx-or): Put shy groups only when necessary.
	(rx-bracket): Remove.
	(rx-anything): New function.
	(rx-any-delete-from-range, rx-any-condense-range)
	(rx-check-any-string): New functions.
	(rx-check-any): Return result as a list.  Don't convert chars to
	strings.  Don't prepend "\\" to "^".  Don't search for close bracket.
	Check char category string.  Call rx-form instead of rx-to-string.
	(rx-any): Rebuid to complete the function.
	(rx-check-not): Fix char category regexp pattern string.
	Call rx-form instead of rx-to-string.
	(rx-not): Call rx-form instead of rx-to-string.  Convert "[^]" to
	"[^^]".  Call regexp-quote for one char string when not called from
	rx-not.  Add "\\w", and toggle to upcase.  Add the case of
	"\\[SCBW]" to toggle.
	(rx-=, rx->=, rx-**, rx-repeat, rx-submatch): Call rx-form
	instead of rx-to-string.
	(rx-kleene): Call rx-form instead of rx-to-string.
	Call rx-group-if to adjust putting of shy groups.
	(rx-atomic-p): Make check more precisely.
	(rx-eval, rx-greedy): Call rx-form instead of rx-to-string.
	(rx-regexp): Call rx-group-if.
	(rx-form): New function.
	(rx-to-string): Call rx-form, rx-group-if.
	Refine definition of NO-GROUP.

2008-10-07  T. V. Raman  <raman@users.sourceforge.net>  (tiny change)

	* json.el (json-advance): Use forward-char.
	(json-skip-whitespace): Use skip-syntax-forward.

2008-10-07  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-line-or-region): Fix so that
	indenting a macro followed by blank lines doesn't backslash the
	following non-blank line into the macro.

2008-10-06  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (before-init-time, after-init-time): Move into emacs.c.
	(command-line): Set after-init-time to nil before initialization.

2008-10-06  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-standard-units): Update the values
	of the units.

2008-10-06  Juanma Barranquero  <lekktu@gmail.com>

	* bookmark.el (bookmark-unload-function): New function.

2008-10-06  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/syntax.el (syntax-ppss): Doc fix.

2008-10-06  Martin Rudalics  <rudalics@gmx.at>

	* mail/footnote.el: Remove * in defcustom docstrings and tell
	for most options that customizing them doesn't affect buffers
	already displaying footnotes.
	(Footnote-refresh-footnotes, Footnote-renumber-footnotes):
	Fix handling of text properties and identical start/end tags.
	Do not use format when renumbering.
	(Footnote-set-style): Make it work.
	(Footnote-insert-numbered-footnote): Simplify.
	(Footnote-narrow-to-footnotes, Footnote-insert-footnote)
	(Footnote-goto-footnote): Fix handling of empty section tag.
	(Footnote-delete-footnote): Fix handling of identical start/end
	tags, empty section tag, and spaced footnotes.  Do not use
	kill-region.
	(footnote-mode): Make most options buffer-local to avoid that
	customizing messes up handling of footnotes in buffers that
	already display them.

2008-10-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (x-create-frame-with-faces): Undo previous change.

	* vc-cvs.el (vc-cvs-after-dir-status): Parse the output for non
	existent files.

2008-10-05  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule-cmds.el (universal-coding-system-argument):
	Handle digit-argument too.

2008-10-05  Mario Lang  <mlang@delysid.org>

	* xml.el (xml-parse-string): Use skip-chars-forward.

2008-10-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-after-dir-status): Parse the output for non
	existent files.
	(vc-bzr-dir-status-files): New function.

2008-10-04  Glenn Morris  <rgm@gnu.org>

	* files.el (make-temp-file): Handle empty `prefix'.  (Bug#1081)

	* vc-svn.el (vc-svn-after-dir-status): Handle `svn status -u' output.
	(vc-svn-dir-status): Respect vc-stay-local-p.  (Bug#1046)

	* vc-cvs.el (vc-cvs-dir-status-heuristic): New function.
	(vc-cvs-dir-status): Respect vc-stay-local-p.  (Bug#1046)

2008-10-04  David J. Biesack  <David.Biesack@sas.com>  (tiny change)

	* progmodes/antlr-mode.el (antlr-font-lock-additional-keywords):
	Fix typo.  (Bug#1074)

2008-10-04  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/compile.el (compilation-start): Make sure to move to
	point-max only when we are in the compilation buffer.  (Bug#1073)

2008-10-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (x-create-frame-with-faces): Only setup the toolbar if
	tool-bar-mode is on.

	* vc-svn.el (vc-svn-dir-status-files):
	* vc-cvs.el (vc-cvs-dir-status-files): New function.

2008-10-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-dir-status-files): New function.

2008-10-03  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--display-buffer-1): Don't care about
	visibility since raise-frame does.

2008-10-03  Mario Lang  <mlang@delysid.org>

	* nxml/xmltok.el (xmltok-forward): Simplify.

2008-10-03  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

	* frame.el (set-default-font): Make obsolete.
	* mouse.el (mouse-set-font): Use set-frame-font.

	* jka-cmpr-hook.el (jka-compr-compression-info-list)
	(jka-compr-mode-alist-additions): Also match `.tbz2'.

	* progmodes/idlwave.el (auto-mode-alist): Remove unnecessary autoload.
	* files.el (auto-mode-alist): Add .PRO as per above autoload.

2008-10-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-mode): Don't create the ewoc header here.
	(vc-dir-refresh): Set it here instead.  (Bug#1067)

2008-10-02  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (inhibit-frame-set-background-mode): New var.
	(frame-set-background-mode): Use it to avoid a loop in
	face-spec-recalc.

2008-10-02  Glenn Morris  <rgm@gnu.org>

	* vc-bzr.el (vc-bzr-diff): Use vc-switches rather than the obsolete
	vc-diff-switches.

2008-10-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Eliminate whitespace-kill-buffer-hook functionality,
	that is, to take some action when a buffer is killed.  Suggested by
	Stefan Monnier <monnier@iro.umontreal.ca>.  Doc fix.  New version
	11.2.2.
	(whitespace-action): Docstring and :type fix.
	(whitespace-turn-on, whitespace-turn-off, whitespace-warn-read-only):
	Code fix.
	(whitespace-add-local-hook, whitespace-remove-local-hook)
	(whitespace-kill-buffer-hook, whitespace-action): Fun eliminated.

2008-10-01  Magnus Henoch  <mange@freemail.hu>

	* net/tls.el (open-tls-stream): Show the actual command being
	executed, instead of the format string.

2008-10-01  Eli Zaretskii  <eliz@gnu.org>

	* term/internal.el (dos-locale-alist): New alist.
	(dos-codepage-setup): Use it to compute a value of locale with
	which to call set-locale-environment.  Remove code to set
	terminal, keyboard, and file-name encoding (done by
	set-locale-environment).

	* international/mule-cmds.el
	(set-language-environment-nonascii-translation): Fix nonascii
	value for `pc' ``window-system''.
	(set-display-table-and-terminal-coding-system)
	(set-default-coding-systems): Don't special-case `pc'.

2008-10-01  Glenn Morris  <rgm@gnu.org>

	* filesets.el (filesets-menu-name): Fix type.
	(filesets-menu-path, filesets-menu-before): Fix types.
	Change defaults to be consistent with recentf.  (Bug#1056)

2008-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/xterm.el (xterm-turn-on-modify-other-keys)
	(xterm-turn-off-modify-other-keys, xterm-remove-modify-other-keys):
	Don't forget to pass `terminal' to `send-string-to-terminal'.

2008-09-30  Michael Albinus  <michael.albinus@gmx.de>

	* vc-hooks.el (vc-file-clearprops): Revert change from 2008-09-29.
	(vc-file-not-found-hook): Check, that `buffer-file-name' is
	non-nil.  It is not clear, whether this is only fixing symptoms on
	an error.  OTOH, in all other cases, the call of `vc-file-clearprops'
	is embedded by that check.  So it might be TRT.  Suggested by Dan
	Nicolaescu <dann@ics.uci.edu>.

2008-09-30  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (ELCFILES): Remove codepage.elc.

	* international/codepage.el: File removed, as even ms-dos doesn't
	need it anymore.

	* loadup.el [ms-dos]: Don't load ccl and codepage.

	* term/internal.el: Remove coding: cookie and no-byte-compile flag.
	(IT-character-translations, cjk-codepages-alist): Remove variables.
	(IT-display-table-setup, dos-cpNNN-setup): Remove functions.
	(IT-unicode-translations): Remove charset and base elements.
	Add translations for Latin-1 characters.
	(IT-setup-unicode-display): Accept a CODING argument.  Don't use
	base and chset elements of IT-unicode-translations.  Don't wrap
	translation in "{...}".  Set up translations only for characters
	for which unencodable-char-position returns non-nil.
	(dos-codepage-setup): Don't use special-case codepages in
	cjk-codepages-alist.

	* files.el (locate-dominating-file): Wrap directory-files with
	condition-case, instead of calling file-directory-p, which stats
	the directory one more time.

	* mail/mail-utils.el (mail-unquote-printable-region):
	Use insert-byte instead of insert-char, when the UNIBYTE arg is
	non-nil.

2008-09-30  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-insert-file-contents): Fix typo.

2008-09-30  Glenn Morris  <rgm@gnu.org>

	* progmodes/which-func.el (which-func-imenu-joiner-function): Doc fix.

2008-09-30  Daniel Colascione  <danc@merrillpress.com>

	* progmodes/which-func.el (which-func-imenu-joiner-function): New.
	(which-function): Handle nested imenu trees.

	* imenu.el (imenu--split-menu): Fix bug with shared lists that deleted
	some nested menu items.

2008-09-30  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-standard-units): Add entries used to
	display the values in the units buffer.
	(math-build-units-table): Add entries to the units table to be used
	to display the values in the units buffer.
	(math-build-units-table-buffer): Use the display entry of the units
	table when non-nil.
	(calc-define-unit): Add option to enter display value of unit.

2008-09-29  Michael Albinus  <michael.albinus@gmx.de>

	* vc-hooks.el (vc-file-clearprops): Check, that FILE is a string.

2008-09-29  Eli Zaretskii  <eliz@gnu.org>

	* files.el (locate-dominating-file): Take file-attributes of
	`dir', not of `file' (which never changes).

2008-09-29  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (file-remote-p): Precise doc string; IDENTIFICATION can
	also be `localname'.

	* net/ange-ftp.el (ange-ftp-file-remote-p): Handle `localname' as
	IDENTIFICATION.

2008-09-28  Glenn Morris  <rgm@gnu.org>

	* vc.el (vc-switches): Give it a doc string.

2008-09-28  Romain Francoise  <romain@orebokech.com>

	* comint.el (comint-show-output): Adjust to stickiness changes of
	the output field.

	* startup.el (command-line): Start the daemon server later.

2008-09-28  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (read-quoted-char): Call char-resolve-modifiers
	instead of char-resolve-modifers.

2008-09-27  Glenn Morris  <rgm@gnu.org>

	* play/solitaire.el (solitaire-mode-map): Bind "\r" rather
	than [return].  (Bug#1031)

2008-09-27  Peter Dyballa  <Peter_Dyballa@Freenet.DE>

	* calendar/calendar.el (solar-sunrises-buffer): Fix typo.

2008-09-27  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-wait-for-status): Check if there is no pending status.
	Reported by Ted Romer <ted@romerfamily.com>.

2008-09-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Turn on menu-bar-mode and
	tool-bar-mode when running as a daemon.

2008-09-26  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in ($(lisp)/progmodes/cc-mode.elc): Remove.
	($(lisp)/progmodes/cc-align.elc, $(lisp)/progmodes/cc-cmds.elc)
	($(lisp)/progmodes/cc-compat.elc, $(lisp)/progmodes/cc-defs.elc)
	($(lisp)/progmodes/cc-engine.elc)
	($(lisp)/progmodes/cc-fonts.elc, $(lisp)/progmodes/cc-langs.elc)
	($(lisp)/progmodes/cc-mode.elc, $(lisp)/progmodes/cc-styles.elc)
	($(lisp)/progmodes/cc-subword.elc)
	($(lisp)/progmodes/cc-vars.elc): New dependencies.

	* Makefile.in ($(lisp)/progmodes/cc-mode.elc): Remove.
	($(lisp)/progmodes/cc-align.elc, $(lisp)/progmodes/cc-cmds.elc)
	($(lisp)/progmodes/cc-compat.elc, $(lisp)/progmodes/cc-defs.elc)
	($(lisp)/progmodes/cc-engine.elc)
	($(lisp)/progmodes/cc-fonts.elc, $(lisp)/progmodes/cc-langs.elc)
	($(lisp)/progmodes/cc-mode.elc, $(lisp)/progmodes/cc-styles.elc)
	($(lisp)/progmodes/cc-subword.elc)
	($(lisp)/progmodes/cc-vars.elc): New dependencies.

2008-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* informat.el (Info-split-threshold): New variable.
	(Info-split): Use it.

	* textmodes/texinfmt.el (texinfo-format-buffer):
	Use Info-split-threshold to decide whether to split Info files.

2008-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/octave-mod.el (octave-mode-menu): Fix incorrect
	quoting.

	* comint.el (comint-dynamic-complete-as-filename): Quote directory
	name when reinserting it.

	* isearch.el (isearch-search-fun): Use word-search-forward-lax and
	word-search-backward-lax for incremental word search.

2008-09-25  Juanma Barranquero  <lekktu@gmail.com>

	* generic-x.el (generic-other-modes): Fix typo in docstring.
	(generic-use-find-file-hook, generic-lines-to-scan)
	(generic-find-file-regexp, generic-ignore-files-regexp)
	(generic-define-mswindows-modes, generic-define-unix-modes):
	Remove `*' from docstring.
	(generic-mode-find-file-hook): Use `string-match-p'.
	(apache-log-generic-mode, mailagent-rules-generic-mode)
	(prototype-generic-mode, pkginfo-generic-mode, javascript-generic-mode)
	(java-manifest-generic-mode, java-properties-generic-mode)
	(alias-generic-mode): Doc fix: use "Generic mode" in docstrings
	for consistency with other modes in generic-x.el.

2008-09-25  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/tex-mode.el (latex-handle-escaped-parens): New variable.
	(latex-backward-sexp-1, latex-forward-sexp-1): Treat escaped
	parens specially only if latex-handle-escaped-parens is non-nil.
	(latex-indent-within-escaped-parens): New option.
	(latex-find-indent): Bind latex-handle-escaped-parens to
	latex-indent-within-escaped-parens.  Do not treat escaped parens
	specially when this is nil.  (Bug#954)

2008-09-25  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-fixup-url): Don't call url-normalize-url.  (Bug#898)

2008-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* vc.el (vc-mark-resolved): Move message here from
	vc-default-mark-resolved.
	(vc-default-mark-resolved): Change to an alias for ignore.

2008-09-24  Andreas Politz  <politza@fh-trier.de>  (tiny change)

	* term.el (term-emulate-terminal): Encode input string before
	checking its length.

2008-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/sh-script.el (sh-mode-map): Don't assume that skeleton
	is loaded.

	* server.el (server-buffer-done): Avoid changing the buffer when
	deleting the client's frame (bug#640).

	* vc.el (vc-default-mark-resolved): New function.

2008-09-24  Stephen Berman  <stephen.berman@gmx.net>

	* mail/rfc822.el (rfc822-addresses): Prevent rfc822-bad-address
	from raising a wrong-type-argument error.

2008-09-24  Martin Rudalics  <rudalics@gmx.at>

	* help-fns.el (describe-function-1, describe-variable): Print
	relative file name in help buffer.
	* faces.el (describe-face): Print relative file name in help
	buffer.

2008-09-23  Romain Francoise  <romain@orebokech.com>

	* subr.el (with-output-to-string): Make sure that the temporary
	buffer gets killed.

2008-09-23  Markus Sauermann  <markus@sauermann-consulting.de>  (tiny change)

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent): Fix
	indentation problem with keyword symbols when a list starts with
	,@ or spaces.  (Bug#1012)

2008-09-23  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/tex-mode.el (latex-find-indent): Try to handle
	escaped close parens correctly.  (Bug#954)

2008-09-22  Tassilo Horn  <tassilo@member.fsf.org>

	* play/fortune.el (fortune-in-buffer): Fix a bug which forced
	usage of `fortune-file' even though a FILE argument was passed to
	the function.

2008-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Start the server when in daemon mode.
	Remove always true test.

	* frame.el (frame-initialize): Remove spurious setting of
	special-display-function with the default value.

2008-09-20  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-vec.el (calcFunc-venum): Properly handle intervals.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-indent-offset):
	Fix custom type.  (Bug#1011)

2008-09-20  David De La Harpe Golden  <david@harpegolden.net>

	* files.el (move-file-to-trash): Avoid recursive trashing if
	rename-file calls delete-file.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* play/fortune.el: Remove leading `*' from defcustom docs.
	(fortune-program-options): Doc fix.  Allow to be a string again.
	Add :version.
	(fortune-in-buffer): Handle fortune-program-options as a string.
	Don't rely on fortune program accepting options after fortune file.

2008-09-20  Justin Bogner  <mail@justinbogner.com>  (tiny change)

	* play/fortune.el (fortune-program-options): Change to a list.
	(fortune-in-buffer): Use apply.

2008-09-20  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* emacs-lisp/authors.el: Change encoding of file to utf-8.
	(authors-coding-system): Likewise.

2008-09-20  Ami Fischman  <ami@fischman.org>

	* savehist.el (savehist-save): Handle errors in writing as well as
	reading.

2008-09-20  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el (tq-create): Disable undo in tq buffer in order
	to provide a minimal performance boost.

2008-09-19  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-grammar-alist, proced-custom-attributes)
	(proced-format-alist, proced-format, proced-filter-alist)
	(proced-filter, proced-sort): Use defcustom.
	(proced-mode): Fix docstring.
	(proced-process-attributes): Handle return value nil of functions
	in proced-custom-attributes.

2008-09-19  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/sgml-mode.el (sgml-tag-syntax-table): Remove prefix
	flag from "'" entry in sgml-tag-syntax-table.  (Bug#946)

2008-09-19  Miles Bader  <miles@gnu.org>

	* comint.el (comint-output-filter): Make field properties for
	output text front-sticky.

2008-09-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-show-log-entry):
	* vc-git.el (vc-git-show-log-entry): Deal with a nil argument,
	C-x v l for a directory uses that.

2008-09-18  Simon Josefsson  <simon@josefsson.org>

	* files.el (auto-mode-alist): Use sieve-mode for .sv, .siv, and
	.sieve files.

2008-09-18  Martin Rudalics  <rudalics@gmx.at>

	* help-macro.el (make-help-screen): Preserve key bindings
	established in help-mode call when exiting this macro.

2008-09-17  Kenichi Handa  <handa@m17n.org>

	* language/burmese.el: Fix setting of composition-function-table.

2008-09-17  Martin Rudalics  <rudalics@gmx.at>

	* info.el (Info-follow-nearest-node): Don't raise an error for
	mouse-1 clicks.

2008-09-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (calc-convert-temperature): Use default
	units when appropriate.

2008-09-16  Markus Triska  <markus.triska@gmx.at>

	* textmodes/flyspell.el (flyspell-math-tex-command-p): Always
	catch errors raised in `texmathp'.
	(flyspell-tex-math-initialized): Remove.

2008-09-16  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (select-frame-set-input-focus): With non-nil
	mouse-autoselect-window always move mouse cursor to frame's
	selected window.  Otherwise restore pre 2008-09-13 behavior.
	(select-frame-by-name): Use select-frame-set-input-focus.

	* files.el (switch-to-buffer-other-frame): Don't raise frame since
	pop-to-buffer already does it.
	(display-buffer-other-frame): Fix doc-string.

2008-09-16  Glenn Morris  <rgm@gnu.org>

	* add-log.el (diff-find-source-location): Update declaration.

	* progmodes/make-mode.el (makefile-match-function-end):
	Move point.  (Bug#983)

2008-09-16  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-start-verify): Pass "--verify" to gpgsm.

2008-09-15  Juanma Barranquero  <lekktu@gmail.com>

	* vc-rcs.el (vc-rcs-steal-lock, vc-rcs-checkout): Fix docstring typos.
	(vc-rcs-fetch-master-state, vc-rcs-system-release): Doc fixes.

2008-09-15  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* vc-rcs.el (vc-rcs-rollback): Fix typos in docstring.

2008-09-15  Martin Rudalics  <rudalics@gmx.at>

	* files.el (file-truename): Don't raise args-out-of-range error
	when filename has no separator on windows-nt.  (Bug#982)

2008-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-find-file-name): Rename `batch' to `noprompt' and
	be more honest when we don't know.
	(diff-tell-file-name): Don't prompt before the actual prompt.
	(diff-mode): Don't prompt in add-log-buffer-file-name-function.
	(diff-find-source-location): Add `noprompt' argument.
	(diff-current-defun): Don't prompt.

2008-09-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-mark-face, proced-marked-face)
	(proced-sort-header-face): Remove.
	(proced-font-lock-keywords): Simplify.
	(proced-format): Use face proced-sort-header.
	(proced-format-interactive, proced-sort-interactive)
	(proced-filter-interactive): Only call proced-update if the scheme
	has changed.
	(proced-sort-header): Use posn-actual-col-row.

2008-09-14  Martin Rudalics  <rudalics@gmx.at>

	* add-log.el (change-log-find-window): New variable.
	(change-log-goto-source-1, change-log-goto-source):
	Set change-log-find-window to window displaying source.
	(change-log-next-error): Select window specified by
	change-log-find-window.

2008-09-13  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (select-frame-set-input-focus): With focus follows
	mouse move mouse cursor to right window.
	* window.el (pop-to-buffer): Select window before calling
	select-frame-set-input-focus.

2008-09-12  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-sort-header): New face.
	(proced-sort-header-face): New variable.
	(proced-format): Allow format value nil.
	Use proced-sort-header-face for header of sort column.
	(proced-format-args): New function.
	(proced-grammar-alist, proced-timer-flag, proced-process-alist)
	(proced-header-help-echo, proced-field-help-echo, proced-timer)
	(proced-toggle-timer-flag, proced, proced-mode): Doc fix.
	(proced-refine): Rename from proced-filter-attribute.  Doc fix.
	(proced-sort-header): Bind also to mouse-1.
	(proced-move-to-goal-column): Return position of point.
	(proced-filter-interactive): Always revert listing.
	(proced-format-ttname): Simplify.
	(proced-update): Do not keep undo information.  Put point at
	beginning of buffer if we generate the first listing.

2008-09-12  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page): Fix scrolling in case of
	vertically split windows.

2008-09-12  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-mode-map): Don't bind \t and \r.

	* indent.el (indent-line-function): Doc fix.
	* progmodes/sh-script.el (sh-font-lock-open-heredoc): Doc fix.

2008-09-11  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-to-buffer): If the window for buffer-or-name is
	not on the selected frame, raise that window's frame and give it
	input focus.  (Bug#745)

2008-09-11  Glenn Morris  <rgm@gnu.org>

	* ido.el (ido-mode): Initialize with custom-initialize-default,
	rather than a set function.  (Bug#947)

2008-09-10  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (perform-replace): Don't set inhibit-read-only using
	query-replace-skip-read-only (bug#956).

	* edmacro.el (edmacro-parse-keys): Fix last change to omit macros
	of the <<foo>> form.

2008-09-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Fix doc-string typo.

2008-09-10  Kenichi Handa  <handa@m17n.org>

	* composite.el (compose-gstring-for-graphic): Fix previous change.

2008-09-10  Glenn Morris  <rgm@gnu.org>

	* info.el (Info-try-follow-nearest-node): Fix doc typo.

2008-09-10  Stephen Berman  <stephen.berman@gmx.net>

	* info.el (Info-mouse-follow-nearest-node): Follow links to different
	manuals.  (Bug#886)

2008-09-09  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-unload-function): New function.

2008-09-08  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-file-internal): Fix typo in prompt.
	(ido-merge-ftp-work-directories, ido-max-work-file-list): Doc fixes.
	(ido-max-prospects, ido-max-file-prompt-width, ido-ignore-buffers)
	(ido-enable-prefix, ido-setup-hook, ido-rewrite-file-prompt-functions)
	(ido-magic-forward-char, ido-magic-delete-char, ido-pop-dir):
	Fix typos in docstrings.

2008-09-08  Martin Rudalics  <rudalics@gmx.at>

	* help-fns.el (describe-function-1): Don't print extra newline
	after filling.

2008-09-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* help-fns.el (find-lisp-object-file-name): Handle case where
	library is compressed.

2008-09-07  Chong Yidong  <cyd@stupidchicken.com>

	* complete.el (PC-do-completion): Don't replace buffer
	contents (bug#227).

2008-09-07  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Add `choose-completion-string-functions'.

2008-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-root):
	* vc-sccs.el (vc-sccs-root):
	* vc-rcs.el (vc-rcs-root):
	* vc-cvs.el (vc-cvs-root): Delete.
	* vc-hooks.el (vc-find-root): Remove `invert' argument.

2008-09-07  Nikolaj Schumacher  <n_schumacher@web.de>

	* progmodes/flymake.el (flymake-parse-err-lines): Filter out
	errors occurring in different files.

2008-09-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-extra-fileinfo): New defstruct.
	(vc-bzr-status-printer): New function.
	(vc-bzr-after-dir-status): Deal with renamed files.

2008-09-07  Johan Euphrosine  <proppy@aminche.com>  (tiny change)

	* ibuf-ext.el (ibuffer-diff-buffer-with-file-1): Shell quote
	buffer's filename.

2008-09-07  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (cancel-change-group): Widen buffer temporarily when
	undoing changes.  (Bug#810)

2008-09-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-stop-subjob): Using jdb, suspend threads
	with gud-stop-subjob rather than exit debugger.

